# Generate automatically. Do not edit.

commit ab80d91392de38b07588917daa19da59cf5842c4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-25

    Release version 2.32.1

 NEWS         |    9 +++++++++
 configure.in |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit ad71c3a0abf1c630b81d285f21d2cc50ae364d45
Merge: de6a19e 7dc01a4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-25

    Accidentally released 2.32.0 on the wrong branch.
    
    Merge it in here now.

commit de6a19e6f3cc990b814bbeb361da974db8519622
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-25

    [gpg-agent] Don't give option to save password for symmetric encryption.
    
    When prompting for a passphrase that isn't for a key, don't give
    the option to save the password for later use.

 daemon/gpg-agent/gkd-gpg-agent-ops.c |   20 ++++++++++++--------
 1 files changed, 12 insertions(+), 8 deletions(-)

commit 538371de09c253365eee64c9479ba023b6dc32f1
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2010-10-25

    gpg-agent: Don't try to cache password when symmetric encryption.

 daemon/gpg-agent/gkd-gpg-agent-ops.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 9ed868758a071cd478ba2431949abf225f4f9426
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-19

    [daemon] Check that daemon is initialized before changing password.
    
    Before changing login keyring password or unlocking, check that daemon
    is initialized.
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=632352

 daemon/control/gkd-control-server.c |   16 ++++++++++++----
 daemon/gkd-main.c                   |    6 ++++++
 daemon/gkd-main.h                   |    2 ++
 3 files changed, 20 insertions(+), 4 deletions(-)

commit a5fe7f0b52cbce5da67b320c2b62595f59598a19
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-18

    [wrap-layer] Fix login keyring password doesn't match login.
    
    When the user's unix login password doesn't match their login keyring
    (due to perhaps a change by an administrator) we need to prompt for
    the password to unlock. Now we keep track of the old one that failed
    and change their login keyring password to match their unix login.

 daemon/gkd-main.c                          |    2 +-
 daemon/login/gkd-login.c                   |    5 +-
 pkcs11/wrap-layer/gkm-wrap-layer.h         |    6 +-
 pkcs11/wrap-layer/gkm-wrap-login.c         |   38 ++++++++++--
 pkcs11/wrap-layer/gkm-wrap-login.h         |    2 +
 pkcs11/wrap-layer/gkm-wrap-prompt.c        |   89 +++++++++++++++++++++++++--
 pkcs11/wrap-layer/tests/test-login-hints.c |   15 ++++-
 7 files changed, 134 insertions(+), 23 deletions(-)

commit 03ba6357792679f96f7d425b2f45f3fbbbad8df1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-06

    [gpg-agent] Link correctly to gio
    
    On some systems this caused build problems.

 daemon/gpg-agent/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b9d8bddb2418675260f21f0bfb32763b2ccbfad6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-05

    [ui] Add extra debug guard around printing of prompt io.
    
    Printing of prompt IO could conceivably contain information that's
    sensitive. Added extra guard so the debug printing can only be
    turned on with --enable-debug also enabled.
    
    Thanks to Romain Françoise

 ui/gku-prompt.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3127fc4dda46e1221da1924d441307518167a210
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   2010-10-01

    Updated Lithuanian translation

 po/lt.po |  690 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 361 insertions(+), 329 deletions(-)

commit 58240b9acdd6ad54d8c6d4e8a668686a142258e4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-01

    [rpc-layer] Fix invalid memory access.
    
    Fix invalid memory access in gkm_rpc_mechanism_list_purge().
    
    Pointed out by Tim Hudson.

 pkcs11/rpc-layer/gkm-rpc-util.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fa96194b235ab9185381813db2cf701f4c9e959b
Author: Joan Duran <jodufi@gmail.com>
Date:   2010-09-29

    Updated Catalan translation

 po/ca.po |  600 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 323 insertions(+), 277 deletions(-)

commit 45a3c18bd925ea581a38c293b6138cb11d4e6344
Author: Christos Spyroglou <cspyroglou@gmail.com>
Date:   2010-09-29

    l10n: Updated Greek translation for gnome-keyring

 po/el.po |  263 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 112 insertions(+), 151 deletions(-)

commit 7dc01a4771defef3cee95cdd45c67abdc1991e7e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-27

    Release version 2.32.0

 NEWS         |    3 +++
 configure.in |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 43319e1fa73b0993a5507fcd8a17113ccc59379b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-09-27

    Updated Basque language

 po/eu.po |  603 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 327 insertions(+), 276 deletions(-)

commit 009087a098788773fa0a558fbd88eb115db22af2
Author: Petr Kovar <pknbe@volny.cz>
Date:   2010-09-27

    Update Czech translation by Marek Cernocky

 po/cs.po |  614 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 331 insertions(+), 283 deletions(-)

commit 7c76c28e25ae9a7a9537be17566bae8680c77042
Author: Damyan Ivanov <dam+gnome@ktnx.net>
Date:   2010-09-26

    Updated Bulgarian translation

 po/bg.po |  578 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 293 insertions(+), 285 deletions(-)

commit e027a1dc50ca9636cd828f1084eef17e5f2d52b6
Author: Damyan Ivanov <dam+gnome@ktnx.net>
Date:   2010-09-26

    Updated Bulgarian translation

 po/bg.po |  580 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 294 insertions(+), 286 deletions(-)

commit 2b1c6e036a774c1fb60088ad7cdaa110059d6b37
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2010-09-26

    Updated Korean translation

 po/ko.po |  611 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 334 insertions(+), 277 deletions(-)

commit 64603e6385c0350a5701ee92deee35000cb25ba9
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:   2010-09-24

    Updated Russian translation

 po/ru.po |  601 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 294 insertions(+), 307 deletions(-)

commit a1a6ee89b43010d023c754d0bac7722a0a9bf05e
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2010-09-23

    Updated Arabic translation

 po/ar.po |  126 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 69 insertions(+), 57 deletions(-)

commit 5ed31aacd66d3e65737c6db682ea97a38e1df7a6
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2010-09-23

    Updated Arabic translation

 po/ar.po |  126 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 69 insertions(+), 57 deletions(-)

commit 90f055cdf2ff0826dbb765446f3f1e8177a16ccf
Author: Francesco Marletta <francesco.marletta@tiscali.it>
Date:   2010-09-21

    [l10n] Updated Italian translation

 po/it.po |  614 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 310 insertions(+), 304 deletions(-)

commit b70410fa61b49fb50b9f5f54e44266fd9e6360f5
Author: Francesco Marletta <francesco.marletta@tiscali.it>
Date:   2010-09-21

    [l10n] Updated Italian translation

 po/it.po |  626 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 321 insertions(+), 305 deletions(-)

commit 63f3a9c4939350a8b1e18fc9a61fd4d7f8155c82
Author: Daniel S. Koda <danielskoda@gmail.com>
Date:   2010-09-21

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  633 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 340 insertions(+), 293 deletions(-)

commit 9d757017bd17d3c51b83e319f53de96eea88ab34
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-21

    Make builds 'silent' by default

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 743f278642090dd97835d47a7a4b58a301d1d36c
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   2010-09-20

    Updated Japanese translation

 po/ja.po |  682 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 364 insertions(+), 318 deletions(-)

commit 5e7015a7ee0c037f8c859585b6cc9e30633f4798
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   2010-09-20

    Updated Japanese translation

 po/ja.po |  682 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 364 insertions(+), 318 deletions(-)

commit c67206d677b450037a1c8f7ef2da1a6713971605
Author: Andika Triwidada <andika@gmail.com>
Date:   2010-09-17

    Updated Indonesian translation

 po/id.po |  124 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 60 insertions(+), 64 deletions(-)

commit 3352acdb34deb6d05f23b46a386443bdc08f153d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2010-09-15

    Updated Polish translation

 po/pl.po |  579 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 291 insertions(+), 288 deletions(-)

commit ba26d64aff5a51d1ac29e0da721c0a2ee1851cbb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2010-09-15

    Updated Polish translation

 po/pl.po |  579 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 291 insertions(+), 288 deletions(-)

commit 86c22e4886fe97c6d9d99f4937e561c574b4e5ad
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2010-09-15

    Updated Danish translation

 po/da.po |  607 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 327 insertions(+), 280 deletions(-)

commit 2f6c305db698cac3198d88d452340f14ef7e077a
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2010-09-15

    Updated Danish translation

 po/da.po |  607 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 327 insertions(+), 280 deletions(-)

commit d897d5d3e8a641f31e64b912ba57a86a666afbf0
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-09-14

    Merge simplified Chinese translation from master.

 po/zh_CN.po |  216 ++++++++++++++++++++++++++++++----------------------------
 1 files changed, 112 insertions(+), 104 deletions(-)

commit eebc77a5cd5beefd47dd367e4fa7486428f84ac9
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-09-14

    Update Simplified Chinese translation.

 po/zh_CN.po |  213 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 111 insertions(+), 102 deletions(-)

commit d5e14376b36646fe27b214803f5682fdaa85bcbe
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-09-14

    [l10n] Updated Estonian translation

 po/et.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 10cfc8e7bf03433fe03206d0f4e330b1deed36cd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-12

    Release version 2.31.92

 Makefile.am                        |    7 +++++--
 NEWS                               |   19 +++++++++++++++++++
 egg/tests/test-data/echo-script.sh |    1 +
 3 files changed, 25 insertions(+), 2 deletions(-)

commit c596dc6943c61039d5bc5366e872397bd58f5c52
Merge: 4738c64 5845892
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-12

    Merge branch 'pam-client-no-max-path'

commit 4738c645ee59c7e860f7875fb06a0fa861cb5986
Author: Adrian Bunk <adrian.bunk@movial.com>
Date:   2010-04-12

    autogen.sh: require automake 1.7
    
    automake 1.4 does not have AM_PROG_CC_C_O
    
    https://bugzilla.gnome.org/show_bug.cgi?id=615536

 autogen.sh |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit ac636369962cf911b056b98c9288901a528ae19c
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-09-12

    [l10n] Updated Estonian translation

 po/et.po |  300 +++-----------------------------------------------------------
 1 files changed, 11 insertions(+), 289 deletions(-)

commit 104826d4cc79ecd4ca185406839c59cb8cfe21b2
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-09-12

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  619 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 334 insertions(+), 285 deletions(-)

commit 53391e4f569f1a3d8e4fb47502b480bc50e7e131
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-11

    [egg] Fix secure memory assertion.
    
    Fix assertion that occurs when searching for pool to free memory from.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=616175

 egg/egg-secure-memory.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 5845892d3596491d1d8b06525b0642a0b49ec9d7
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-11

    [pam] Don't use MAXPATHLEN in pam module.
    
    MAXPATHLEN has been reintroduced. This patch makes use of dynamic allocation
    rather than fixed MAXPATHLEN size buffers, fixing the build on GNU/Hurd again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=615618

 pam/gkr-pam-client.c |   31 ++++++++++++++-----------------
 1 files changed, 14 insertions(+), 17 deletions(-)

commit f3c08bb6f286da296d28efc7e626569f8c3b565b
Merge: 7b0231d 83dd6f1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-11

    Merge branch 'gsettings-migration'

commit 7b0231dbdaf42c17982fc00f8d6502cb4ccd5f1d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-11

    [gpg-agent] Don't go into endless loop when client disconnects.
    
    If gpg-agent client disconnected without using QUIT, the daemon
    would go into an endless loop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624254

 daemon/gpg-agent/gkd-gpg-agent.c |   36 +++++++++++++++++++++---------------
 1 files changed, 21 insertions(+), 15 deletions(-)

commit 08ad82d83b3bdf4c1720cd7cc9a2bd151569ec6f
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   2010-09-11

    Updated German translation

 po/de.po |  381 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 197 insertions(+), 184 deletions(-)

commit 495468401abe79bde11a86aac19f38df150b7390
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-10

    [gp11] Fix double free with copied attributes.
    
    Copied attributes would result in a double free if length was zero.

 gp11/gp11-attributes.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 56e02cccfa6f6b33ad29d78e691be94fce61f5ef
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-10

    [dbus] Ref unlock object while performing async operation.
    
    Reference the GkdSecretUnlock object while performing an async
    operation, and unref in the callback.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=629181

 daemon/dbus/gkd-secret-unlock.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 5bb5466d57b077cec38ad33da2a8e73f64aafd72
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   2010-09-08

    Updated French translation

 po/fr.po |  600 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 303 insertions(+), 297 deletions(-)

commit 05e3b53a7729c77c0b146ff6553bd925c7ddc6e7
Merge: 18ffda4 7a80709
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-08

    Merge remote branch 'pwith/628910-header-dir'

commit 18ffda45b68e4a3b333a99514f64d1e7647922d0
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-08

    [prompt] When a non-default unlock option is selected expand.
    
    Expand the details when a non-default unlock option is selected.
    So that the user is aware of what will happen.

 ui/gku-prompt.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 83dd6f13ab0a24092dccc69d9119df71cad448ac
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-08

    [schema] Add in org.gnome.crypto.pgp gsettings schema.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622401

 schema/Makefile.am                      |    6 ++++--
 schema/org.gnome.crypto.pgp.convert     |    6 ++++++
 schema/org.gnome.crypto.pgp.gschema.xml |   29 +++++++++++++++++++++++++++++
 3 files changed, 39 insertions(+), 2 deletions(-)

commit 01353183e687934b18be9ca2aae8d5b44a4ef1ab
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-07

    [gpg-agent] Add gsettings to store passphrase preferences.
    
    Depends on new glib 2.25.0 and later.

 .gitignore                                |    1 +
 Makefile.am                               |    1 +
 autogen.sh                                |    1 -
 configure.in                              |    5 ++-
 daemon/gpg-agent/gkd-gpg-agent-ops.c      |   51 +++++++++++++++++++++++++++++
 daemon/gpg-agent/gkd-gpg-agent-private.h  |    2 +
 daemon/gpg-agent/gkd-gpg-agent.c          |   21 ++++++++++++
 schema/Makefile.am                        |   15 ++++++++
 schema/org.gnome.crypto.cache.convert     |    3 ++
 schema/org.gnome.crypto.cache.gschema.xml |    9 ++++-
 10 files changed, 105 insertions(+), 4 deletions(-)

commit 7a8070979d8ae24bd9be960ccb00e39e7bb22838
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-09-07

    Fix .gitignore files to correctly ignore the GTK+ 3 files

 gcr/.gitignore  |    2 +-
 tool/.gitignore |    2 +-
 ui/.gitignore   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 9b4993a4f1e83c4613335044b2bd781c79f31c4c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-09-07

    Fix the header installation directory for libgcr
    
    Applications using libgcr expect to be able to #include <gcr/gcr.h>, so we
    need to install the headers in a gcr/ subdirectory of the major-versioned
    gcr-$MAJOR/ directory. Closes: bgo#628910

 gcr/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 997ab708d25af38b49369733ffda27d861e45ee4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-29

    [schema] Initial org.gnome.crypto.cache schema

 schema/org.gnome.crypto.cache.gschema.xml |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit bc7f95c8890b3fae3dff3f519745d98267629e8b
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-05

    [pkcs11] Fix errors parsing certificates.
    
     * From recent ASN.1 migration.

 pkcs11/gkm/gkm-certificate.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 6a9d0470e2a8fa4cf8e989c967edf01393964f87
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-05

    [gcr, ui] Rework how unlock options are loaded and handled.
    
     * Rework GcrUnlockOptionsWidget API.
     * Prepare for migration to gsettings.

 daemon/gpg-agent/gkd-gpg-agent-ops.c |   31 +++--
 gcr/Makefile.am                      |    2 +
 gcr/gcr-unlock-options-widget.c      |  240 ++++++++++++++++++++++------------
 gcr/gcr-unlock-options-widget.h      |   29 +++-
 gcr/gcr-unlock-options-widget.ui     |   36 ++++--
 gcr/gcr-unlock-options.h             |   32 +++++
 gcr/tests/.gitignore                 |    1 +
 gcr/tests/Makefile.am                |   17 ++-
 gcr/tests/ui-test-unlock-options.c   |   83 ++++++++++++
 pkcs11/wrap-layer/gkm-wrap-prompt.c  |  116 ++++++++++-------
 ui/gku-prompt-tool.c                 |   99 ++++++--------
 ui/gku-prompt.c                      |   69 +++++++---
 ui/gku-prompt.h                      |   21 ++--
 ui/gku-prompt.ui                     |   49 ++-----
 ui/tests/test-data/prompt-empty      |    2 +
 ui/tests/test-data/prompt-full       |    4 +-
 ui/tests/test-data/prompt-test       |    1 +
 17 files changed, 544 insertions(+), 288 deletions(-)

commit 829425006e0c65f096adb5d9058bf5519f56ae36
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-09-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   54 ++++++++++++++++++++++++++++++++----------------------
 po/zh_TW.po |   54 ++++++++++++++++++++++++++++++++----------------------
 2 files changed, 64 insertions(+), 44 deletions(-)

commit eec3d69e22dedfcb5e19cdc9ecf377f91279dd22
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-05

    [wrap-layer] Fix saving of auto-unlock passwords.
    
    Fix saving of auto unlock passwords such as the ones in SSH
    prompts.

 pkcs11/wrap-layer/gkm-wrap-login.c  |    2 +-
 pkcs11/wrap-layer/gkm-wrap-prompt.c |    6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 585968e9c143b73ed524b6b20f4b46aecb8ff682
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-05

    [ui] Transfer auto-unlock value from prompt properly.
    
    Was transferring as boolean instead of integer.

 ui/gku-prompt-tool.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit a4c8c2360fbc714df529b1a589f18c592db16853
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2010-09-05

    Updated Portuguese translation

 po/pt.po |  625 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 336 insertions(+), 289 deletions(-)

commit 2c3d8ab0e4fa32d09e17d6e39f51d253fc9a685d
Author: Andika Triwidada <andika@gmail.com>
Date:   2010-09-04

    Updated Indonesian translation

 po/id.po |  349 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 184 insertions(+), 165 deletions(-)

commit ea6b14b13a9da7098e056e4e39e79b6fa7a11fad
Author: A S Alam <aalam@users.sf.net>
Date:   2010-09-04

    update for Punjabi

 po/pa.po |  124 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 64 insertions(+), 60 deletions(-)

commit fb5506d915a4e70f4155bee985cf6bf7144a9e15
Author: drtv <vasudeven@git.gnome.org>
Date:   2010-09-03

    Updated Tamil translation

 po/ta.po |  112 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 59 insertions(+), 53 deletions(-)

commit 9577087843cb66817f306b6b2c4fed65c9f60847
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-09-03

    Updated Swedish translation

 po/sv.po |   90 +++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 57 insertions(+), 33 deletions(-)

commit d5fdca45a06685ab0ff6286e29eb3618720f9fc6
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-09-02

    Updated Norwegian bokmål translation

 po/nb.po |   76 ++++++++++++++++---------------------------------------------
 1 files changed, 20 insertions(+), 56 deletions(-)

commit 5897ae65ce2499e6991fb630fe362404728e8e34
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-09-02

    Updated Hebrew translation.

 po/he.po |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b77995b01de7565b3882a2631227cf7626a777e1
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-09-02

    Updated Hebrew translation.

 po/he.po |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 138f83f0edcfddbe87fe3ea40b9c8b516807adc2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2010-09-01

    Update British English translation

 po/en_GB.po |   26 +++++++++++++++++++-------
 1 files changed, 19 insertions(+), 7 deletions(-)

commit 995bf0069468ad82f228d6737e17796ffbaf6028
Merge: d9ef944 2b308e5
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-01

    Merge branch '624570-gtk3-option'

commit 2b308e57df63d4ac0de3f3469ef4c48efe77d8a6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-01

    Minor fine tuning of GTK+ 3.0 build support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624570

 configure.in     |    4 ++--
 tool/Makefile.am |    2 +-
 ui/Makefile.am   |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit d9ef94455d115d8fed29a3071b5b19ca632fb932
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-01

    [secret-store] Fix the CKA_TRUSTED attribute for collections.
    
    This attribute signifies whether the collection is properly encrypted
    or not. Fix broken boolean check.

 pkcs11/secret-store/gkm-secret-collection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 767da9c364487235985721fe91483251bcf99da0
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-01

    [ssh-agent] No warning message when prompt cancelled.
    
    Don't print g_message when ssh-agent prompt is cancelled.

 daemon/ssh-agent/gkd-ssh-agent-ops.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 19f50bcdd0e762625c03b66a5533eecda0ada391
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2010-09-01

    [pam] Fix PAM header test.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=628457

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ed44a48151706e57af32025332615320f7d18ff
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-31

    Revert "[pam] Fix build on Snow Leopard."
    
    This reverts commit dc9f71c5b77ea481e71cc7c250de4a967991b16a.
    
    Reverted due to: https://bugzilla.gnome.org/show_bug.cgi?id=628384

 configure.in         |    2 +-
 pam/gkr-pam-module.c |    7 -------
 2 files changed, 1 insertions(+), 8 deletions(-)

commit c16563e487368e80a97d9d4f9288c12eea57f211
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   2010-08-31

    l10n: Updated Greek translation for gnome-keyring

 po/el.po | 1084 +++++++++++++++++---------------------------------------------
 1 files changed, 295 insertions(+), 789 deletions(-)

commit 28d9a8c62c7c8dcb1bc905ca0007188382ee5677
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   2010-09-01

    Updated Indonesian translation

 po/id.po | 1204 +++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 927 insertions(+), 277 deletions(-)

commit 41853fa7f5af2440be5e1008ee665e0be10343fe
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-08-25

    Port to GTK+ 3
    
    Add a --with-gtk=[2.0|3.0] option to configure to allow building against
    GTK+ 2 or GTK+ 3. Closes: bgo#624570

 configure.in                   |   34 ++++++++++++++++++++++++++++++++--
 docs/reference/gcr/Makefile.am |    5 ++---
 gcr/.gitignore                 |    1 +
 gcr/Makefile.am                |   14 +++++++-------
 gcr/gcr.pc.in                  |    8 ++++----
 gcr/tests/Makefile.am          |    2 +-
 tool/.gitignore                |    1 +
 tool/Makefile.am               |   16 +++++++++++-----
 ui/.gitignore                  |    1 +
 ui/Makefile.am                 |   18 ++++++++++++------
 10 files changed, 72 insertions(+), 28 deletions(-)

commit e84bca9dfd038b7927cb29214148e5b8aa015a42
Author: Милош Поповић <gpopac@gmail.com>
Date:   2010-08-31

    Updated Serbian translation

 po/sr.po       |   37 +++++++++++++++++++++++--------------
 po/sr@latin.po |   37 +++++++++++++++++++++++--------------
 2 files changed, 46 insertions(+), 28 deletions(-)

commit 918d8cccd6c470a7d9859dd64970e389b4ff2c44
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 357bf1d22d5ff5120eaf843fc3818d73d53c5c91
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Release version 2.31.91

 NEWS                               |   13 +++++++++++++
 configure.in                       |    2 +-
 daemon/data/Makefile.am            |    2 +-
 pkcs11/wrap-layer/gkm-wrap-layer.c |    4 ++--
 4 files changed, 17 insertions(+), 4 deletions(-)

commit c5a2aa2a33337297b05b52cb14f2484338b1f4be
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-08-30

    Updated Slovenian translation

 po/sl.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c9ce20019359767479ce9a02e2a46212f5c433d8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-08-30

    Updated Slovenian translation

 po/sl.po |   87 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 56 insertions(+), 31 deletions(-)

commit 15db6d87deee45707813d0a3bd1181fd787c28e1
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-08-30

    [l10n] Updated Estonian translation

 po/et.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit eb90a07631e5ea651f06686447f0691cead6d554
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-08-30

    [l10n] Updated Estonian translation

 po/et.po |   97 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 53 insertions(+), 44 deletions(-)

commit 762498d27cb099e6a83f53aad33595a95788e3f8
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-08-30

    Updated Spanish translation

 po/es.po |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 277fdba664fb027ff2f192536722ade551c63b0b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-08-25

    Add missing default cases in switch statements

 gp11/gp11-module.c  |    6 ++++++
 gp11/gp11-object.c  |    6 ++++++
 gp11/gp11-session.c |    6 ++++++
 gp11/gp11-slot.c    |    6 ++++++
 4 files changed, 24 insertions(+), 0 deletions(-)

commit 0cb06e4a3ff4a83305f1539a286c4060e9b0d6bc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-08-25

    Fix shadowing of a glibc function to fix a gcc warning

 gp11/gp11-attributes.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 3947b281ba1e119cf108ff98f707738c90a9ee81
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-08-25

    Use #ifdef instead of #if to fix gcc warnings

 gp11/gp11-slot.c |    2 +-
 gp11/gp11.h      |   18 +++++++++---------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 5bb622805ca2200287dbb7e4fe0ade37b7358ac8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2010-08-25

    Fix versioning to separate package and libtool versions

 configure.in |   40 +++++++++++++++++++++++++++++-----------
 1 files changed, 29 insertions(+), 11 deletions(-)

commit 7af9fbe89554623f705d1509a1c0d5ca579b714d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-08-29

    Updated Galician translations

 po/gl.po |  122 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 64 insertions(+), 58 deletions(-)

commit 8ce29385c7f94d8beee96db4010476bc5e71eda0
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-08-29

    Updated Hungarian translation

 po/hu.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 7b7e616441d62d1cc7b35af1600bf6044da6c814
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2010-08-28

    Use "different from" rather than "different than" in a translatable string

 gp11/gp11-misc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7318c567e27329bc4f01b5e2450534c798da5e42
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-08-29

    Updated Hebrew translation.

 po/he.po |  116 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 61 insertions(+), 55 deletions(-)

commit cf406dfe1f429de0f0016a03e6753c034ceb5e7d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-08-29

    Updated Hungarian translation

 po/hu.po |   26 +++++++++++++++++++-------
 1 files changed, 19 insertions(+), 7 deletions(-)

commit 7b322826388d36c86bb46d9797fec394a22aa7d9
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-08-29

    Updated Hungarian translation

 po/hu.po |  567 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 279 insertions(+), 288 deletions(-)

commit c1b542b733186b09679bf52a828078c703d2bd2f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-08-29

    Updated Spanish translation

 po/es.po |  128 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 68 insertions(+), 60 deletions(-)

commit 04a179c4def0d311e0bd2be62e5e0f7dc3c94bfd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-27

    [gpg-agent] Change the agent prompt strings to not talk about keyrings.
    
     * Added way to change strings in GcrUnlockOptionsWidget
     * GkuPrompt now has a way to transfer these strings to gnome-keyring-prompt

 daemon/gpg-agent/gkd-gpg-agent-ops.c |    4 ++
 gcr/gcr-unlock-options-widget.c      |   51 ++++++++++++++++++++++++++++++++++
 gcr/gcr-unlock-options-widget.h      |   13 ++++++++
 ui/gku-prompt-tool.c                 |   15 ++++++++++
 ui/gku-prompt.c                      |   11 +++++++
 ui/gku-prompt.h                      |    4 ++
 6 files changed, 98 insertions(+), 0 deletions(-)

commit 3b838fe27561901ea04e7d2884aade5fff132ff6
Author: Louis-Francis Ratté-Boulianne <louisfrancis.rb@gmail.com>
Date:   2010-08-27

    [pam] Fix build on Snow Leopard.
    
    Before Snow Leopard, the pam header files were in /usr/include/pam/
    instead of /usr/include/security. We need to check both locations

 configure.in         |    2 +-
 pam/gkr-pam-module.c |    7 +++++++
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 0d4d0f874710d196ee75194465db386bfd1f38be
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2010-08-28

    Update British English translation

 po/en_GB.po |  602 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 318 insertions(+), 284 deletions(-)

commit abaa9381074fffb3bf717651c945e6ba5b5c0200
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-27

    [gcr] Install the gcr-simple-certificate.h header properly.

 gcr/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 60ffb844a0c43cdc7bff27c8e000d9b581f7b513
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-08-22

    Full documentation for gku-prompt-tool.c
    
    This patch adds full documentation for gku-prompt-tool.c.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 ui/gku-prompt-tool.c |  281 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 280 insertions(+), 1 deletions(-)

commit 7e8bf604439de8dceac198d425e27f33b800fd3f
Author: Милош Поповић <gpopac@gmail.com>
Date:   2010-08-24

    Updated Serbian translation

 po/sr.po       |  643 +++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po |  641 +++++++++++++++++++++++++++++---------------------------
 2 files changed, 659 insertions(+), 625 deletions(-)

commit 614002d7a43c77436bdf6ad12333ab6d485f915e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-08-21

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   81 +++++++++++++++++++++++++++-------------------------
 po/zh_TW.po |   90 +++++++++++++++++++++++++++-------------------------------
 2 files changed, 84 insertions(+), 87 deletions(-)

commit ec33e851cd7d9f1b63a47e54a70ea623dfc9e609
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2010-08-19

    Updated Arabic translation

 po/ar.po |  589 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 311 insertions(+), 278 deletions(-)

commit d4d699f3c02e4f56813f4bc7fa58998a33c3e4b8
Author: Claude Paroz <claude@2xlibre.net>
Date:   2010-08-18

    Updated POTFILES.in

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 04dd4defe0901449413568a47ea1727f89c990e8
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-08-13

    Update Simplified Chinese translation.

 po/zh_CN.po |  282 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 142 insertions(+), 140 deletions(-)

commit 4dbb3dcad22efb565ea95771d66142ff6d8005f0
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-08-09

    Update the translation of keyring in zh_CN.

 po/zh_CN.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 255279098f327336d4c2977a8bed48f90d59808b
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-08-09

    Update Simplified Chinese translation.

 po/zh_CN.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 201ad316423a287c8552e882421acaf2dd3f3128
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-08

    [daemon] Remove gconf support as part of migration to gsettings.
    
     * These keys didn't seem to have any effect anyway. They were supposed
       to be used by the session manager.

 configure.in                               |    2 -
 daemon/data/Makefile.am                    |   24 +--------------
 daemon/data/gnome-keyring.schemas.in       |   46 ----------------------------
 daemon/gnome-keyring-gpg.desktop.in.in     |    1 -
 daemon/gnome-keyring-pkcs11.desktop.in.in  |    1 -
 daemon/gnome-keyring-secrets.desktop.in.in |    1 -
 daemon/gnome-keyring-ssh.desktop.in.in     |    1 -
 7 files changed, 1 insertions(+), 75 deletions(-)

commit a8fc026cdf2b1a47ec4d0ea8517c86199dd8b6cd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-08

    [gkm] Fix warning that occurs when screensaver unlocks daemon.
    
     * Fix return error code from C_Login to appropriate code when
       another user type is logged in.

 pkcs11/gkm/gkm-module.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 1407d55a20da38edd29d0671d4225ad9435657c2
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-08

    Ignore more project files

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 18c14cdd98e6ccf8929bd813b28c9f2a4b4587df
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-08-06

    Updated Swedish translation

 po/sv.po |  479 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 258 insertions(+), 221 deletions(-)

commit c9ba094673159ab539d9b81e3244bce8cfcccfe1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-08-04

    Updated Norwegian bokmål translation

 po/nb.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 6cb7982cdd0c672494832d1aac7777ccb132f9ec
Author: A S Alam <aalam@users.sf.net>
Date:   2010-08-04

    update Translation in master for Punjabi by A S Alam

 po/pa.po |  559 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 283 insertions(+), 276 deletions(-)

commit 7ac060a25db493d66f93de25bea1d39511c208f4
Author: drtv <vasudeven@git.gnome.org>
Date:   2010-08-02

    Updated Tamil translation

 po/ta.po |  522 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 280 insertions(+), 242 deletions(-)

commit 00b498063fd0d797d3d224472e9275f08a92b116
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-08-02

    [l10n] Updated Estonian translation

 po/et.po |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit 3bf110739d6015298e9f98c75d6889f6c74bed82
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-08-01

    Updated Galician translations

 po/gl.po |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 034d6fe69bc91722c242659a9d27c429c85a3fad
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-30

    [daemon] Add --replace option to daemon.
    
     * Allows one gnome-keyring-daemon to replace another, including
       using the same environment variables etc.

 daemon/control/gkd-control-client.c      |   30 +++++++++++++
 daemon/control/gkd-control-codes.h       |    1 +
 daemon/control/gkd-control-server.c      |   13 ++++++
 daemon/control/gkd-control.h             |    2 +
 daemon/control/tests/.gitignore          |    1 +
 daemon/control/tests/Makefile.am         |   12 +++++-
 daemon/control/tests/test-control-quit.c |   25 +++++++++++
 daemon/dbus/gkd-dbus.c                   |    9 ++--
 daemon/gkd-main.c                        |   69 +++++++++++++++++++++---------
 9 files changed, 137 insertions(+), 25 deletions(-)

commit c6268875ed38dda2e3aaab5b065a5a54fe2787aa
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-30

    [testing] Fix race condition in tests where waiting.
    
     * Fixes cases where results are available before waiting for them.

 testing/testing.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit a9ba58d3a10edc2cad1bb77483129b5a1035338f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-07-30

    Updated Spanish translation

 po/es.po |  126 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 62 insertions(+), 64 deletions(-)

commit 89bacc861719ea1dc458a6fbd9b8ba0f9cafb365
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-07-29

    Updated Hebrew translation.

 po/he.po |  122 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 61 insertions(+), 61 deletions(-)

commit 519eaa45d7c0cbe1c5b49171c832d5a0b590e170
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-07-29

    Updated Slovenian translation

 po/sl.po |  124 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 62 insertions(+), 62 deletions(-)

commit 68cb40cc11a8188cd4f8e608ab882f19e6d51329
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-29

    [wrap-layer] Fix text prompt for login keyring.
    
     * Typo.
     * Fixes bug# 614462

 pkcs11/wrap-layer/gkm-wrap-prompt.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d26d35752f3d16409d9db587c63101b3cbc3e637
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-28

    [egg] Fix asn.1 parsing into GDate.
    
     * We used g_date_set_time_val which converted using local time.
     * Changed to set GDate fields independently.

 egg/egg-asn1x.c |   48 ++++++++++++++++++++++++++++++++++--------------
 1 files changed, 34 insertions(+), 14 deletions(-)

commit c218fdd64a59406c9993c07a50b566b68caf9165
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-07-27

    g_string_append_c_inline is used implicitly

 daemon/dbus/gkd-secret-util.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9072f847743e22eb6a96c70d1cac8bf506df8902
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-27

    [dbus] Fix encoding problems with keyring names and foreign characters.
    
     * Creating keyrings with a label that contained non-ascii charaters
       was broken.

 configure.in                         |    1 +
 daemon/dbus/Makefile.am              |    9 +++++++
 daemon/dbus/gkd-secret-util.c        |    2 +-
 daemon/dbus/tests/Makefile.am        |   14 +++++++++++
 daemon/dbus/tests/test-secret-util.c |   42 ++++++++++++++++++++++++++++++++++
 5 files changed, 67 insertions(+), 1 deletions(-)

commit 5ee980363f5e3a49bbd1e5a2c34dec150b4e3ff8
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-27

    [dbus] Fix problem accessing "object-path" property as wrong type.
    
    Should be a pointer property, but was a string.

 daemon/dbus/gkd-secret-prompt.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit cba57dd37fb82b01f4faa46162bbb4b2487161fb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-07-26

    Updated Slovenian translation

 po/sl.po |  456 ++++----------------------------------------------------------
 1 files changed, 28 insertions(+), 428 deletions(-)

commit 2964e1671c3f472055fe5070f5b746d5389cfbc0
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-21

    [egg] Fix problems building on 32-bit.
    
    Make encoding of unsigned longs adapt to long size.

 egg/egg-asn1x.c |   26 +++++++++++---------------
 1 files changed, 11 insertions(+), 15 deletions(-)

commit 7ebeea19e62f2a2fcd79596a798bcc8238fb1b54
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-07-20

    Updated Galician translations

 po/gl.po |  477 ++++++++++----------------------------------------------------
 1 files changed, 77 insertions(+), 400 deletions(-)

commit e90094d3f22e7b01b36d0b8010162ac80448ab5d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-07-20

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  475 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po |  479 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 516 insertions(+), 438 deletions(-)

commit 0d5a13023c6f30200e98c07a52ac75c7e0916ee9
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-07-18

    [i18n] Updated German translation

 po/de.po |  535 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 288 insertions(+), 247 deletions(-)

commit e52f07a21b4a960bb7a7e99ecaeb5428a60f94a0
Author: Tao Wang <dancefire@gmail.com>
Date:   2010-07-15

    Update Simplified Chinese translation.

 po/zh_CN.po |  386 ++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 235 insertions(+), 151 deletions(-)

commit f75045431ca667859048a35cde1eacd973c31da5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-07-13

    Updated Norwegian bokmål translation

 po/nb.po |  155 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 91 insertions(+), 64 deletions(-)

commit b248019c1357c5856854fa6cb9f3907517e40236
Author: Eleanor Chen <chenyueg@gmail.com>
Date:   2010-07-13

    Update Simplified Chinese translations.

 po/zh_CN.po | 1370 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 713 insertions(+), 657 deletions(-)

commit 223ac313af780ef6823e3c5b68036223cbc95de2
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-13

    [plex-layer] Remove old code.
    
     * Also update HACKING for new code locations.

 HACKING                            |   38 +-
 configure.in                       |    1 -
 pkcs11/Makefile.am                 |    1 -
 pkcs11/plex-layer/Makefile.am      |   21 -
 pkcs11/plex-layer/gkm-plex-layer.c |  945 ------------------------------------
 pkcs11/plex-layer/gkm-plex-layer.h |   31 --
 6 files changed, 23 insertions(+), 1014 deletions(-)

commit bfbec0de8bc4e55f3aa7a4a5a4b847b061b1e4ec
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    [daemon] Fix uninitialized PKCS#11 function pointer.

 daemon/gkd-pkcs11.c |    1 +
 gp11/gp11-module.c  |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 629fecbd61c8585a2bc95e2fcb059de260c34fb8
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    [ssh-agent] Try to unlock key before use.
    
     * This allows us to keep the unlocking for the rest of the session.
     * Restores behavior from gnome-keyring 2.30 and before.

 daemon/ssh-agent/gkd-ssh-agent-ops.c |   39 ++++++++++++++++++++++++++++++++-
 1 files changed, 37 insertions(+), 2 deletions(-)

commit 1b8df106a2c7ac7554f5a4291a1acc5815cb5fb3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    [wrap-layer] Don't barf if token is write protected.
    
     * When storing unlock options, don't barf if token
       is write protected.

 pkcs11/wrap-layer/gkm-wrap-prompt.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit c3c01300f0a67f4f131dc53a13f42d30093a5b55
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    [gp11] Open readonly sessions when enumerating objects.
    
     * This is an interim measure. When GP11 is redone the API
       should allow the caller to specify this.

 gp11/gp11-module.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 26897a6e21a0747d2ffebf54dbf4a3c5de6cc980
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    [wrap-layer] Separate wrap layer auth functionality
    
    This is so that parts of the daemon can access the pkcs11
    modules without prompting getting in teh way.

 daemon/gkd-pkcs11.c                |    9 ++
 daemon/login/gkd-login.c           |    2 +-
 pkcs11/wrap-layer/gkm-wrap-layer.c |  276 ++++++++++++++++++++++++++++++------
 pkcs11/wrap-layer/gkm-wrap-layer.h |    2 +
 pkcs11/wrap-layer/gkm-wrap-login.c |    2 +-
 5 files changed, 245 insertions(+), 46 deletions(-)

commit e2ca65eb4842c78e7b7fb84e5c6c745857d6579a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    [gp11] Don't keep authenticating if protected auth path.
    
     * With protected auth path, it CKR_PIN_INCORRECT means the
       user cancelled or gave up.

 gp11/gp11-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 33a420424b92c0ff8d633b3111ee63e8c6b74b8c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-11

    Remove run time dependency on libtasn1.
    
     * Required for build when we actually parse ASN.1 files.

 configure.in                           |    2 +-
 egg/egg-asn1x.c                        |  187 ++++++++++++++++++++++++++++++--
 egg/egg-openssl.c                      |    1 -
 gcr/Makefile.am                        |    1 -
 gcr/gcr-parser.c                       |    1 -
 gcr/tests/Makefile.am                  |    5 +-
 gcr/tests/unit-test-parser.c           |    1 -
 pkcs11/gkm/gkm-certificate.c           |    2 -
 pkcs11/gkm/gkm-data-der.c              |    1 -
 pkcs11/gkm/gkm-data-der.h              |    1 -
 pkcs11/gkm/tests/unit-test-data-asn1.c |    1 -
 pkcs11/roots-store/Makefile.am         |    1 -
 pkcs11/ssh-store/Makefile.am           |    1 -
 pkcs11/user-store/Makefile.am          |    1 -
 pkcs11/user-store/gkm-user-storage.c   |    2 -
 tool/Makefile.am                       |    1 -
 16 files changed, 178 insertions(+), 31 deletions(-)

commit 8d7e551b8575e4916542f17ba3a5185816400f0e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-07-09

    Use new DER decoding and encoding routines.
    
     * Benefits are less copies of sensitive data in memory.
     * More insightful parsing and API.

 egg/.gitignore                           |    2 +-
 egg/Makefile.am                          |   19 +-
 egg/egg-asn1-defs.h                      |   32 +
 egg/egg-asn1.c                           |  817 --------------------------
 egg/egg-asn1.h                           |   80 ---
 egg/egg-asn1x.c                          |  921 +++++++++++++++++++++++++++---
 egg/egg-asn1x.h                          |   79 +++-
 egg/egg-dn.c                             |  179 +++----
 egg/egg-dn.h                             |   29 +-
 egg/egg-symkey.c                         |  166 +++---
 egg/tests/Makefile.am                    |   13 +-
 egg/tests/test-asn1.c                    |  229 +++++++-
 egg/tests/test-asn1x.c                   |    6 +-
 egg/tests/test-data/test-pkcs7-2.der     |  Bin 0 -> 1002 bytes
 egg/tests/test-dn.c                      |   45 +-
 egg/tests/test.asn                       |   29 +-
 egg/tests/tests.asn                      |   19 -
 egg/tests/unit-test-asn1.c               |  341 ++++++-----
 gcr/gcr-certificate-details-widget.c     |  122 ++--
 gcr/gcr-certificate.c                    |  107 ++--
 gcr/gcr-parser.c                         |  414 +++++++-------
 gcr/gcr-simple-certificate.c             |    1 -
 pkcs11/gkm/gkm-certificate-trust.c       |    2 +-
 pkcs11/gkm/gkm-certificate.c             |   66 +--
 pkcs11/gkm/gkm-data-asn1.c               |   48 +--
 pkcs11/gkm/gkm-data-asn1.h               |    9 +-
 pkcs11/gkm/gkm-data-der.c                |  449 +++++++--------
 pkcs11/gkm/gkm-data-der.h                |   11 +-
 pkcs11/gkm/tests/unit-test-data-asn1.c   |   51 +--
 pkcs11/gkm/tests/unit-test-data-der.c    |   65 ++-
 pkcs11/ssh-store/gkm-ssh-openssh.c       |    3 +-
 pkcs11/user-store/gkm-user-private-key.c |   17 +-
 pkcs11/user-store/gkm-user-storage.c     |   10 +-
 po/POTFILES.in                           |    1 -
 34 files changed, 2225 insertions(+), 2157 deletions(-)

commit 55fae7749a6a7365763acb5e21c6251846e9d9fa
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-07-05

    Updated Slovenian translation

 po/sl.po |  563 +++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 341 insertions(+), 222 deletions(-)

commit 44070668f04cdc15f6746d821c216a99604eabe1
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-07-02

    [l10n] Updated Estonian translation

 po/et.po |   22 +++++++++++++++++++---
 1 files changed, 19 insertions(+), 3 deletions(-)

commit 3034c5c1c22947dd430df14329b36b12a3451f38
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-29

    [testing] External tests now return proper result codes.

 testing/testing-build.sh |    7 ++++---
 testing/testing.c        |    7 +++++--
 testing/testing.h        |    3 ++-
 3 files changed, 11 insertions(+), 6 deletions(-)

commit 02a335fc5dea88ec3932c9afa76f095f153bddcd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-28

    [gkm] Rename RSA and DSA mechanism files.

 pkcs11/gkm/Makefile.am         |    4 +-
 pkcs11/gkm/gkm-crypto.c        |   24 ++--
 pkcs11/gkm/gkm-dsa-mechanism.c |  144 ++++++++++++++++++++++++++
 pkcs11/gkm/gkm-dsa-mechanism.h |   49 +++++++++
 pkcs11/gkm/gkm-mechanism-dsa.c |  144 --------------------------
 pkcs11/gkm/gkm-mechanism-dsa.h |   49 ---------
 pkcs11/gkm/gkm-mechanism-rsa.c |  220 ----------------------------------------
 pkcs11/gkm/gkm-mechanism-rsa.h |   67 ------------
 pkcs11/gkm/gkm-rsa-mechanism.c |  220 ++++++++++++++++++++++++++++++++++++++++
 pkcs11/gkm/gkm-rsa-mechanism.h |   67 ++++++++++++
 pkcs11/gkm/gkm-sexp-key.c      |   12 +-
 11 files changed, 500 insertions(+), 500 deletions(-)

commit 2e3ee1c6d75419130abef8f497788ff53baa5793
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-06-30

    Updated Galician translations

 po/gl.po |   90 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 56 insertions(+), 34 deletions(-)

commit f831fb30959dc64558f3b6c0e74edcc1f7cef70d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-06-28

    Updated Spanish translation

 po/es.po |   91 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 57 insertions(+), 34 deletions(-)

commit c0a0cc9a3f6bd641ac06f87051f7e67ca55248e5
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-28

    Bump version number after release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7d33356105e57e7e0351633b2db2d6a586de2bf4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-28

    Release version 2.31.4

 NEWS         |   15 +++++++++++++++
 configure.in |    2 +-
 2 files changed, 16 insertions(+), 1 deletions(-)

commit 4ddf1a41ff971d88f6d9f3ef5eab04a6245a0f33
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-06-28

    Updated Hebrew translation.

 po/he.po |   86 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 54 insertions(+), 32 deletions(-)

commit ed1054ef7c9456b3c15a8c4f5600effbe075990d
Merge: 4d611ac 606b73f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-28

    Merge branch 'gpg-agent'

commit 4d611ac5962a6bc63431fac22eefdce4264f2477
Merge: dec880c e76c499
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-28

    Merge branch 'asn1-work'

commit dec880cbef02b00de4701b4c0670cf3eab91a150
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-20

    Fix building of desktop and service files.
    
     * Use proper full paths.
     * Don't use proprietary gmake extensions.

 configure.in                               |   12 +++++++++++-
 daemon/Makefile.am                         |   23 ++++++++++-------------
 daemon/gnome-keyring-pkcs11.desktop.in.in  |    2 +-
 daemon/gnome-keyring-secrets.desktop.in.in |    2 +-
 daemon/gnome-keyring-ssh.desktop.in.in     |    2 +-
 daemon/org.freedesktop.secrets.service.in  |    2 +-
 daemon/org.gnome.keyring.service.in        |    2 +-
 po/POTFILES.skip                           |    2 ++
 8 files changed, 28 insertions(+), 19 deletions(-)

commit e76c4996a36f2811f4f852573b655e7b284af2f3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-31

    [egg] Implement some new asn1 tests, and fix problems.

 egg/.gitignore        |    3 +-
 egg/Makefile.am       |    1 +
 egg/egg-asn1x.c       |   23 ++++--
 egg/tests/Makefile.am |   10 ++-
 egg/tests/test-asn1.c |  202 +++++++++++++++++++++++++++++++++++++++++++++++++
 egg/tests/tests.asn   |   19 +++++
 6 files changed, 247 insertions(+), 11 deletions(-)

commit f0033332d99e797ee3b5a1b2a1f1b155d73124d4
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-30

    [egg] Move the DN functionality into its own file.

 egg/Makefile.am                      |    1 +
 egg/egg-asn1.c                       |  297 ------------------------------
 egg/egg-asn1.h                       |   14 --
 egg/egg-asn1x.c                      |    2 +-
 egg/egg-dn.c                         |  336 ++++++++++++++++++++++++++++++++++
 egg/egg-dn.h                         |   43 +++++
 egg/tests/Makefile.am                |    1 +
 egg/tests/test-dn.c                  |  167 +++++++++++++++++
 egg/tests/unit-test-asn1.c           |  100 ----------
 gcr/gcr-certificate-details-widget.c |    7 +-
 gcr/gcr-certificate.c                |    9 +-
 gcr/gcr-parser.c                     |    3 +-
 pkcs11/gkm/gkm-certificate.c         |    6 +-
 pkcs11/user-store/gkm-user-storage.c |    3 +-
 14 files changed, 566 insertions(+), 423 deletions(-)

commit 328b23e59e7bfc867cf591d818a5136b4c69578e
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-29

    [egg] Implement asn.1 encoding.

 egg/egg-asn1x.c        |  939 +++++++++++++++++++++++++++++++++++++++++++-----
 egg/egg-asn1x.h        |   33 ++-
 egg/tests/test-asn1x.c |   15 +-
 3 files changed, 900 insertions(+), 87 deletions(-)

commit 2576fec96ca7a13675288e7038c1907b75518656
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-26

    [egg] Separate real ASN nodes in the tree from options.

 egg/egg-asn1x.c |  324 ++++++++++++++++++++++++++++++-------------------------
 1 files changed, 179 insertions(+), 145 deletions(-)

commit 0f7d62a27511f466fb0ea9780ca736652a0ba857
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-25

    [egg] Implement a bunch of value reading functionality.

 egg/egg-asn1x.c |  327 ++++++++++++++++++++++++++++++++++++++++++++++++-------
 egg/egg-asn1x.h |   51 +++++++--
 2 files changed, 324 insertions(+), 54 deletions(-)

commit 14bbb69e4dc90dc88b7de49e37bd35d510692137
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-25

    [egg] Tracking of failure messages during decoding and validation.

 egg/egg-asn1x.c        |  129 ++++++++++++++++++++++++++++++++----------------
 egg/egg-asn1x.h        |    2 +
 egg/tests/test-asn1x.c |    2 +-
 3 files changed, 90 insertions(+), 43 deletions(-)

commit c2f066ba2b5083ebc221e5dd20e3d6527c710cf0
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-25

    [egg] Implement asn validation, and some read functions.

 egg/egg-asn1x.c |  888 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 egg/egg-asn1x.h |    2 +
 2 files changed, 843 insertions(+), 47 deletions(-)

commit 83a8ec545f064d153ae9fd2de64b6a5a2d39f6a4
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-25

    [egg] Add asn functionality for clearing a tree.

 egg/egg-asn1x.c        |   65 +++++++++++++++++++++++++++++++++++++++++++----
 egg/egg-asn1x.h        |    2 +
 egg/tests/test-asn1x.c |   64 ++++++++++++++---------------------------------
 3 files changed, 80 insertions(+), 51 deletions(-)

commit 69e835a7ad4996f18b6f0c5b02fc3623a12e376f
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-24

    [egg] Rework asn1 decoding, add set support, much more robust.

 egg/egg-asn1x.c                             |  913 ++++++++++++++-------------
 egg/tests/test-asn1x.c                      |   57 ++-
 egg/tests/test-data/test-personalname-1.der |    1 +
 3 files changed, 527 insertions(+), 444 deletions(-)

commit dea4a4907498b196f499e809242ff03407b38b51
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-23

    [egg] A few more parsing tests.

 egg/tests/test-asn1x.c                |   25 +++++++++++++++++++++++++
 egg/tests/test-data/test-pkcs7-1.der  |  Bin 0 -> 1002 bytes
 egg/tests/test-data/test-pkcs8-1.der  |  Bin 0 -> 335 bytes
 egg/tests/test-data/test-rsakey-1.der |  Bin 0 -> 609 bytes
 4 files changed, 25 insertions(+), 0 deletions(-)

commit 23fd886490a00829a6a1e26ddf0eba2ad82a97ce
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-23

    [egg] Some more minor fixes for parsing certificates.

 egg/egg-asn1x.c        |    5 ++---
 egg/tests/test-asn1x.c |    8 ++++----
 2 files changed, 6 insertions(+), 7 deletions(-)

commit b84a2339803d99c6025956a66d06ce8c4252e7fb
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-23

    [egg] Handle identifier joins that are more than one level deep.

 egg/egg-asn1x.c |   33 +++++++++++++++++++++------------
 1 files changed, 21 insertions(+), 12 deletions(-)

commit d052e00b2c79177ca88e0a3cc83d39f6a486086d
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-23

    [egg] Work on indefinite length encodings.

 egg/egg-asn1x.c                       |  369 ++++++++++++++++++++++++++++-----
 egg/tests/test-asn1x.c                |   11 +-
 egg/tests/test-data/test-pkcs12-1.der |  Bin 0 -> 2824 bytes
 3 files changed, 324 insertions(+), 56 deletions(-)

commit 75d59a0348d780ff45562826da820e77a3169f24
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-22

    [egg] Implement DER parsing of a certificate.

 egg/egg-asn1x.c |  497 ++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 305 insertions(+), 192 deletions(-)

commit 5900dee0a27c4c95281dc9996f8778d69bc1d86a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-22

    [egg] Rework how asn nodes are accessed.

 egg/egg-asn1x.c |  221 +++++++++++++++----------------------------------------
 1 files changed, 60 insertions(+), 161 deletions(-)

commit 7f8fa58a42df337f91a1d4ca7a0fcbd2fcc09cf7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-22

    [egg] Implement better dumping of asn1 tree.

 egg/egg-asn1x.c |   38 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 37 insertions(+), 1 deletions(-)

commit 43ff1c1f495a1df0348a736ed76871ed91533d53
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-21

    [egg] Initial asn1 parser work.

 egg/.gitignore         |    2 +
 egg/Makefile.am        |   10 +-
 egg/egg-asn1x.c        |  617 ++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-asn1x.h        |   52 ++++
 egg/tests/Makefile.am  |   12 +
 egg/tests/test-asn1x.c |   30 +++
 6 files changed, 722 insertions(+), 1 deletions(-)

commit be0dce7a7cfd4b0ce3c447be092ecc1fa5a98a89
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-20

    Fix building of desktop and service files.
    
     * Use proper full paths.
     * Don't use proprietary gmake extensions.

 configure.in                               |   12 +++++++++++-
 daemon/Makefile.am                         |   23 ++++++++++-------------
 daemon/gnome-keyring-pkcs11.desktop.in.in  |    2 +-
 daemon/gnome-keyring-secrets.desktop.in.in |    2 +-
 daemon/gnome-keyring-ssh.desktop.in.in     |    2 +-
 daemon/org.freedesktop.secrets.service.in  |    2 +-
 daemon/org.gnome.keyring.service.in        |    2 +-
 po/POTFILES.skip                           |    2 ++
 8 files changed, 28 insertions(+), 19 deletions(-)

commit 3713f95277e2d7a1c587d229700f25e6886b8ac4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-06-20

    Updated Hebrew translation to 100%

 po/he.po | 1767 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1034 insertions(+), 733 deletions(-)

commit 95bc5a086359d3ecbfee51b04aaa5987eb72a4a8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-06-20

    Added Norwegian bokmål translation

 po/nb.po |   18 ++++++------------
 1 files changed, 6 insertions(+), 12 deletions(-)

commit 93d7a6bed13388b4656ea7d28ec79527d94d5e9c
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-06-19

    [l10n] Updated Estonian translation

 po/et.po |  322 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 167 insertions(+), 155 deletions(-)

commit a2e7511ced76d4722619adadee1a59cba71083f5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-06-18

    Updated Galician translations

 po/gl.po |  447 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 233 insertions(+), 214 deletions(-)

commit 9b18bc09dc28b5bd5474c539edb060c773d750b9
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-06-15

    Updated Spanish translation

 po/es.po |  437 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 229 insertions(+), 208 deletions(-)

commit 11fbedac3ce463e105e8be237489ff27e43a6d03
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-06-14

    Remove non-existing file

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 482793431e7c3aa3ee1efa07b9166bf8465113fc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-06-14

    Updated Norwegian bokmål translation

 po/nb.po |  419 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 218 insertions(+), 201 deletions(-)

commit e85a42058331a78938d3c31adffcfffa2f92904a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-06-13

    Updated Galician translations

 po/gl.po |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 606b73fda831a34612e5f12af4ae94d4e30c5785
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-13

    [gpg-agent] Allow unlock options to be used.
    
     * The lock after X minutes options.

 daemon/gpg-agent/gkd-gpg-agent-ops.c |   45 +++++++++++++++++++++++++++-------
 ui/gku-prompt.ui                     |   30 ++++++++++------------
 2 files changed, 50 insertions(+), 25 deletions(-)

commit ea21ca7f082f141998b2498fd7c14b982c25a460
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-13

    [gpg-agent] Finish up the GPG Agent.
    
     * Tested with GPG 1.4

 daemon/gkd-pkcs11.c                         |    1 +
 daemon/gpg-agent/Makefile.am                |    3 +-
 daemon/gpg-agent/gkd-gpg-agent-ops.c        |  255 ++++++++++++++++++++++++---
 daemon/gpg-agent/gkd-gpg-agent-standalone.c |   11 +-
 daemon/gpg-agent/gkd-gpg-agent.c            |   11 +-
 po/POTFILES.in                              |    1 +
 6 files changed, 242 insertions(+), 40 deletions(-)

commit 83f3fe1a8016231f5f6a30bee3017eeb53511c58
Merge: 24528a0 e258971
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-13

    Merge branch 'master' into gpg-agent

commit e258971767cd259dfa3cf58babc6a4362906c618
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-13

    [prompt] Always encode strings properly.
    
     * Encode strings going to and from prompt process properly.
     * Previously certain character combinations would cause
       GKeyFile to barf.

 ui/gku-prompt-tool.c |   20 ++++++++++----------
 ui/gku-prompt.c      |   14 +++++++-------
 2 files changed, 17 insertions(+), 17 deletions(-)

commit dd1f7ff8cf719c0b58624a7cdf9326d3231bf02f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-13

    [gkm] Always pass around session when finding stuff.
    
     * This is because attributes can vary depending on session
       and we need the session to determine their value.

 pkcs11/gkm/gkm-certificate.c                |    6 ++--
 pkcs11/gkm/gkm-certificate.h                |    1 +
 pkcs11/gkm/gkm-credential.c                 |    4 +-
 pkcs11/gkm/gkm-manager.c                    |   33 ++++++++++++++++----------
 pkcs11/gkm/gkm-manager.h                    |    5 ++++
 pkcs11/gkm/gkm-session.c                    |    4 +-
 pkcs11/roots-store/gkm-roots-certificate.c  |    2 +-
 pkcs11/secret-store/gkm-secret-collection.c |   13 ++++++----
 pkcs11/secret-store/gkm-secret-collection.h |    3 +-
 pkcs11/secret-store/gkm-secret-item.c       |    6 ++--
 pkcs11/secret-store/gkm-secret-search.c     |    8 +++---
 11 files changed, 51 insertions(+), 34 deletions(-)

commit 24528a0434e5bcd5778f5f60f16bb41c62cfed43
Merge: 4837c53 6ec9f78
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    Merge branch 'master' into gpg-agent

commit 6ec9f78a8e255a53903fbdafea7462fbb564f386
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    [daemon] Fix deadlock on secure memory usage.
    
    Fix a spectacular goof introduced a few commits ago.

 daemon/gkd-main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4837c53ab9fa7eeb250d21117d63c5ef71cbef2c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    Fix up the POTFILES for GPG stuff

 po/POTFILES.in   |    2 +-
 po/POTFILES.skip |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 445771d2a6c07f9f056434db96e1749aa3befc53
Merge: 302db3f ec61791
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    Merge branch 'master' into gpg-agent

commit ec61791ca431ea7040cfa3160a1e86a7c0103db2
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    [daemon] Remove old code that's now in the wrap-layer

 configure.in                    |    1 -
 daemon/Makefile.am              |    3 +-
 daemon/dbus/gkd-dbus-secrets.c  |    2 +-
 daemon/gkd-main.c               |    3 +-
 daemon/gkd-pkcs11.c             |  203 +++++
 daemon/gkd-pkcs11.h             |   39 +
 daemon/login/gkd-login.c        |  319 +--------
 daemon/login/gkd-login.h        |   19 -
 daemon/pkcs11/Makefile.am       |   22 -
 daemon/pkcs11/gkd-pkcs11-auth.c | 1540 ---------------------------------------
 daemon/pkcs11/gkd-pkcs11-auth.h |   33 -
 daemon/pkcs11/gkd-pkcs11-data.c |  263 -------
 daemon/pkcs11/gkd-pkcs11-data.h |   52 --
 daemon/pkcs11/gkd-pkcs11.c      |  215 ------
 daemon/pkcs11/gkd-pkcs11.h      |   39 -
 15 files changed, 254 insertions(+), 2499 deletions(-)

commit 92fa5ed13833da27403b932c7d815d8f8a07f880
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    [wrap-layer] Implement initialize and change password prompts

 pkcs11/gkm/gkm-mock.c                   |   10 +-
 pkcs11/wrap-layer/gkm-wrap-layer.c      |   23 +--
 pkcs11/wrap-layer/gkm-wrap-prompt.c     |  308 ++++++++++++++++++++++++++++---
 pkcs11/wrap-layer/gkm-wrap-prompt.h     |    2 -
 pkcs11/wrap-layer/tests/Makefile.am     |    4 +-
 pkcs11/wrap-layer/tests/test-init-pin.c |   92 +++++++++
 pkcs11/wrap-layer/tests/test-set-pin.c  |   92 +++++++++
 ui/gku-prompt.c                         |   16 ++
 ui/gku-prompt.h                         |    3 +
 9 files changed, 501 insertions(+), 49 deletions(-)

commit 3dc91d3d6608a46692dc5b52a597a03ccce24944
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    Make sure prompts are freed properly.
    
     * Previously had circular reference between prompt and attention
       structure.

 ui/gku-prompt.c |   16 ++++++----------
 1 files changed, 6 insertions(+), 10 deletions(-)

commit 92852897d420071033557bf77123a447c45b0ea1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-12

    Implement auto unlock in wrap-layer.
    
     * Including tests and necessary infrastructure.

 Makefile.am                                      |    2 +-
 pkcs11/gkm/gkm-mock.c                            |  254 ++++++++---
 pkcs11/gkm/gkm-mock.h                            |   26 +
 pkcs11/gkm/gkm-secret.c                          |    7 +
 pkcs11/gkm/gkm-secret.h                          |    2 +
 pkcs11/pkcs11i.h                                 |    2 +
 pkcs11/secret-store/gkm-secret-collection.c      |   11 +
 pkcs11/wrap-layer/Makefile.am                    |    1 +
 pkcs11/wrap-layer/gkm-wrap-layer.h               |   10 +-
 pkcs11/wrap-layer/gkm-wrap-login.c               |  465 +++++++++++++++++++
 pkcs11/wrap-layer/gkm-wrap-login.h               |   42 ++
 pkcs11/wrap-layer/gkm-wrap-prompt.c              |  539 ++++++++++++++++------
 pkcs11/wrap-layer/tests/Makefile.am              |   10 +-
 pkcs11/wrap-layer/tests/mock-secret-store.c      |  286 ++++++++++++
 pkcs11/wrap-layer/tests/test-create-credential.c |    2 +
 pkcs11/wrap-layer/tests/test-login-auto.c        |  210 +++++++++
 pkcs11/wrap-layer/tests/test-login-hints.c       |   44 ++
 pkcs11/wrap-layer/tests/test-login-keyring.c     |  306 ++++++++++++
 pkcs11/wrap-layer/tests/test-login-specific.c    |    2 +
 pkcs11/wrap-layer/tests/test-login-user.c        |    2 +
 po/POTFILES.in                                   |    1 +
 ui/gku-prompt.c                                  |   31 ++-
 ui/gku-prompt.h                                  |    4 +
 23 files changed, 2044 insertions(+), 215 deletions(-)

commit 2954ca8774c95bd2a033b3d62a64ce78c1a2fe93
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-09

    [gkm] Internally ignore attributes with ulValueLen == -1
    
    This is used to represent invalid attributes when retrieved
    via C_GetAttributeValue so ignoring these as not-set has
    benefits.

 pkcs11/gkm/gkm-attributes.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit d9eb5a034248557b07800e8dc607053da48107c7
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-09

    Split out the mock module and test helpers.

 pkcs11/gkm/Makefile.am                           |    1 +
 pkcs11/gkm/gkm-mock.c                            | 1479 ++++++++++++++++++++++
 pkcs11/gkm/gkm-mock.h                            |  370 ++++++
 pkcs11/gkm/gkm-test.c                            | 1449 ---------------------
 pkcs11/gkm/gkm-test.h                            |  347 +-----
 pkcs11/wrap-layer/tests/test-create-credential.c |    3 +-
 pkcs11/wrap-layer/tests/test-login-specific.c    |    5 +-
 pkcs11/wrap-layer/tests/test-login-user.c        |    7 +-
 8 files changed, 1862 insertions(+), 1799 deletions(-)

commit f6e4268ef31f1d8f70e9963dfa436a8ef685d7af
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Implement some testing of creating credentials.

 pkcs11/gkm/gkm-test.c                            |   35 +++++-
 pkcs11/gkm/gkm-test.h                            |   19 +++-
 pkcs11/wrap-layer/tests/Makefile.am              |    1 +
 pkcs11/wrap-layer/tests/test-create-credential.c |  153 ++++++++++++++++++++++
 pkcs11/wrap-layer/tests/test-login-specific.c    |    4 +-
 5 files changed, 208 insertions(+), 4 deletions(-)

commit 41a78ce2a9ef32f31b335afd7795d79557c8914c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Cleaner naming in testing suite.

 .gitignore                                         |    2 +-
 egg/tests/test-padding.c                           |    2 +-
 egg/tests/unit-test-asn1.c                         |    2 +-
 egg/tests/unit-test-cleanup.c                      |    2 +-
 egg/tests/unit-test-dh.c                           |    2 +-
 egg/tests/unit-test-hex.c                          |    2 +-
 egg/tests/unit-test-oid.c                          |    2 +-
 egg/tests/unit-test-openssl.c                      |    2 +-
 egg/tests/unit-test-secmem.c                       |    2 +-
 egg/tests/unit-test-spawn.c                        |    2 +-
 egg/tests/unit-test-symkey.c                       |    2 +-
 gcr/tests/unit-test-certificate.c                  |    2 +-
 gcr/tests/unit-test-parser.c                       |    2 +-
 gp11/tests/test-gp11-mechanism.c                   |    2 +-
 gp11/tests/unit-test-gp11-attributes.c             |    2 +-
 gp11/tests/unit-test-gp11-crypto.c                 |    2 +-
 gp11/tests/unit-test-gp11-module.c                 |    2 +-
 gp11/tests/unit-test-gp11-object.c                 |    2 +-
 gp11/tests/unit-test-gp11-session.c                |    2 +-
 gp11/tests/unit-test-gp11-slot.c                   |    2 +-
 pkcs11/gkm/tests/test-module.c                     |    2 +-
 pkcs11/gkm/tests/unit-test-attributes.c            |    2 +-
 pkcs11/gkm/tests/unit-test-credential.c            |    2 +-
 pkcs11/gkm/tests/unit-test-data-asn1.c             |    2 +-
 pkcs11/gkm/tests/unit-test-data-der.c              |    2 +-
 pkcs11/gkm/tests/unit-test-data-file.c             |    2 +-
 pkcs11/gkm/tests/unit-test-file-tracker.c          |    2 +-
 pkcs11/gkm/tests/unit-test-memory-store.c          |    2 +-
 pkcs11/gkm/tests/unit-test-object.c                |    2 +-
 pkcs11/gkm/tests/unit-test-secret.c                |    2 +-
 pkcs11/gkm/tests/unit-test-sexp.c                  |    2 +-
 pkcs11/gkm/tests/unit-test-store.c                 |    2 +-
 pkcs11/gkm/tests/unit-test-timer.c                 |    2 +-
 pkcs11/gkm/tests/unit-test-transaction.c           |    2 +-
 pkcs11/roots-store/tests/test-module.c             |    2 +-
 pkcs11/secret-store/tests/test-secret-module.c     |    6 +++---
 .../secret-store/tests/unit-test-secret-binary.c   |    2 +-
 .../tests/unit-test-secret-collection.c            |    2 +-
 .../secret-store/tests/unit-test-secret-compat.c   |    2 +-
 pkcs11/secret-store/tests/unit-test-secret-data.c  |    2 +-
 .../secret-store/tests/unit-test-secret-fields.c   |    2 +-
 pkcs11/secret-store/tests/unit-test-secret-item.c  |    2 +-
 .../secret-store/tests/unit-test-secret-object.c   |    2 +-
 .../secret-store/tests/unit-test-secret-search.c   |    2 +-
 .../secret-store/tests/unit-test-secret-textual.c  |    2 +-
 pkcs11/ssh-store/tests/test-ssh-module.c           |    2 +-
 pkcs11/ssh-store/tests/unit-test-private-key.c     |    2 +-
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.c     |    2 +-
 pkcs11/user-store/tests/test-module.c              |    2 +-
 pkcs11/wrap-layer/tests/test-login-specific.c      |    2 +-
 pkcs11/wrap-layer/tests/test-login-user.c          |    2 +-
 testing/testing.make                               |   12 ++++++------
 ui/tests/unit-test-util.c                          |    2 +-
 53 files changed, 60 insertions(+), 60 deletions(-)

commit d90c7eca6581388ba24c91b600db649368ad9514
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Cleaner naming in testing suite.

 testing/testing-build.sh |   59 ++++++++++++++++++++++-----------------------
 1 files changed, 29 insertions(+), 30 deletions(-)

commit f83e2ff053f527a968f77fd0d7b4a6ca76bb07dd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Implement testing for context specific login prompt.

 pkcs11/gkm/gkm-attributes.c                   |   51 ++++++++
 pkcs11/gkm/gkm-attributes.h                   |   17 +++
 pkcs11/gkm/gkm-test.c                         |   98 ++++++++-------
 pkcs11/gkm/gkm-test.h                         |    6 +
 pkcs11/wrap-layer/gkm-wrap-prompt.c           |    8 +-
 pkcs11/wrap-layer/tests/Makefile.am           |    3 +-
 pkcs11/wrap-layer/tests/test-login-specific.c |  132 +++++++++++++++++++
 pkcs11/wrap-layer/tests/test-login-user.c     |  141 +++++++++++++++++++++
 pkcs11/wrap-layer/tests/test-prompt-login.c   |  169 -------------------------
 9 files changed, 407 insertions(+), 218 deletions(-)

commit 5bf7553731217d4134d19feca0ca827b0645b445
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Implement coverage of tests using gcov and lcov.

 .gitignore           |    3 +++
 Makefile.am          |   11 +++++++++++
 configure.in         |   48 ++++++++++++++++++++++++++++++++++++++++--------
 testing/.gitignore   |    2 ++
 testing/Makefile.am  |    4 ++++
 testing/testing.make |   11 +++++++----
 6 files changed, 67 insertions(+), 12 deletions(-)

commit 730506a27cd9d34bdf5002482f7a938063e5ee03
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Cleanup .gitignore files.

 .gitignore                           |    4 +---
 daemon/.gitignore                    |   13 -------------
 daemon/control/tests/.gitignore      |    3 +++
 daemon/data/.gitignore               |    2 --
 daemon/pkcs11/.gitignore             |    3 ---
 daemon/ssh-agent/.gitignore          |    3 ---
 docs/.gitignore                      |    3 ---
 docs/reference/.gitignore            |    7 -------
 egg/.gitignore                       |    4 ----
 egg/tests/.gitignore                 |    4 ----
 gcr/.gitignore                       |    6 ------
 gcr/tests/.gitignore                 |    4 ----
 gp11/.gitignore                      |    5 -----
 gp11/tests/.gitignore                |    3 ---
 pam/.gitignore                       |    4 ----
 pkcs11/.gitignore                    |    6 ------
 pkcs11/gkm/.gitignore                |    5 -----
 pkcs11/gkm/tests/.gitignore          |    3 ---
 pkcs11/plex-layer/.gitignore         |    3 ---
 pkcs11/roots-store/.gitignore        |    3 ---
 pkcs11/roots-store/tests/.gitignore  |    2 --
 pkcs11/rpc-layer/.gitignore          |    4 ----
 pkcs11/secret-store/tests/.gitignore |    3 ---
 pkcs11/ssh-store/.gitignore          |    3 ---
 pkcs11/ssh-store/tests/.gitignore    |    4 ----
 pkcs11/user-store/.gitignore         |    3 ---
 pkcs11/user-store/tests/.gitignore   |    2 --
 po/.gitignore                        |    2 --
 testing/.gitignore                   |   15 ---------------
 tool/.gitignore                      |    3 ---
 ui/.gitignore                        |    1 +
 31 files changed, 5 insertions(+), 125 deletions(-)

commit ddcd1ae794f789379964b6b26683c1436c19c70f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Cleanup naming and whitespace for testing stuff.
    
     * Rip off bandaid (painful) whitespace cleanup.
     * At the same time cleanup naming, and remove old cruft.

 .gitignore                                         |    3 +-
 Makefile.am                                        |    2 +-
 configure.in                                       |    2 +-
 daemon/.gitignore                                  |    1 -
 daemon/control/tests/test-control-change.c         |    4 +-
 daemon/control/tests/test-control-init.c           |    4 +-
 daemon/control/tests/test-control-unlock.c         |    4 +-
 docs/reference/gcr/gcr-sections.txt                |    4 -
 egg/tests/.gitignore                               |    3 -
 egg/tests/Makefile.am                              |    6 +-
 egg/tests/test-padding.c                           |    2 +-
 egg/tests/unit-test-asn1.c                         |    4 +-
 egg/tests/unit-test-cleanup.c                      |    2 +-
 egg/tests/unit-test-dh.c                           |    2 +-
 egg/tests/unit-test-hex.c                          |    2 +-
 egg/tests/unit-test-oid.c                          |    2 +-
 egg/tests/unit-test-openssl.c                      |    4 +-
 egg/tests/unit-test-secmem.c                       |    2 +-
 egg/tests/unit-test-spawn.c                        |   18 +-
 egg/tests/unit-test-symkey.c                       |    2 +-
 gcr/tests/.gitignore                               |    3 -
 gcr/tests/Makefile.am                              |    8 +-
 gcr/tests/unit-test-certificate.c                  |    4 +-
 gcr/tests/unit-test-parser.c                       |    6 +-
 gp11/tests/.gitignore                              |    3 -
 gp11/tests/Makefile.am                             |    8 +-
 gp11/tests/test-gp11-mechanism.c                   |    2 +-
 gp11/tests/unit-test-gp11-attributes.c             |    2 +-
 gp11/tests/unit-test-gp11-crypto.c                 |   30 +-
 gp11/tests/unit-test-gp11-module.c                 |    2 +-
 gp11/tests/unit-test-gp11-object.c                 |   18 +-
 gp11/tests/unit-test-gp11-session.c                |   20 +-
 gp11/tests/unit-test-gp11-slot.c                   |    2 +-
 pkcs11/gkm/tests/.gitignore                        |    2 -
 pkcs11/gkm/tests/Makefile.am                       |    6 +-
 pkcs11/gkm/tests/test-module.c                     |    4 +-
 pkcs11/gkm/tests/unit-test-attributes.c            |    2 +-
 pkcs11/gkm/tests/unit-test-credential.c            |    2 +-
 pkcs11/gkm/tests/unit-test-data-asn1.c             |    4 +-
 pkcs11/gkm/tests/unit-test-data-der.c              |   14 +-
 pkcs11/gkm/tests/unit-test-data-file.c             |    8 +-
 pkcs11/gkm/tests/unit-test-file-tracker.c          |    2 +-
 pkcs11/gkm/tests/unit-test-memory-store.c          |    2 +-
 pkcs11/gkm/tests/unit-test-object.c                |    6 +-
 pkcs11/gkm/tests/unit-test-secret.c                |    2 +-
 pkcs11/gkm/tests/unit-test-sexp.c                  |    2 +-
 pkcs11/gkm/tests/unit-test-store.c                 |    2 +-
 pkcs11/gkm/tests/unit-test-timer.c                 |   12 +-
 pkcs11/gkm/tests/unit-test-transaction.c           |   14 +-
 pkcs11/roots-store/tests/Makefile.am               |    6 +-
 pkcs11/roots-store/tests/test-module.c             |    4 +-
 pkcs11/secret-store/tests/.gitignore               |    1 -
 pkcs11/secret-store/tests/Makefile.am              |    6 +-
 pkcs11/secret-store/tests/test-secret-module.c     |   12 +-
 .../secret-store/tests/unit-test-secret-binary.c   |   12 +-
 .../tests/unit-test-secret-collection.c            |   14 +-
 .../secret-store/tests/unit-test-secret-compat.c   |    2 +-
 pkcs11/secret-store/tests/unit-test-secret-data.c  |    2 +-
 .../secret-store/tests/unit-test-secret-fields.c   |    2 +-
 pkcs11/secret-store/tests/unit-test-secret-item.c  |    2 +-
 .../secret-store/tests/unit-test-secret-object.c   |    2 +-
 .../secret-store/tests/unit-test-secret-search.c   |    2 +-
 .../secret-store/tests/unit-test-secret-textual.c  |   10 +-
 pkcs11/ssh-store/tests/.gitignore                  |    2 -
 pkcs11/ssh-store/tests/Makefile.am                 |    6 +-
 pkcs11/ssh-store/tests/test-ssh-module.c           |    4 +-
 pkcs11/ssh-store/tests/unit-test-private-key.c     |   10 +-
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.c     |    6 +-
 pkcs11/user-store/tests/Makefile.am                |    6 +-
 pkcs11/user-store/tests/test-module.c              |    4 +-
 pkcs11/wrap-layer/tests/Makefile.am                |    9 +-
 pkcs11/wrap-layer/tests/test-prompt-login.c        |    2 +-
 po/POTFILES.in                                     |    1 +
 testing/.gitignore                                 |   15 +
 testing/Makefile.am                                |   19 ++
 testing/ca-example/certs/ca.crt                    |   23 ++
 testing/ca-example/certs/client.crt                |   19 ++
 testing/ca-example/certs/email.crt                 |   19 ++
 testing/ca-example/certs/generic-dsa.crt           |   22 ++
 testing/ca-example/keys/ca.key                     |   15 +
 testing/ca-example/keys/client.key                 |   27 ++
 testing/ca-example/keys/dsa.params                 |    9 +
 testing/ca-example/keys/email.key                  |   27 ++
 testing/ca-example/keys/generic-dsa.key            |   12 +
 testing/ca-example/profiles/ca.conf                |   32 +++
 testing/ca-example/profiles/extensions.conf        |   16 ++
 testing/ca-example/profiles/request.conf           |   18 ++
 testing/ca-example/requests/client.req             |   17 ++
 testing/ca-example/requests/email.req              |   17 ++
 testing/ca-example/requests/generic-dsa.req        |   16 ++
 testing/ca-example/serial.txt                      |    1 +
 testing/testing-build.sh                           |  137 ++++++++++
 testing/testing.c                                  |  284 ++++++++++++++++++++
 testing/testing.h                                  |  104 +++++++
 testing/testing.make                               |   54 ++++
 tests/.gitignore                                   |   15 -
 tests/Makefile.am                                  |   19 --
 tests/ca-example/certs/ca.crt                      |   23 --
 tests/ca-example/certs/client.crt                  |   19 --
 tests/ca-example/certs/email.crt                   |   19 --
 tests/ca-example/certs/generic-dsa.crt             |   22 --
 tests/ca-example/keys/ca.key                       |   15 -
 tests/ca-example/keys/client.key                   |   27 --
 tests/ca-example/keys/dsa.params                   |    9 -
 tests/ca-example/keys/email.key                    |   27 --
 tests/ca-example/keys/generic-dsa.key              |   12 -
 tests/ca-example/profiles/ca.conf                  |   32 ---
 tests/ca-example/profiles/extensions.conf          |   16 --
 tests/ca-example/profiles/request.conf             |   18 --
 tests/ca-example/requests/client.req               |   17 --
 tests/ca-example/requests/email.req                |   17 --
 tests/ca-example/requests/generic-dsa.req          |   16 --
 tests/ca-example/serial.txt                        |    1 -
 tests/dbus-test.py                                 |   16 --
 tests/gtest-helpers.c                              |  284 --------------------
 tests/gtest-helpers.h                              |   94 -------
 tests/gtest.make                                   |   53 ----
 tests/prep-gtest.sh                                |  137 ----------
 ui/tests/Makefile.am                               |    6 +-
 ui/tests/unit-test-util.c                          |    2 +-
 120 files changed, 1093 insertions(+), 1118 deletions(-)

commit c16b8c01ad9fd6a564e06935781e385e84547be2
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    No more prompt tests.
    
     * These were an old concept of tests that didn't run automatically.
     * Also remove PAM tests, as they were completely broken, and prompt style.

 .gitignore                        |    1 -
 configure.in                      |    1 -
 egg/tests/.gitignore              |    2 -
 gcr/tests/.gitignore              |    2 -
 gp11/tests/.gitignore             |    3 -
 gp11/tests/Makefile.am            |    2 -
 pam/Makefile.am                   |    8 ---
 pam/tests/.gitignore              |    4 -
 pam/tests/Makefile.am             |   10 ---
 pam/tests/unit-test-pam-setup.c   |  116 -------------------------------------
 pam/tests/unit-test-pam.c         |   73 -----------------------
 pkcs11/gkm/tests/.gitignore       |    2 -
 pkcs11/ssh-store/tests/.gitignore |    2 -
 tests/gtest.make                  |   28 +--------
 14 files changed, 2 insertions(+), 252 deletions(-)

commit c712ccada0f5524e2bda7a16f3e754e14519bdd0
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Implement login prompting tests as automatic test.

 pkcs11/gkm/gkm-test.c                       |    1 +
 pkcs11/wrap-layer/gkm-wrap-layer.c          |   15 ++++++
 pkcs11/wrap-layer/gkm-wrap-layer.h          |    2 +
 pkcs11/wrap-layer/tests/Makefile.am         |   28 ++++--------
 pkcs11/wrap-layer/tests/test-prompt-login.c |   63 ++++++++++++--------------
 ui/gku-prompt.c                             |   24 +++++++++-
 ui/gku-prompt.h                             |    8 +++-
 7 files changed, 85 insertions(+), 56 deletions(-)

commit 77f3e46aaffa11b5f3e31590269600766510a9a7
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Allow space between test definition macro and name.

 pkcs11/wrap-layer/tests/test-create-credential.c |  174 ----------------------
 pkcs11/wrap-layer/tests/test-prompt-login.c      |  174 ++++++++++++++++++++++
 tests/prep-gtest.sh                              |   12 +-
 3 files changed, 180 insertions(+), 180 deletions(-)

commit 9a8d4cbe992fa9f34e91e4d027222b7ee90aa861
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Verobse testing, so we can see progress.

 tests/gtest.make |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21e59b2d1baa4320971cf495393b456c440ec5d9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Run tests in a second thread, and run mainloop.
    
    Run mainloop on main thread, and tests in a second thread.

 egg/tests/unit-test-spawn.c         |    6 +-
 gp11/tests/gp11-test.h              |    4 --
 gp11/tests/unit-test-gp11-crypto.c  |   31 ++++++------
 gp11/tests/unit-test-gp11-object.c  |   15 +++---
 gp11/tests/unit-test-gp11-session.c |   21 ++++----
 pkcs11/gkm/tests/unit-test-object.c |    2 +-
 pkcs11/gkm/tests/unit-test-timer.c  |   10 ++--
 tests/gtest-helpers.c               |   87 +++++++++++++++++++++++------------
 tests/gtest-helpers.h               |    5 +-
 9 files changed, 103 insertions(+), 78 deletions(-)

commit 880323d53b60d6fda531cfc716ff46a5c6b20904
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Fix possible threading race condition in gp11.
    
    We weren't waking up the main loop when we were ready to process
    a response from an async operation in certain cases.

 gp11/gp11-call.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 04bbaee1fec85708f445b1e987c7380c77f36150
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Implement dummy prompting.
    
    Tests can now queue up responses, so we can test prompting
    and various usage patterns.

 pkcs11/wrap-layer/tests/test-create-credential.c |    4 +
 ui/gku-prompt-tool.c                             |    9 ++-
 ui/gku-prompt.c                                  |   95 +++++++++++++++++++++-
 ui/gku-prompt.h                                  |    8 ++
 4 files changed, 111 insertions(+), 5 deletions(-)

commit 6d556cef7e37466f121f274bf8e6deba20db15e3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Implement an initial test of the prompting functionality.

 configure.in                                     |    1 +
 pkcs11/.gitignore                                |    2 +
 pkcs11/gkm/Makefile.am                           |    1 +
 pkcs11/gkm/gkm-attributes.c                      |    7 +
 pkcs11/gkm/gkm-attributes.h                      |    3 +
 pkcs11/gkm/gkm-test.c                            | 1469 ++++++++++++++++++++++
 pkcs11/gkm/gkm-test.h                            |  380 ++++++
 pkcs11/gkm/gkm-util.c                            |   24 +-
 pkcs11/gkm/gkm-util.h                            |    4 +-
 pkcs11/wrap-layer/Makefile.am                    |   10 +
 pkcs11/wrap-layer/gkm-wrap-prompt.c              |    3 +
 pkcs11/wrap-layer/tests/Makefile.am              |   24 +
 pkcs11/wrap-layer/tests/test-create-credential.c |  170 +++
 13 files changed, 2095 insertions(+), 3 deletions(-)

commit 83fff3a4138586368d300da66132dc05c27ff378
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Basic rough implementation of prompting for C_Login

 pkcs11/wrap-layer/gkm-wrap-layer.c  |  263 +++++++++++++++-------
 pkcs11/wrap-layer/gkm-wrap-prompt.c |  440 +++++++++++++++++++++++++++++------
 pkcs11/wrap-layer/gkm-wrap-prompt.h |   47 ++++-
 3 files changed, 592 insertions(+), 158 deletions(-)

commit 1ae76c6396141dfc6736395090779fa0d15764f9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Simpler way to define secure memory callbacks.
    
     * Also define locking on the daemon.

 daemon/gkd-main.c                           |    6 ++++--
 daemon/ssh-agent/gkd-ssh-agent-standalone.c |   11 +----------
 egg/egg-secure-memory.h                     |    8 ++++++++
 pkcs11/gkm/tests/dump-data-file.c           |    7 +------
 pkcs11/roots-store/gkm-roots-standalone.c   |    8 +-------
 pkcs11/secret-store/gkm-secret-standalone.c |    8 +-------
 pkcs11/ssh-store/gkm-ssh-standalone.c       |    8 +-------
 pkcs11/user-store/gkm-user-standalone.c     |    8 +-------
 tests/gtest-helpers.c                       |   16 +---------------
 9 files changed, 19 insertions(+), 61 deletions(-)

commit 27789d006f38f134a2a34482d9343034d7dfa5b8
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-06

    Fix bugs preventing wrap layer propmting from working.
    
     * Standard way to get object path from GkdSecretDispatch
     * Lots of minor little tweaks and bugs.

 daemon/Makefile.am                   |    2 +-
 daemon/dbus/gkd-secret-dispatch.c    |    9 +++
 daemon/dbus/gkd-secret-dispatch.h    |    3 +
 daemon/dbus/gkd-secret-prompt.c      |    9 +---
 daemon/dbus/gkd-secret-prompt.h      |    2 -
 daemon/dbus/gkd-secret-secret.c      |    3 +-
 daemon/dbus/gkd-secret-service.c     |   10 ++--
 daemon/dbus/gkd-secret-session.c     |   13 +----
 daemon/dbus/gkd-secret-session.h     |    2 -
 daemon/dbus/gkd-secret-unlock.c      |   10 ++--
 daemon/pkcs11/gkd-pkcs11.c           |   14 +++---
 gp11/gp11-attributes.c               |    4 +-
 pkcs11/user-store/gkm-user-storage.c |    2 +-
 pkcs11/wrap-layer/gkm-wrap-layer.c   |   94 +++++++++++++--------------------
 pkcs11/wrap-layer/gkm-wrap-prompt.c  |   10 +++-
 ui/gku-prompt.c                      |    1 +
 16 files changed, 85 insertions(+), 103 deletions(-)

commit ed30d8a35b73bca37ca6f6e16da83341218f2739
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-06

    Implement secret service unlock using protected auth path.
    
     * Let wrap layer module do the prompting.

 daemon/dbus/gkd-secret-unlock.c |  658 ++++++++++++++++++---------------------
 daemon/dbus/gkd-secret-unlock.h |    2 +-
 2 files changed, 308 insertions(+), 352 deletions(-)

commit 62c002d0d3068a93ef536f49d10fd16ddcb8940c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-05

    Use an interface to dispatch dbus messages to objects.
    
     * Will allow multiple objects to implement Prompt dbus iface.

 daemon/dbus/Makefile.am           |    1 +
 daemon/dbus/gkd-secret-dispatch.c |   64 ++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-dispatch.h |   53 +++++++++++++++++++++++++
 daemon/dbus/gkd-secret-iface.c    |   59 ----------------------------
 daemon/dbus/gkd-secret-iface.h    |   45 ---------------------
 daemon/dbus/gkd-secret-prompt.c   |   78 +++++++++++++++++++++---------------
 daemon/dbus/gkd-secret-prompt.h   |    3 -
 daemon/dbus/gkd-secret-service.c  |    5 +-
 daemon/dbus/gkd-secret-session.c  |   59 ++++++++++++++++-----------
 daemon/dbus/gkd-secret-session.h  |    3 -
 daemon/dbus/gkd-secret-types.h    |    1 +
 11 files changed, 202 insertions(+), 169 deletions(-)

commit bf0d4ea4f4ef51d95238bf30d3a434203319987c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-05

    Prompting for creation of credentials in wrap layer.
    
     * Not yet tested.
     * Not yet used by Secret Service API.

 Makefile.am                         |    2 +-
 daemon/dbus/gkd-secret-iface.c      |   59 +++
 daemon/dbus/gkd-secret-iface.h      |   45 +++
 daemon/dbus/gkd-secret-unlock.c     |    4 +
 daemon/pkcs11/gkd-pkcs11-auth.c     |   10 +-
 pkcs11/gkm/gkm-util.c               |  100 +++++
 pkcs11/gkm/gkm-util.h               |    2 +
 pkcs11/wrap-layer/Makefile.am       |    7 +-
 pkcs11/wrap-layer/gkm-wrap-layer.c  |   70 ++++-
 pkcs11/wrap-layer/gkm-wrap-prompt.c |  688 +++++++++++++++++++++++++++++++++++
 pkcs11/wrap-layer/gkm-wrap-prompt.h |   63 ++++
 ui/gku-prompt.c                     |   53 +--
 ui/gku-prompt.h                     |   16 +-
 13 files changed, 1068 insertions(+), 51 deletions(-)

commit 469b99bdcc169b6554c55bf2026c064490760959
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-05-30

    Start the wrap-layer, with proper session mapping.

 configure.in                       |    1 +
 pkcs11/Makefile.am                 |    1 +
 pkcs11/wrap-layer/Makefile.am      |   21 +
 pkcs11/wrap-layer/gkm-wrap-layer.c | 1258 ++++++++++++++++++++++++++++++++++++
 pkcs11/wrap-layer/gkm-wrap-layer.h |   31 +
 5 files changed, 1312 insertions(+), 0 deletions(-)

commit ef1015c80d719e49fd8fcb1d8b2cc0a5a466b6ab
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-06-08

    Bump version number to unstable version
    
     * Remove function that was specific to 2.29 and 2.30

 configure.in             |    2 +-
 daemon/login/gkd-login.c |   31 -------------------------------
 2 files changed, 1 insertions(+), 32 deletions(-)

commit 328234924e7a44de551455f89115ca5d9d8ba435
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-05-29

    Move and cleanup the prompt directory.

 .gitignore                                 |    2 +
 Makefile.am                                |    1 +
 configure.in                               |    4 +-
 daemon/Makefile.am                         |    3 +-
 daemon/dbus/gkd-secret-change.c            |   26 +-
 daemon/dbus/gkd-secret-create.c            |   20 +-
 daemon/dbus/gkd-secret-prompt.c            |   34 +-
 daemon/dbus/gkd-secret-prompt.h            |    6 +-
 daemon/dbus/gkd-secret-unlock.c            |   52 +-
 daemon/pkcs11/gkd-pkcs11-auth.c            |   98 ++--
 daemon/pkcs11/gkd-pkcs11-data.c            |    2 +-
 daemon/prompt/Makefile.am                  |   79 --
 daemon/prompt/gkd-prompt-marshal.list      |    1 -
 daemon/prompt/gkd-prompt-tool.c            |  915 -----------------------
 daemon/prompt/gkd-prompt-util.c            |  222 ------
 daemon/prompt/gkd-prompt-util.h            |   49 --
 daemon/prompt/gkd-prompt.c                 | 1122 ----------------------------
 daemon/prompt/gkd-prompt.h                 |  138 ----
 daemon/prompt/gkd-prompt.ui                |  385 ----------
 daemon/prompt/tests/Makefile.am            |   14 -
 daemon/prompt/tests/test-data/prompt-empty |    2 -
 daemon/prompt/tests/test-data/prompt-full  |   17 -
 daemon/prompt/tests/test-data/prompt-test  |    7 -
 daemon/prompt/tests/unit-test-util.c       |  136 ----
 po/POTFILES.in                             |    4 +-
 ui/Makefile.am                             |   79 ++
 ui/gku-prompt-marshal.list                 |    1 +
 ui/gku-prompt-tool.c                       |  915 +++++++++++++++++++++++
 ui/gku-prompt-util.c                       |  222 ++++++
 ui/gku-prompt-util.h                       |   49 ++
 ui/gku-prompt.c                            | 1122 ++++++++++++++++++++++++++++
 ui/gku-prompt.h                            |  138 ++++
 ui/gku-prompt.ui                           |  385 ++++++++++
 ui/tests/Makefile.am                       |   14 +
 ui/tests/test-data/prompt-empty            |    2 +
 ui/tests/test-data/prompt-full             |   17 +
 ui/tests/test-data/prompt-test             |    7 +
 ui/tests/unit-test-util.c                  |  136 ++++
 38 files changed, 3214 insertions(+), 3212 deletions(-)

commit cf0192e26a095c7f1840cd34b3cd1476d696a7b9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-05-27

    Massive cleanup of line endings and file names.
    
     * Cleanup all line endings for pkcs11 code.
     * Rename C namespace to GKM
    
    This is big "rip off the bandaid fast" change in order
    to prevent later constant pain with git and naming.

 configure.in                                       |    4 +-
 daemon/Makefile.am                                 |   14 +-
 daemon/pkcs11/gkd-pkcs11.c                         |   42 +-
 daemon/ssh-agent/.gitignore                        |    2 +-
 pkcs11/Makefile.am                                 |    6 +-
 pkcs11/gck/.gitignore                              |    8 -
 pkcs11/gck/Makefile.am                             |   99 -
 pkcs11/gck/gck-aes-key.c                           |  267 --
 pkcs11/gck/gck-aes-key.h                           |   57 -
 pkcs11/gck/gck-aes-mechanism.c                     |  231 --
 pkcs11/gck/gck-aes-mechanism.h                     |   54 -
 pkcs11/gck/gck-attributes.c                        |  615 ----
 pkcs11/gck/gck-attributes.h                        |  134 -
 pkcs11/gck/gck-certificate-key.c                   |  152 -
 pkcs11/gck/gck-certificate-key.h                   |   57 -
 pkcs11/gck/gck-certificate-trust.c                 |  377 --
 pkcs11/gck/gck-certificate-trust.h                 |   57 -
 pkcs11/gck/gck-certificate.c                       |  794 -----
 pkcs11/gck/gck-certificate.h                       |   75 -
 pkcs11/gck/gck-credential.c                        |  525 ---
 pkcs11/gck/gck-credential.h                        |   95 -
 pkcs11/gck/gck-crypto.c                            |  551 ---
 pkcs11/gck/gck-crypto.h                            |  157 -
 pkcs11/gck/gck-data-asn1.c                         |   97 -
 pkcs11/gck/gck-data-asn1.h                         |   39 -
 pkcs11/gck/gck-data-der.c                          | 1285 -------
 pkcs11/gck/gck-data-der.h                          |  121 -
 pkcs11/gck/gck-data-file.c                         | 1478 --------
 pkcs11/gck/gck-data-file.h                         |  109 -
 pkcs11/gck/gck-data-types.h                        |   15 -
 pkcs11/gck/gck-dh-key.c                            |  155 -
 pkcs11/gck/gck-dh-key.h                            |   59 -
 pkcs11/gck/gck-dh-mechanism.c                      |  270 --
 pkcs11/gck/gck-dh-mechanism.h                      |   52 -
 pkcs11/gck/gck-dh-private-key.c                    |  220 --
 pkcs11/gck/gck-dh-private-key.h                    |   59 -
 pkcs11/gck/gck-dh-public-key.c                     |  192 --
 pkcs11/gck/gck-dh-public-key.h                     |   57 -
 pkcs11/gck/gck-factory.c                           |   25 -
 pkcs11/gck/gck-factory.h                           |   40 -
 pkcs11/gck/gck-file-tracker.c                      |  304 --
 pkcs11/gck/gck-file-tracker.h                      |   63 -
 pkcs11/gck/gck-manager.c                           |  992 ------
 pkcs11/gck/gck-manager.h                           |  143 -
 pkcs11/gck/gck-marshal.list                        |    3 -
 pkcs11/gck/gck-mechanism-dsa.c                     |  144 -
 pkcs11/gck/gck-mechanism-dsa.h                     |   49 -
 pkcs11/gck/gck-mechanism-rsa.c                     |  220 --
 pkcs11/gck/gck-mechanism-rsa.h                     |   67 -
 pkcs11/gck/gck-memory-store.c                      |  261 --
 pkcs11/gck/gck-memory-store.h                      |   48 -
 pkcs11/gck/gck-module-ep.h                         | 1541 ---------
 pkcs11/gck/gck-module.c                            | 1370 --------
 pkcs11/gck/gck-module.h                            |  224 --
 pkcs11/gck/gck-null-key.c                          |  131 -
 pkcs11/gck/gck-null-key.h                          |   52 -
 pkcs11/gck/gck-null-mechanism.c                    |  157 -
 pkcs11/gck/gck-null-mechanism.h                    |   55 -
 pkcs11/gck/gck-object.c                            |  948 -----
 pkcs11/gck/gck-object.h                            |  155 -
 pkcs11/gck/gck-private-xsa-key.c                   |  427 ---
 pkcs11/gck/gck-private-xsa-key.h                   |   67 -
 pkcs11/gck/gck-public-xsa-key.c                    |  316 --
 pkcs11/gck/gck-public-xsa-key.h                    |   60 -
 pkcs11/gck/gck-secret-key.c                        |  160 -
 pkcs11/gck/gck-secret-key.h                        |   51 -
 pkcs11/gck/gck-secret.c                            |  177 -
 pkcs11/gck/gck-secret.h                            |   67 -
 pkcs11/gck/gck-serializable.c                      |   79 -
 pkcs11/gck/gck-serializable.h                      |   64 -
 pkcs11/gck/gck-session.c                           | 1643 ---------
 pkcs11/gck/gck-session.h                           |  366 --
 pkcs11/gck/gck-sexp-key.c                          |  261 --
 pkcs11/gck/gck-sexp-key.h                          |   71 -
 pkcs11/gck/gck-sexp.c                              |  281 --
 pkcs11/gck/gck-sexp.h                              |   61 -
 pkcs11/gck/gck-store.c                             |  328 --
 pkcs11/gck/gck-store.h                             |  102 -
 pkcs11/gck/gck-timer.c                             |  230 --
 pkcs11/gck/gck-timer.h                             |   43 -
 pkcs11/gck/gck-transaction.c                       |  510 ---
 pkcs11/gck/gck-transaction.h                       |   82 -
 pkcs11/gck/gck-types.h                             |   51 -
 pkcs11/gck/gck-util.c                              |  100 -
 pkcs11/gck/gck-util.h                              |   52 -
 pkcs11/gck/pk.asn                                  |  103 -
 pkcs11/gck/pkix.asn                                | 1230 -------
 pkcs11/gck/tests/.gitignore                        |    9 -
 pkcs11/gck/tests/Makefile.am                       |   48 -
 pkcs11/gck/tests/dump-data-file.c                  |  100 -
 pkcs11/gck/tests/mock-locked-object.c              |   91 -
 pkcs11/gck/tests/mock-locked-object.h              |   52 -
 pkcs11/gck/tests/test-data/ca-certificates.crt     | 3601 --------------------
 pkcs11/gck/tests/test-data/data-file-private.store |  Bin 494 -> 0 bytes
 pkcs11/gck/tests/test-data/data-file-public.store  |  Bin 216 -> 0 bytes
 .../gck/tests/test-data/der-pkcs8-PBE-MD5-DES.key  |  Bin 677 -> 0 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 678 -> 0 bytes
 .../gck/tests/test-data/der-pkcs8-PBE-SHA1-DES.key |  Bin 677 -> 0 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 678 -> 0 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 673 -> 0 bytes
 pkcs11/gck/tests/test-data/der-pkcs8-dsa.key       |  Bin 335 -> 0 bytes
 .../tests/test-data/der-pkcs8-encrypted-pkcs5.key  |  Bin 677 -> 0 bytes
 pkcs11/gck/tests/test-data/der-pkcs8-v2-des.key    |  Bin 711 -> 0 bytes
 pkcs11/gck/tests/test-data/der-pkcs8-v2-des3.key   |  Bin 714 -> 0 bytes
 pkcs11/gck/tests/test-data/der-pkcs8.key           |  Bin 635 -> 0 bytes
 pkcs11/gck/tests/test-data/pem-rsa-enc.key         |   18 -
 pkcs11/gck/tests/test-data/test-certificate-1.der  |  Bin 813 -> 0 bytes
 pkcs11/gck/tests/test-data/test-certificate-2.der  |  Bin 1346 -> 0 bytes
 pkcs11/gck/tests/test-module.c                     |  114 -
 pkcs11/gck/tests/test-module.h                     |   45 -
 pkcs11/gck/tests/test.asn                          |   16 -
 pkcs11/gck/tests/unit-test-attributes.c            |  779 -----
 pkcs11/gck/tests/unit-test-credential.c            |  285 --
 pkcs11/gck/tests/unit-test-data-asn1.c             |  117 -
 pkcs11/gck/tests/unit-test-data-der.c              |  543 ---
 pkcs11/gck/tests/unit-test-data-file.c             |  587 ----
 pkcs11/gck/tests/unit-test-file-tracker.c          |  221 --
 pkcs11/gck/tests/unit-test-memory-store.c          |  438 ---
 pkcs11/gck/tests/unit-test-object.c                |  277 --
 pkcs11/gck/tests/unit-test-secret.c                |  178 -
 pkcs11/gck/tests/unit-test-sexp.c                  |  132 -
 pkcs11/gck/tests/unit-test-store.c                 |   85 -
 pkcs11/gck/tests/unit-test-timer.c                 |  144 -
 pkcs11/gck/tests/unit-test-transaction.c           |  334 --
 pkcs11/gkm/.gitignore                              |    8 +
 pkcs11/gkm/Makefile.am                             |   99 +
 pkcs11/gkm/gkm-aes-key.c                           |  267 ++
 pkcs11/gkm/gkm-aes-key.h                           |   57 +
 pkcs11/gkm/gkm-aes-mechanism.c                     |  231 ++
 pkcs11/gkm/gkm-aes-mechanism.h                     |   54 +
 pkcs11/gkm/gkm-attributes.c                        |  615 ++++
 pkcs11/gkm/gkm-attributes.h                        |  134 +
 pkcs11/gkm/gkm-certificate-key.c                   |  152 +
 pkcs11/gkm/gkm-certificate-key.h                   |   57 +
 pkcs11/gkm/gkm-certificate-trust.c                 |  377 ++
 pkcs11/gkm/gkm-certificate-trust.h                 |   57 +
 pkcs11/gkm/gkm-certificate.c                       |  794 +++++
 pkcs11/gkm/gkm-certificate.h                       |   75 +
 pkcs11/gkm/gkm-credential.c                        |  525 +++
 pkcs11/gkm/gkm-credential.h                        |   95 +
 pkcs11/gkm/gkm-crypto.c                            |  550 +++
 pkcs11/gkm/gkm-crypto.h                            |  157 +
 pkcs11/gkm/gkm-data-asn1.c                         |   97 +
 pkcs11/gkm/gkm-data-asn1.h                         |   39 +
 pkcs11/gkm/gkm-data-der.c                          | 1285 +++++++
 pkcs11/gkm/gkm-data-der.h                          |  121 +
 pkcs11/gkm/gkm-data-file.c                         | 1478 ++++++++
 pkcs11/gkm/gkm-data-file.h                         |  109 +
 pkcs11/gkm/gkm-data-types.h                        |   15 +
 pkcs11/gkm/gkm-dh-key.c                            |  155 +
 pkcs11/gkm/gkm-dh-key.h                            |   59 +
 pkcs11/gkm/gkm-dh-mechanism.c                      |  270 ++
 pkcs11/gkm/gkm-dh-mechanism.h                      |   52 +
 pkcs11/gkm/gkm-dh-private-key.c                    |  220 ++
 pkcs11/gkm/gkm-dh-private-key.h                    |   59 +
 pkcs11/gkm/gkm-dh-public-key.c                     |  192 ++
 pkcs11/gkm/gkm-dh-public-key.h                     |   57 +
 pkcs11/gkm/gkm-factory.c                           |   24 +
 pkcs11/gkm/gkm-factory.h                           |   40 +
 pkcs11/gkm/gkm-file-tracker.c                      |  304 ++
 pkcs11/gkm/gkm-file-tracker.h                      |   62 +
 pkcs11/gkm/gkm-manager.c                           |  992 ++++++
 pkcs11/gkm/gkm-manager.h                           |  142 +
 pkcs11/gkm/gkm-marshal.list                        |    3 +
 pkcs11/gkm/gkm-mechanism-dsa.c                     |  144 +
 pkcs11/gkm/gkm-mechanism-dsa.h                     |   49 +
 pkcs11/gkm/gkm-mechanism-rsa.c                     |  220 ++
 pkcs11/gkm/gkm-mechanism-rsa.h                     |   67 +
 pkcs11/gkm/gkm-memory-store.c                      |  261 ++
 pkcs11/gkm/gkm-memory-store.h                      |   48 +
 pkcs11/gkm/gkm-module-ep.h                         | 1541 +++++++++
 pkcs11/gkm/gkm-module.c                            | 1370 ++++++++
 pkcs11/gkm/gkm-module.h                            |  224 ++
 pkcs11/gkm/gkm-null-key.c                          |  131 +
 pkcs11/gkm/gkm-null-key.h                          |   52 +
 pkcs11/gkm/gkm-null-mechanism.c                    |  157 +
 pkcs11/gkm/gkm-null-mechanism.h                    |   55 +
 pkcs11/gkm/gkm-object.c                            |  948 +++++
 pkcs11/gkm/gkm-object.h                            |  155 +
 pkcs11/gkm/gkm-private-xsa-key.c                   |  427 +++
 pkcs11/gkm/gkm-private-xsa-key.h                   |   67 +
 pkcs11/gkm/gkm-public-xsa-key.c                    |  316 ++
 pkcs11/gkm/gkm-public-xsa-key.h                    |   60 +
 pkcs11/gkm/gkm-secret-key.c                        |  159 +
 pkcs11/gkm/gkm-secret-key.h                        |   51 +
 pkcs11/gkm/gkm-secret.c                            |  177 +
 pkcs11/gkm/gkm-secret.h                            |   67 +
 pkcs11/gkm/gkm-serializable.c                      |   79 +
 pkcs11/gkm/gkm-serializable.h                      |   63 +
 pkcs11/gkm/gkm-session.c                           | 1643 +++++++++
 pkcs11/gkm/gkm-session.h                           |  366 ++
 pkcs11/gkm/gkm-sexp-key.c                          |  261 ++
 pkcs11/gkm/gkm-sexp-key.h                          |   71 +
 pkcs11/gkm/gkm-sexp.c                              |  281 ++
 pkcs11/gkm/gkm-sexp.h                              |   61 +
 pkcs11/gkm/gkm-store.c                             |  328 ++
 pkcs11/gkm/gkm-store.h                             |  102 +
 pkcs11/gkm/gkm-timer.c                             |  230 ++
 pkcs11/gkm/gkm-timer.h                             |   43 +
 pkcs11/gkm/gkm-transaction.c                       |  510 +++
 pkcs11/gkm/gkm-transaction.h                       |   82 +
 pkcs11/gkm/gkm-types.h                             |   51 +
 pkcs11/gkm/gkm-util.c                              |  100 +
 pkcs11/gkm/gkm-util.h                              |   52 +
 pkcs11/gkm/pk.asn                                  |  103 +
 pkcs11/gkm/pkix.asn                                | 1230 +++++++
 pkcs11/gkm/tests/.gitignore                        |    9 +
 pkcs11/gkm/tests/Makefile.am                       |   47 +
 pkcs11/gkm/tests/dump-data-file.c                  |  100 +
 pkcs11/gkm/tests/mock-locked-object.c              |   91 +
 pkcs11/gkm/tests/mock-locked-object.h              |   52 +
 pkcs11/gkm/tests/test-data/ca-certificates.crt     | 3601 ++++++++++++++++++++
 pkcs11/gkm/tests/test-data/data-file-private.store |  Bin 0 -> 494 bytes
 pkcs11/gkm/tests/test-data/data-file-public.store  |  Bin 0 -> 216 bytes
 .../gkm/tests/test-data/der-pkcs8-PBE-MD5-DES.key  |  Bin 0 -> 677 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 0 -> 678 bytes
 .../gkm/tests/test-data/der-pkcs8-PBE-SHA1-DES.key |  Bin 0 -> 677 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 0 -> 678 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 0 -> 673 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8-dsa.key       |  Bin 0 -> 335 bytes
 .../tests/test-data/der-pkcs8-encrypted-pkcs5.key  |  Bin 0 -> 677 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8-v2-des.key    |  Bin 0 -> 711 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8-v2-des3.key   |  Bin 0 -> 714 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8.key           |  Bin 0 -> 635 bytes
 pkcs11/gkm/tests/test-data/pem-rsa-enc.key         |   18 +
 pkcs11/gkm/tests/test-data/test-certificate-1.der  |  Bin 0 -> 813 bytes
 pkcs11/gkm/tests/test-data/test-certificate-2.der  |  Bin 0 -> 1346 bytes
 pkcs11/gkm/tests/test-module.c                     |  114 +
 pkcs11/gkm/tests/test-module.h                     |   45 +
 pkcs11/gkm/tests/test.asn                          |   16 +
 pkcs11/gkm/tests/unit-test-attributes.c            |  779 +++++
 pkcs11/gkm/tests/unit-test-credential.c            |  285 ++
 pkcs11/gkm/tests/unit-test-data-asn1.c             |  117 +
 pkcs11/gkm/tests/unit-test-data-der.c              |  543 +++
 pkcs11/gkm/tests/unit-test-data-file.c             |  587 ++++
 pkcs11/gkm/tests/unit-test-file-tracker.c          |  221 ++
 pkcs11/gkm/tests/unit-test-memory-store.c          |  438 +++
 pkcs11/gkm/tests/unit-test-object.c                |  277 ++
 pkcs11/gkm/tests/unit-test-secret.c                |  178 +
 pkcs11/gkm/tests/unit-test-sexp.c                  |  132 +
 pkcs11/gkm/tests/unit-test-store.c                 |   85 +
 pkcs11/gkm/tests/unit-test-timer.c                 |  144 +
 pkcs11/gkm/tests/unit-test-transaction.c           |  334 ++
 pkcs11/pkcs11g.h                                   |   36 +-
 pkcs11/pkcs11n.h                                   |  442 ++--
 pkcs11/plex-layer/Makefile.am                      |   15 +-
 pkcs11/plex-layer/gck-plex-layer.c                 |  945 -----
 pkcs11/plex-layer/gck-plex-layer.h                 |   31 -
 pkcs11/plex-layer/gkm-plex-layer.c                 |  945 +++++
 pkcs11/plex-layer/gkm-plex-layer.h                 |   31 +
 pkcs11/roots-store/Makefile.am                     |   32 +-
 pkcs11/roots-store/gck-roots-certificate.c         |  216 --
 pkcs11/roots-store/gck-roots-certificate.h         |   55 -
 pkcs11/roots-store/gck-roots-module.c              |  365 --
 pkcs11/roots-store/gck-roots-module.h              |   45 -
 pkcs11/roots-store/gck-roots-standalone.c          |   60 -
 pkcs11/roots-store/gck-roots-store.h               |   29 -
 pkcs11/roots-store/gkm-roots-certificate.c         |  216 ++
 pkcs11/roots-store/gkm-roots-certificate.h         |   55 +
 pkcs11/roots-store/gkm-roots-module.c              |  365 ++
 pkcs11/roots-store/gkm-roots-module.h              |   45 +
 pkcs11/roots-store/gkm-roots-standalone.c          |   60 +
 pkcs11/roots-store/gkm-roots-store.h               |   29 +
 pkcs11/roots-store/tests/Makefile.am               |    4 +-
 pkcs11/roots-store/tests/p11-tests.conf            |    4 +-
 pkcs11/roots-store/tests/test-module.c             |    4 +-
 pkcs11/rpc-layer/.gitignore                        |    2 +-
 pkcs11/rpc-layer/Makefile.am                       |   53 +-
 pkcs11/rpc-layer/gck-rpc-daemon-standalone.c       |  134 -
 pkcs11/rpc-layer/gck-rpc-dispatch.c                | 2373 -------------
 pkcs11/rpc-layer/gck-rpc-layer.h                   |   25 -
 pkcs11/rpc-layer/gck-rpc-message.c                 |  471 ---
 pkcs11/rpc-layer/gck-rpc-module.c                  | 2206 ------------
 pkcs11/rpc-layer/gck-rpc-private.h                 |  342 --
 pkcs11/rpc-layer/gck-rpc-util.c                    |  207 --
 pkcs11/rpc-layer/gkm-rpc-daemon-standalone.c       |  134 +
 pkcs11/rpc-layer/gkm-rpc-dispatch.c                | 2373 +++++++++++++
 pkcs11/rpc-layer/gkm-rpc-layer.h                   |   25 +
 pkcs11/rpc-layer/gkm-rpc-message.c                 |  471 +++
 pkcs11/rpc-layer/gkm-rpc-module.c                  | 2206 ++++++++++++
 pkcs11/rpc-layer/gkm-rpc-private.h                 |  342 ++
 pkcs11/rpc-layer/gkm-rpc-util.c                    |  207 ++
 pkcs11/secret-store/Makefile.am                    |   46 +-
 pkcs11/secret-store/gck-secret-binary.c            |  988 ------
 pkcs11/secret-store/gck-secret-binary.h            |   40 -
 pkcs11/secret-store/gck-secret-collection.c        |  967 ------
 pkcs11/secret-store/gck-secret-collection.h        |  104 -
 pkcs11/secret-store/gck-secret-compat.c            |   91 -
 pkcs11/secret-store/gck-secret-compat.h            |   47 -
 pkcs11/secret-store/gck-secret-data.c              |  222 --
 pkcs11/secret-store/gck-secret-data.h              |   70 -
 pkcs11/secret-store/gck-secret-fields.c            |  494 ---
 pkcs11/secret-store/gck-secret-fields.h            |  106 -
 pkcs11/secret-store/gck-secret-item.c              |  499 ---
 pkcs11/secret-store/gck-secret-item.h              |   61 -
 pkcs11/secret-store/gck-secret-module.c            |  510 ---
 pkcs11/secret-store/gck-secret-module.h            |   44 -
 pkcs11/secret-store/gck-secret-object.c            |  399 ---
 pkcs11/secret-store/gck-secret-object.h            |   81 -
 pkcs11/secret-store/gck-secret-search.c            |  465 ---
 pkcs11/secret-store/gck-secret-search.h            |   54 -
 pkcs11/secret-store/gck-secret-standalone.c        |   60 -
 pkcs11/secret-store/gck-secret-store.h             |   29 -
 pkcs11/secret-store/gck-secret-textual.c           |  550 ---
 pkcs11/secret-store/gck-secret-textual.h           |   39 -
 pkcs11/secret-store/gck-secret-types.h             |   35 -
 pkcs11/secret-store/gkm-secret-binary.c            |  988 ++++++
 pkcs11/secret-store/gkm-secret-binary.h            |   40 +
 pkcs11/secret-store/gkm-secret-collection.c        |  967 ++++++
 pkcs11/secret-store/gkm-secret-collection.h        |  104 +
 pkcs11/secret-store/gkm-secret-compat.c            |   91 +
 pkcs11/secret-store/gkm-secret-compat.h            |   47 +
 pkcs11/secret-store/gkm-secret-data.c              |  222 ++
 pkcs11/secret-store/gkm-secret-data.h              |   70 +
 pkcs11/secret-store/gkm-secret-fields.c            |  494 +++
 pkcs11/secret-store/gkm-secret-fields.h            |  106 +
 pkcs11/secret-store/gkm-secret-item.c              |  499 +++
 pkcs11/secret-store/gkm-secret-item.h              |   61 +
 pkcs11/secret-store/gkm-secret-module.c            |  510 +++
 pkcs11/secret-store/gkm-secret-module.h            |   44 +
 pkcs11/secret-store/gkm-secret-object.c            |  399 +++
 pkcs11/secret-store/gkm-secret-object.h            |   81 +
 pkcs11/secret-store/gkm-secret-search.c            |  465 +++
 pkcs11/secret-store/gkm-secret-search.h            |   54 +
 pkcs11/secret-store/gkm-secret-standalone.c        |   60 +
 pkcs11/secret-store/gkm-secret-store.h             |   29 +
 pkcs11/secret-store/gkm-secret-textual.c           |  550 +++
 pkcs11/secret-store/gkm-secret-textual.h           |   39 +
 pkcs11/secret-store/gkm-secret-types.h             |   35 +
 pkcs11/secret-store/tests/Makefile.am              |    6 +-
 pkcs11/secret-store/tests/test-secret-module.c     |  150 +-
 pkcs11/secret-store/tests/test-secret-module.h     |   16 +-
 .../secret-store/tests/unit-test-secret-binary.c   |   94 +-
 .../tests/unit-test-secret-collection.c            |  274 +-
 .../secret-store/tests/unit-test-secret-compat.c   |   56 +-
 pkcs11/secret-store/tests/unit-test-secret-data.c  |  166 +-
 .../secret-store/tests/unit-test-secret-fields.c   |  146 +-
 pkcs11/secret-store/tests/unit-test-secret-item.c  |  278 +-
 .../secret-store/tests/unit-test-secret-object.c   |   88 +-
 .../secret-store/tests/unit-test-secret-search.c   |  176 +-
 .../secret-store/tests/unit-test-secret-textual.c  |   84 +-
 pkcs11/ssh-store/Makefile.am                       |   36 +-
 pkcs11/ssh-store/gck-ssh-module.c                  |  274 --
 pkcs11/ssh-store/gck-ssh-module.h                  |   46 -
 pkcs11/ssh-store/gck-ssh-openssh.c                 |  394 ---
 pkcs11/ssh-store/gck-ssh-openssh.h                 |   24 -
 pkcs11/ssh-store/gck-ssh-private-key.c             |  378 --
 pkcs11/ssh-store/gck-ssh-private-key.h             |   62 -
 pkcs11/ssh-store/gck-ssh-public-key.c              |  153 -
 pkcs11/ssh-store/gck-ssh-public-key.h              |   53 -
 pkcs11/ssh-store/gck-ssh-standalone.c              |   57 -
 pkcs11/ssh-store/gck-ssh-store.h                   |   29 -
 pkcs11/ssh-store/gkm-ssh-module.c                  |  274 ++
 pkcs11/ssh-store/gkm-ssh-module.h                  |   46 +
 pkcs11/ssh-store/gkm-ssh-openssh.c                 |  394 +++
 pkcs11/ssh-store/gkm-ssh-openssh.h                 |   24 +
 pkcs11/ssh-store/gkm-ssh-private-key.c             |  378 ++
 pkcs11/ssh-store/gkm-ssh-private-key.h             |   62 +
 pkcs11/ssh-store/gkm-ssh-public-key.c              |  153 +
 pkcs11/ssh-store/gkm-ssh-public-key.h              |   53 +
 pkcs11/ssh-store/gkm-ssh-standalone.c              |   57 +
 pkcs11/ssh-store/gkm-ssh-store.h                   |   29 +
 pkcs11/ssh-store/tests/Makefile.am                 |    6 +-
 pkcs11/ssh-store/tests/test-ssh-module.c           |   52 +-
 pkcs11/ssh-store/tests/test-ssh-module.h           |    6 +-
 pkcs11/ssh-store/tests/unit-test-private-key.c     |   42 +-
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.c     |   48 +-
 pkcs11/template/gck-xxx.c                          |  144 -
 pkcs11/template/gck-xxx.h                          |   49 -
 pkcs11/template/gck-zzz.c                          |   60 -
 pkcs11/template/gck-zzz.h                          |   46 -
 pkcs11/template/gkm-xxx.c                          |  144 +
 pkcs11/template/gkm-xxx.h                          |   49 +
 pkcs11/template/gkm-zzz.c                          |   59 +
 pkcs11/template/gkm-zzz.h                          |   45 +
 pkcs11/user-store/Makefile.am                      |   36 +-
 pkcs11/user-store/gck-user-module.c                |  350 --
 pkcs11/user-store/gck-user-module.h                |   45 -
 pkcs11/user-store/gck-user-private-key.c           |  346 --
 pkcs11/user-store/gck-user-private-key.h           |   52 -
 pkcs11/user-store/gck-user-public-key.c            |  205 --
 pkcs11/user-store/gck-user-public-key.h            |   51 -
 pkcs11/user-store/gck-user-standalone.c            |   57 -
 pkcs11/user-store/gck-user-storage.c               | 1357 --------
 pkcs11/user-store/gck-user-storage.h               |   79 -
 pkcs11/user-store/gck-user-store.h                 |   29 -
 pkcs11/user-store/gkm-user-module.c                |  350 ++
 pkcs11/user-store/gkm-user-module.h                |   45 +
 pkcs11/user-store/gkm-user-private-key.c           |  346 ++
 pkcs11/user-store/gkm-user-private-key.h           |   52 +
 pkcs11/user-store/gkm-user-public-key.c            |  205 ++
 pkcs11/user-store/gkm-user-public-key.h            |   51 +
 pkcs11/user-store/gkm-user-standalone.c            |   57 +
 pkcs11/user-store/gkm-user-storage.c               | 1357 ++++++++
 pkcs11/user-store/gkm-user-storage.h               |   79 +
 pkcs11/user-store/gkm-user-store.h                 |   29 +
 pkcs11/user-store/tests/Makefile.am                |    4 +-
 pkcs11/user-store/tests/p11-tests.conf             |    4 +-
 pkcs11/user-store/tests/test-module.c              |    4 +-
 po/POTFILES.in                                     |    6 +-
 400 files changed, 49732 insertions(+), 49743 deletions(-)

commit 86599c674c42d2c58ab40ebb1a75fc5aeb6819b8
Author: Sira Nokyoongtong <gumaraa@gmail.com>
Date:   2010-06-07

    Updated Thai translation.

 po/th.po |  492 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 246 insertions(+), 246 deletions(-)

commit f2c86b6794a7abf50c088faa53b3636ae7c46bec
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-06-03

    Fix CLEANFILES in Makefile.am
    
    Thanks to Sébastien Bacher for noticing it.
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=611002#c8

 daemon/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d6a8afb484fc2d9855d616c0ad959f865479e72a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-06-01

    Updated Norwegian bokmål translation

 po/nb.po |   52 +++++++++++++++++++++++++++-------------------------
 1 files changed, 27 insertions(+), 25 deletions(-)

commit 89373418fea23b29dd74b814690af825bb71e3f3
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-06-01

    Estonian translation updated

 po/et.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cbc32e9d78332b8c7d5749760aaa7eea5a6efdd4
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-05-29

    Updated Spanish translation

 po/es.po |   73 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 38 insertions(+), 35 deletions(-)

commit 28f19c9b4cdc2fa3cfc0aa25f34760aee3c3c802
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-05-23

    Fix broken startup when used with gdm and password-less login.
    
    Fixes bug #611002

 daemon/gkd-main.c    |   16 +++++++---------
 pam/gkr-pam-module.c |   31 ++++++++++++-------------------
 2 files changed, 19 insertions(+), 28 deletions(-)

commit 2037fd1c7b20b1a0de761e493d59894c926b48b7
Author: Gil Forcada <gforcada@gnome.org>
Date:   2010-05-22

    Minor fix in Catalan translation

 po/ca.po |   46 +++++++++++++++++++++++-----------------------
 1 files changed, 23 insertions(+), 23 deletions(-)

commit 4e99946c0d45b9582544e7463c1cb817a928404e
Author: Ahmed Noor Kader Mustajir Md Eusoff <sir.ade@gmail.com>
Date:   2010-05-14

    Updated Malay translation

 po/ms.po | 1435 ++++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 1155 insertions(+), 280 deletions(-)

commit 8f728a45e2b47692383af3d5550a7388d569654f
Author: Thomas Thurman <tthurman@gnome.org>
Date:   2010-05-12

    Updated Shavian transliteration

 po/en@shaw.po |  771 ++++++++++++++++++++++-----------------------------------
 1 files changed, 298 insertions(+), 473 deletions(-)

commit 99bd9596ad9732c67cc03aad9c9005e5a2fbfd5f
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   2010-05-12

    Updated Oriya Translation

 po/or.po |  792 +++++++++++++++++++++-----------------------------------------
 1 files changed, 262 insertions(+), 530 deletions(-)

commit 302db3f520c944176be75cb7f491573038d48b6e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-05-08

    Start work on gpg-agent, incomplete.
    
    Cannot yet prompt for or store passwords, so basically is
    useless. Waiting for other branches.

 configure.in                                |   20 +
 daemon/.gitignore                           |    3 +
 daemon/Makefile.am                          |    6 +-
 daemon/gkd-glue.c                           |  110 ++++++
 daemon/gkd-glue.h                           |   32 ++
 daemon/gkd-main.c                           |   30 ++-
 daemon/gnome-keyring-gpg.desktop.in.in      |   14 +
 daemon/gpg-agent/Makefile.am                |   36 ++
 daemon/gpg-agent/gkd-gpg-agent-ops.c        |  565 +++++++++++++++++++++++++++
 daemon/gpg-agent/gkd-gpg-agent-private.h    |  117 ++++++
 daemon/gpg-agent/gkd-gpg-agent-standalone.c |  136 +++++++
 daemon/gpg-agent/gkd-gpg-agent.c            |  481 +++++++++++++++++++++++
 daemon/gpg-agent/gkd-gpg-agent.h            |   40 ++
 daemon/pkcs11/gkd-pkcs11.c                  |   44 +--
 14 files changed, 1589 insertions(+), 45 deletions(-)

commit 870c349b4b09b2e6f54e7c6975e99cfb9731701b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-05-08

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   14 +++++++-------
 po/zh_TW.po |   12 ++++++------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit 453c143338895bdd094c9398e8ef336d0f8cba8e
Author: Nshepperd <nshepperd@gmail.com>
Date:   2010-05-05

    Fix checking of uninitialized value in prompting code.
    
    Fixes problem repeatedly asking for password to unlock. See
    bug #616071

 daemon/prompt/gkd-prompt.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d6bb94e9c05072fc791fb5045f5b1ab22d11d916
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2010-04-19

    Make sure the service files are created correctly

 daemon/.gitignore  |    1 +
 daemon/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit b36d6beeb2fa430210c8a2aa19f772bd75325e42
Author: Rob Bradford <rob@linux.intel.com>
Date:   2010-04-14

    Add dbus activation service file for org.freedesktop.secrets
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=611002

 daemon/Makefile.am                        |    4 +++-
 daemon/org.freedesktop.secrets.service.in |    3 +++
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 803203e0107b2bbc54431556097d81510717db1c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-26

    Bump version number after release.

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c7b0b605888c09f6b2e5f836c68ee25b30a70a01
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-26

    Release version 2.30.1

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 16698f25f1a0806227d1d63748022b43912fc800
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-26

    More fixes for -DGSEAL_ENABLE
    
    Fixes bug #612475

 gcr/tests/ui-test-details.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b546d18bb06be956056040427e02ed30ff37bf9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-26

    [dbus] Initialize uninitialized variable.

 daemon/dbus/gkd-secret-unlock.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ffa11bf8ae6c7140c59ccdd474d00d961802e1a7
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   2010-04-24

    Updated Latvian translation.

 po/lv.po | 1709 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 1274 insertions(+), 435 deletions(-)

commit ba8adbc781340083e5164b9b89c66f4b2a1cacde
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2010-04-21

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1198 ++++++++++++++++++++++++++---------------------------
 1 files changed, 598 insertions(+), 600 deletions(-)

commit 4efbaf1a7567359a42967d98fd7fbd9fcb984930
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-21

    [login] Fix security problem storing user's login password in keyring.
    
    Don't store the user's login password in the keyring, which was being
    done when initializing the PKCS#11 user storage module.
    
    In addition put in a temporary fix which removes such passwords stored.
    This problem started during the 2.29.x betas, so anyone doing beta testing
    will be covered by this removal.
    
    Fixes bug #616174

 configure.in             |    7 ++++---
 daemon/login/gkd-login.c |   38 ++++++++++++++++++++++++++++++++------
 2 files changed, 36 insertions(+), 9 deletions(-)

commit 29beeda5cf021feebbb6d3c28e874aef3ff50211
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-21

    [rpc] Fix assertion on exit due to pointer not being cleared.

 pkcs11/rpc-layer/gck-rpc-dispatch.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 7065ecb165b62540cd77d9e63698617c29ae5eca
Author: Olav Vitters <olav@vitters.nl>
Date:   2010-04-18

    Fix doap file

 gnome-keyring.doap |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b0291cd3bd011ef97cb484345d7a7dc82738bac5
Author: Andre Klapper <a9016009@gmx.de>
Date:   2010-04-13

    Compile with -DGSEAL_ENABLE. Fixes bug 612475.

 daemon/prompt/gkd-prompt-tool.c |    4 ++--
 gcr/gcr-import-dialog.c         |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 1ec39cc82cb7e9804e77f1d812882481a01f3ef6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-04-08

    Make buildable with GTK+ 2.20 without deprecated symbols.
    
    Now requires GTK+ 2.20.

 configure.in                    |    2 +-
 daemon/prompt/gkd-prompt-tool.c |    4 ++--
 gcr/gcr-import-dialog.c         |    8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 3f87c50d337c76e516ff12b54e19d8b6f0cd6cf1
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-04-06

    Updated Thai translation.

 po/th.po |   49 ++++++++++++++++++++++++++++---------------------
 1 files changed, 28 insertions(+), 21 deletions(-)

commit 1eb4cb2ec93bb63ec3a6c9d50c081239506e3071
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:   2010-04-02

    Fixes to Catalan translation

 po/ca.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 991ad3b2e382e9dfed96e6aa2d80a4d599780263
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-30

    [release] post-release bump to 2.30.1

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8821e18c77b47c443d132d3587a27d5ffcfed442
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-30

    [release] 2.30.0

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 4b32a591dcb480bc374b83fad9d2519baa539778
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-30

    Fix make dist (ship egg/egg-error.h)

 egg/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 381596eef2a1dce7087d04396be55d40fd01ccc9
Author: Petr Kovar <pknbe@volny.cz>
Date:   2010-03-28

    Fix Czech translation by Lucas Lommer

 po/cs.po |   50 +++++++++++++++++++++++++-------------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit 56e31e1be9979817a983c4131822eaaecb53bc5f
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   2010-03-28

    Updated Lithuanian translation

 po/lt.po | 1142 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 584 insertions(+), 558 deletions(-)

commit 914dba6d116adac5bbbdb7d5f33d1b9c26ea54e5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-03-27

    Updated Basque language

 po/eu.po |   74 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 36 insertions(+), 38 deletions(-)

commit 56109816868c64af97a3134773d937d279fbd03b
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   2010-03-27

    Updated Danish translation

 po/da.po | 1014 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 503 insertions(+), 511 deletions(-)

commit ede9d93e07da9192fd086bc377817a3a83b88ece
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   2010-03-27

    Updated Bengali translation

 po/bn.po |  651 +++++++++++++++++++++-----------------------------------------
 1 files changed, 217 insertions(+), 434 deletions(-)

commit 88964f8004c279009a645c211f97c398892d32b1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-03-27

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   49 ++++++++++++++++++++++++++++---------------------
 po/zh_TW.po |   49 ++++++++++++++++++++++++++++---------------------
 2 files changed, 56 insertions(+), 42 deletions(-)

commit 820fa6126926348fb10dabfb618afcf4a03cea35
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   2010-03-26

    Updated Serbian translations

 po/sr.po       | 1103 +++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 1103 +++++++++++++++++++++++++++++---------------------------
 2 files changed, 1130 insertions(+), 1076 deletions(-)

commit 5cb25b3627d6f8d2eee223860043e9e901ab3769
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-03-26

    Updated Ukrainian translation

 po/uk.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 10ec142e20aa86816fcdd380cbb78816011c16a7
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-03-26

    Updated Ukrainian translation

 po/uk.po |  196 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 113 insertions(+), 83 deletions(-)

commit ca6c081273c0e322a772edd72a6b1e323438a3d7
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-03-26

    Updated Ukrainian translation

 po/uk.po |  344 +++----------------------------------------------------------
 1 files changed, 17 insertions(+), 327 deletions(-)

commit 1746a8faeafb37b7ba6909666ff850407488c036
Author: Clytie <pearl@clytie-siddalls-macbook-pro.local>
Date:   2010-03-23

    Updated Vietnamese translation

 po/vi.po | 1205 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 473 insertions(+), 732 deletions(-)

commit 8fe80360b35e4f99014b650f83646ad3719f4e7a
Author: Adi Roiban <adi@roiban.ro>
Date:   2010-03-22

    Update Romanian translation

 po/ro.po |   53 ++++++++++++++++++++++++++++++-----------------------
 1 files changed, 30 insertions(+), 23 deletions(-)

commit 88c7c96bdbe3fb56216a24396a990c2b9370cb29
Author: Tommi Vainikainen <thv@iki.fi>
Date:   2010-03-21

    Updated Finnish translation

 po/fi.po | 1005 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 440 insertions(+), 565 deletions(-)

commit d864698a290c55d1ccda5cc20946894ade5e827d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-21

    [login] Fix various issues storing and using auto unlock passwords.
    
     * Unwrap secrets directly into login keyring  for auto unlock.
     * Fix various corner cases using auto unlock stuff in login keyring.

 daemon/dbus/gkd-secret-session.c |    2 +
 daemon/dbus/gkd-secret-unlock.c  |   51 +++++++--------
 daemon/login/gkd-login.c         |  129 ++++++++++++++++++++++++--------------
 daemon/login/gkd-login.h         |    7 +-
 4 files changed, 110 insertions(+), 79 deletions(-)

commit 0512a0b5a30b432f53ee8c48d75acd582c5c9c9d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-21

    [dbus] Hide the automatically unlock check when login not usable.
    
    If the login keyring is locked or not present, hide the auto
    unlock check box since that option isn't usable.

 daemon/dbus/gkd-secret-unlock.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit e43a24701767d1a8fd72f2f3ed01fe0937364b6d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-21

    [dbus] Allow unlocking even when always unlock is not available.
    
    When the Always Unlock option could not work (due to a missing or
    locked login keyring) unlocking a keyring fail when that option
    was selected.
    
    Fixes bug #610998

 daemon/dbus/gkd-secret-unlock.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit d760c89e0c5d7cd576036fb54228cd4ed1786d9b
Author: A S Alam <aalam@users.sf.net>
Date:   2010-03-21

    update Punjabi Translation

 po/pa.po | 1030 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 532 insertions(+), 498 deletions(-)

commit 0a859d1a6ac90d83041d4f2d655e307a04711d34
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   2010-03-21

    Updated asturian translation

 po/ast.po | 1653 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 842 insertions(+), 811 deletions(-)

commit af67b30d6462619a40f92c934204527ab6738c43
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-03-20

    Dutch translation updated by Wouter Bolsterlee

 po/nl.po | 1317 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 656 insertions(+), 661 deletions(-)

commit d956c78cc8588c1c3886e506b6e7560dd6c356fe
Author: Thanos Lefteris <alefteris@gmail.com>
Date:   2010-03-20

    Updated Greek translation for gnome-keyring

 po/el.po | 1220 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 624 insertions(+), 596 deletions(-)

commit d30630070b2e7f6173ea872f45bb47b70948e796
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-20

    [secret-store] Don't save session keyring to disk.
    
    There was a major problem where the session keyring was being saved
    to disk, and since it had to master password, as a cleartext keyring
    
    Mark the session keyring as transient so it doesn't even come near
    the storage code. Also rework the collection storage code, so that
    it properly handles various corner cases.
    
    Fixes bug #612977

 pkcs11/gck/gck-object.c                 |   26 +++++++++-
 pkcs11/secret-store/gck-secret-module.c |   82 ++++++++++++++++---------------
 2 files changed, 66 insertions(+), 42 deletions(-)

commit cf1d4b562409b278bf5f4336184a2e4b573ea4c5
Author: Michael Casadevall <mcasadevall@ubuntu.com>
Date:   2010-03-19

    Don't assert on va_list
    
    Remove an assertion on a va_list, which is invalid since va_lis is
    not guaranteed to be a pointer. This also fixes an FTBFS on armel
    since va_list on armel is a scalar.
    
    Fixes bug #610997

 pkcs11/gck/gck-sexp.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 9225955b8374d0d301e0a251410ae347a3bd884b
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-19

    More robust error display and handling.
    
    Handle all cases where a function may return a failure
    with a NULL GError, such as preconditions and warnings.
    
    Also use proper function for checking error codes.

 daemon/dbus/gkd-dbus-util.c                 |    4 ++-
 daemon/dbus/gkd-secret-change.c             |    7 ++--
 daemon/dbus/gkd-secret-create.c             |    5 ++-
 daemon/dbus/gkd-secret-lock.c               |    6 ++-
 daemon/dbus/gkd-secret-objects.c            |   48 +++++++++++++------------
 daemon/dbus/gkd-secret-service.c            |   11 +++---
 daemon/dbus/gkd-secret-session.c            |   37 ++++++++++---------
 daemon/dbus/gkd-secret-unlock.c             |   17 +++++----
 daemon/gkd-main.c                           |    3 +-
 daemon/login/gkd-login.c                    |   51 +++++++++++++++-----------
 daemon/prompt/gkd-prompt-tool.c             |    8 ++--
 daemon/prompt/gkd-prompt.c                  |   10 ++---
 daemon/ssh-agent/gkd-ssh-agent-ops.c        |   46 ++++++++++++-----------
 daemon/ssh-agent/gkd-ssh-agent-standalone.c |    3 +-
 daemon/ssh-agent/gkd-ssh-agent.c            |    5 ++-
 egg/egg-error.h                             |   34 ++++++++++++++++++
 gcr/gcr-library.c                           |    3 +-
 gcr/tests/unit-test-parser.c                |    3 +-
 gp11/gp11-module.c                          |    2 +-
 pkcs11/gck/gck-file-tracker.c               |    6 ++-
 pkcs11/gck/gck-timer.c                      |    4 ++-
 pkcs11/roots-store/gck-roots-module.c       |    3 +-
 pkcs11/rpc-layer/gck-rpc-dispatch.c         |    3 +-
 pkcs11/secret-store/gck-secret-collection.c |    4 ++-
 pkcs11/secret-store/gck-secret-textual.c    |    5 ++-
 pkcs11/ssh-store/gck-ssh-module.c           |    5 ++-
 pkcs11/user-store/gck-user-storage.c        |    5 ++-
 tests/gtest-helpers.c                       |    3 +-
 28 files changed, 205 insertions(+), 136 deletions(-)

commit 4f04754f903ea5e0269dd652e1b5fccc0ac72c06
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:   2010-03-19

    Updated Japanese translation.

 po/ja.po |  772 +++++++++++++++++++-------------------------------------------
 1 files changed, 236 insertions(+), 536 deletions(-)

commit 095de049cebd4a6f00b0260e91e291f3db752d87
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-03-19

    Estonian translation updated

 po/et.po |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit ea9c7507459d51d96dae8eba127936af6f26e297
Author: Francesco Marletta <fransceso.marletta@tiscali.it>
Date:   2010-03-18

    Updated Italian translation

 po/it.po |  769 ++++++++++++++++++--------------------------------------------
 1 files changed, 224 insertions(+), 545 deletions(-)

commit 7692cf3bb8743140cf4d1fcf8f5a090b81bd2dc8
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2010-03-13

    Updated Portuguese translation

 po/pt.po | 1031 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 510 insertions(+), 521 deletions(-)

commit 18dc3397e60a4632b5587e11c2d2849c94355be5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2010-03-12

    Updated Arabic translation

 po/ar.po | 1000 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 497 insertions(+), 503 deletions(-)

commit 078e0dcf2093a8df84b95a4dbc2e64fbe9e3180e
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-03-11

    Updated Basque language

 po/eu.po |  713 ++++++++++++++++++--------------------------------------------
 1 files changed, 203 insertions(+), 510 deletions(-)

commit 782c13bb0a90067748aa6e1707aa20361eb5d27d
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    [release] post-release bump to 2.30.0

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9f0db94b0a01b11b2146634c053924d1655d9504
Merge: d7dc0b3 10ddeed
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Merge branch 'releasing-2.29.92'

commit d7dc0b3c276db5f2598edfc9200704266501eb81
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Prepare for 2.29.92 release

 NEWS         |   19 +++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 20 insertions(+), 1 deletions(-)

commit 10ddeed5f860ad340e409f9a7b9f95650bf84727
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Prepare for 2.29.92 release

 NEWS         |   19 +++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 20 insertions(+), 1 deletions(-)

commit 84c2f30375b5bbd471594e42329ffeac0dc9a727
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Fix make dist
    
    We need the *-overrides.txt files for the API references.

 docs/reference/gcr/.gitignore          |    1 -
 docs/reference/gcr/gcr-overrides.txt   |    2 ++
 docs/reference/gp11/.gitignore         |    1 -
 docs/reference/gp11/gp11-overrides.txt |    2 ++
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 03d3b49a6c0d19719606e83fbb03a8aa8424667e
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-03-10

    Fix make dist
    
    We need the *-overrides.txt files for the API references.

 docs/reference/gcr/.gitignore          |    1 -
 docs/reference/gcr/gcr-overrides.txt   |    2 ++
 docs/reference/gp11/.gitignore         |    1 -
 docs/reference/gp11/gp11-overrides.txt |    2 ++
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 6c25bf1ba2772ac56e9f0430661290a40cbefed1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-03-08

    Fix endless loop in reading data.
    
    Fix problems with EINTR and EAGAIN handling, and some possible
    endless loops in various places.
    
    Fixes bug #610678

 daemon/control/gkd-control-server.c |   16 +++++++++++-----
 daemon/prompt/gkd-prompt-tool.c     |    4 +++-
 daemon/ssh-agent/gkd-ssh-agent.c    |   19 +++++++++++--------
 pkcs11/gck/gck-data-file.c          |   26 +++++++++++++++-----------
 4 files changed, 40 insertions(+), 25 deletions(-)

commit 73e1e743d349ab29e88d711b1a99488324cb0d5f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-03-06

    Updated Hungarian translation

 po/hu.po |  727 ++++++++++++++++++--------------------------------------------
 1 files changed, 205 insertions(+), 522 deletions(-)

commit c82ba5d3de9e81ffbf7f93656f40800340351385
Author: Leonid Kanter <leon@asplinux.ru>
Date:   2010-03-06

    update Russian translation from Yury Kozlov

 po/ru.po |  763 +++++++++++++++++++-------------------------------------------
 1 files changed, 229 insertions(+), 534 deletions(-)

commit 4a9fd24ee9ae32f3d75eb7eaa5fc872a2b420e10
Author: Vladimir Melo <vmelo@gnome.org>
Date:   2010-03-06

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1035 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 512 insertions(+), 523 deletions(-)

commit 32a0c9f45e26e563c4388d294252d31d15b38346
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2010-03-06

    Updated Korean translation

 po/ko.po | 1118 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 557 insertions(+), 561 deletions(-)

commit ae755cdad5334f76e735b000e8c87d5cc34debaa
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-03-04

    Updated Norwegian bokmål translation

 po/nb.po |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit 9945c4703190e55b026917df81fe33914541c329
Author: Claude Paroz <claude@2xlibre.net>
Date:   2010-03-03

    Updated French translation

 po/fr.po |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit 50d213c4523dfd2dde7b1ae53509a828c7424bfd
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-03-02

    Updated Swedish translation

 po/sv.po |  225 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 116 insertions(+), 109 deletions(-)

commit 5b1f841ddd9fd45946e596bd17965557877dd33c
Author: Petr Kovar <pknbe@volny.cz>
Date:   2010-03-01

    Update Czech translation by Lucas Lommer

 po/cs.po |  895 +++++++++++++++++++++----------------------------------------
 1 files changed, 308 insertions(+), 587 deletions(-)

commit e400dc89b0cf96260b051ac03e79c29edc882041
Author: Joan Duran <jodufi@gmail.com>
Date:   2010-02-27

    Updated Catalan translation

 po/ca.po | 1084 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 541 insertions(+), 543 deletions(-)

commit 768ad007cff5d6ea7f3004b410da43db527a970d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-27

    [rpc-layer] Fix problem initializing socket path in rpc module.
    
    This is a regression from a recent commit.

 pkcs11/rpc-layer/gck-rpc-module.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b837e4c6aa96e2a85d2bddc6a95855f22541fb3c
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   2010-02-24

    Updated British English translation

 po/en_GB.po | 1037 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 519 insertions(+), 518 deletions(-)

commit 737c25f11a1d5ba77242387da9de849706da8913
Author: Alexander Shopov <ash@contact.bg>
Date:   2010-02-22

    Updated Bulgarian translation

 po/bg.po |  716 ++++++++++++++++++--------------------------------------------
 1 files changed, 204 insertions(+), 512 deletions(-)

commit 8f8a74ffb0f08bbb369940ee48b70f2af0c9850c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2010-02-21

    Updated Polish translation

 po/pl.po |  847 +++++++++++++++++++++-----------------------------------------
 1 files changed, 286 insertions(+), 561 deletions(-)

commit ad2ed6c6e6ad2df55d8722609e7f921d0d354d77
Author: vasudeven <agnihot3@gmail.com>
Date:   2010-02-21

    updated Tamil translation

 po/ta.po |   16 ++++++++++++----
 1 files changed, 12 insertions(+), 4 deletions(-)

commit a5e74242522251edfee008405060c50061931d0b
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   2010-02-20

    Updated Galician Translation

 po/gl.po |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit be1b4ab667dc4db4a14ad4cb8ae69785e14ab107
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-02-20

    Updated German translation

 po/de.po |  122 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 62 insertions(+), 60 deletions(-)

commit 5765eee4847334a0ba54385fb89c265638e6f24e
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-02-19

    Updated Thai translation.

 po/th.po |  187 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 97 insertions(+), 90 deletions(-)

commit ab068832d6a90b6adc13eabf642b769898fd86da
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-02-19

    Updated Slovenian translation

 po/sl.po |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit ff8dcf18a6e1bec87b3097b99088cfa24db06795
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-18

    Updated Spanish translation

 po/es.po |   20 ++++++++++++--------
 1 files changed, 12 insertions(+), 8 deletions(-)

commit de56d02feddfd6eb511412a3703774950b791151
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    [dbus] When no default keyring set, use login keyring.
    
    This is similar to the previous behavior of gnome-keyring-daemon
    and also allows us to not set a default keyring when creating
    login keyring.
    
    Eventually this and other alias logic, needs to move into the
    pkcs11 secrets module.

 daemon/dbus/gkd-secret-objects.c |   26 ++++++++++++++++++++------
 1 files changed, 20 insertions(+), 6 deletions(-)

commit d6ae3a58fe8676062e120353f19cb578e66aebc4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    [secret-store] Two minor fixes for keyring creation.
    
    Include translatable files, and a null pointer dereference.

 pkcs11/secret-store/gck-secret-collection.c |    2 +-
 po/POTFILES.in                              |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit cbd304c28b215e56547861c28dc841fc98746a20
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    [login] Give translatable label to created login keyring.

 daemon/login/gkd-login.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 070ffc3a9cdc589e7905f6afac8a8d379e745d8a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-18

    [secret-store] Allow specifying CKA_ID when creating collection.
    
    This is necessary to allow creation of the login keyring, which
    needs a specific CKA_ID. Also we return an already existing
    collection if the ID matches one that already exists. This is
    similar to the behavior of item creation.

 pkcs11/secret-store/gck-secret-collection.c |   51 ++++++++++++++++++++++++--
 1 files changed, 47 insertions(+), 4 deletions(-)

commit a70541e65d2f581f10747a81d72d2e454a3e79b0
Author: Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com>
Date:   2010-02-18

    Display password and confirm prompts when creating keyring.
    
    Fixes bug #607869

 daemon/dbus/gkd-secret-create.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit a7b5238b9984b52f88806db76bd8aaa68124eb7c
Author: vasudeven <agnihot3@gmail.com>
Date:   2010-02-18

    updated Tamil translation

 po/ta.po |  208 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 109 insertions(+), 99 deletions(-)

commit 6e16a12f423a4fa4198b0c6a30175af399eb1787
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-02-17

    Estonian translation updated

 po/et.po |  199 +++++++++++++++++---------------------------------------------
 1 files changed, 54 insertions(+), 145 deletions(-)

commit 507752f1c08eb90f4c211af680ee92d1a3635203
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-02-16

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |   21 +++++++++------------
 po/zh_TW.po |   21 +++++++++------------
 2 files changed, 18 insertions(+), 24 deletions(-)

commit e19bc5ca569d463b5a1b0ae9f0479a2763bbf9b9
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   2010-02-15

    Updated Galician Translation

 po/gl.po | 1061 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 529 insertions(+), 532 deletions(-)

commit 43590189620c9dc5cda9854fef899fe89b24d308
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    [daemon] Rework the startup again, singleton crontrolled via dbus.
    
    Account for starting dbus via the autostart files (ie: various
    components individually), but without a gnome-keyring-daemon running
    from pam. This previously caused multiple processes. We use a dbus
    singleton in this case.

 daemon/control/gkd-control-client.c |    4 +-
 daemon/dbus/Makefile.am             |    1 -
 daemon/dbus/gkd-dbus-service.c      |  155 ---------------------
 daemon/dbus/gkd-dbus.c              |  252 +++++++++++++++++++++++++++++++----
 daemon/dbus/gkd-dbus.h              |    4 +
 daemon/gkd-main.c                   |   66 +++++++---
 6 files changed, 280 insertions(+), 202 deletions(-)

commit dd0fde2e43422591fca1ae4345ea11e69347129e
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2010-02-14

    Fix another Solaris CC build issue.

 pkcs11/secret-store/gck-secret-collection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1159047fe34254006d1a099b9158c6db77481a60
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-02-14

    Autostart gnome-keyring-daemon in LXDE as well.

 daemon/gnome-keyring-pkcs11.desktop.in.in  |    2 +-
 daemon/gnome-keyring-secrets.desktop.in.in |    2 +-
 daemon/gnome-keyring-ssh.desktop.in.in     |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 0d82027ae6d68ce889f55833408a00c744bf65df
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    [secret-store] Possible fix for a sporadic crash in this area.

 pkcs11/secret-store/gck-secret-collection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6bd4a868bba97d0142b6254784937f8ffe4fc89c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    [dbus] Fix error when setting default keyring to NULL.

 daemon/dbus/gkd-secret-objects.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8864fa25ef39731cfaa820018f5f517bd8e39f4d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    [daemon] Allow running in a test environment.
    
    Setting the GNOME_KERING_TEST_PATH and GNOME_KEYRING_TEST_SERVICE
    environment variables, set the data directory, and dbus service
    for a gnome-keyring-daemon respectively. Must have been built
    with --enable-tests

 daemon/dbus/gkd-dbus-secrets.c  |   17 +++++++++++++----
 daemon/dbus/gkd-dbus-service.c  |   17 +++++++++++++----
 daemon/dbus/gkd-dbus.c          |    9 ---------
 daemon/pkcs11/gkd-pkcs11-auth.c |    2 +-
 daemon/pkcs11/gkd-pkcs11.c      |   17 ++++++++++++++++-
 tests/gtest-helpers.c           |    4 +---
 6 files changed, 44 insertions(+), 22 deletions(-)

commit 5fa82147450c0910072d9aa86e62a42a23576215
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    [ssh-agent] Don't raise error if ssh client disconnects early.

 daemon/ssh-agent/gkd-ssh-agent.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit b4add492ad707b4503dd1614dc4b7100d3d89d76
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-14

    [secret-store] Return OK when a search includes a bad collection identifier.
    
    So basically we just don't return any results. This is for two reasons:
     * PKCS#11 isn't very helpful to the caller of C_CreateObject about
       which attribute was wrong.
     * Race conditions abound where you set up a search of a collection
       that is being deleted.

 pkcs11/secret-store/gck-secret-search.c            |   60 ++++++++++----------
 pkcs11/secret-store/gck-secret-search.h            |    2 +-
 .../secret-store/tests/unit-test-secret-search.c   |   10 ++-
 3 files changed, 38 insertions(+), 34 deletions(-)

commit 9a271ef0518949f06fb5132ecad1ed93bcf4f72c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-13

    [pkcs11] Fix problem with not storing secret value properly.
    
    If a new object was not created, such as when unwrapping a
    secret item, then the attributes set were not stored properly.

 pkcs11/gck/gck-aes-key.c                    |    3 ++-
 pkcs11/gck/gck-certificate.c                |    3 ++-
 pkcs11/gck/gck-credential.c                 |    3 ++-
 pkcs11/gck/gck-dh-private-key.c             |    3 ++-
 pkcs11/gck/gck-dh-public-key.c              |    3 ++-
 pkcs11/gck/gck-null-key.c                   |    3 ++-
 pkcs11/gck/gck-private-xsa-key.c            |    3 ++-
 pkcs11/gck/gck-public-xsa-key.c             |    3 ++-
 pkcs11/gck/gck-session.c                    |    6 +++---
 pkcs11/gck/gck-session.h                    |    1 +
 pkcs11/secret-store/gck-secret-collection.c |    3 ++-
 pkcs11/secret-store/gck-secret-item.c       |   11 ++++-------
 pkcs11/secret-store/gck-secret-search.c     |    3 ++-
 pkcs11/user-store/gck-user-private-key.c    |    3 ++-
 pkcs11/user-store/gck-user-public-key.c     |    3 ++-
 15 files changed, 32 insertions(+), 22 deletions(-)

commit 912891b83b297ac6af2b62f6c1f8c31b1d3cc8bd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-13

    [secret-store] Fix regression: secret value not stored properly.

 pkcs11/secret-store/gck-secret-item.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit e160eb27ce0682ee4be6dae4c974a7282b915ad8
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   2010-02-13

    Update Romanian translation

 po/ro.po | 1029 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 443 insertions(+), 586 deletions(-)

commit 8c1d21a167332edddd66cb7321a8380b96941e34
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-02-12

    Updated Slovenian translation

 po/sl.po |  181 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 94 insertions(+), 87 deletions(-)

commit 008e0b8a2b5b60b534fa61b0a2c927ca3cb50eaf
Author: Nathan-J. Hirschauer <nathanhirschauer@verfriemelt.org>
Date:   2010-02-10

    Updated German translation

 po/de.po |  203 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 106 insertions(+), 97 deletions(-)

commit ed6b1e144476100272283f747ae9b3bab98cb51b
Author: Claude Paroz <claude@2xlibre.net>
Date:   2010-02-10

    Updated French translation
    
    Contributed by Laurent Coudeur and Claude Paroz

 po/fr.po |  734 +++++++++++++++++---------------------------------------------
 1 files changed, 204 insertions(+), 530 deletions(-)

commit 2d6c2d0e07b622ce95b89838e76a9479ecde711c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-02-10

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  908 +++++++++++++++++----------------------------------------
 po/zh_TW.po |  933 ++++++++++++++++++-----------------------------------------
 2 files changed, 558 insertions(+), 1283 deletions(-)

commit db3ca52463ce2c4fcc09d2c9752e55ba8284a029
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-02-09

    Updated Norwegian bokmål translation

 po/nb.po |  158 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 81 insertions(+), 77 deletions(-)

commit 85df4852443eb43ae4427ca70f7390f95056ca3b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-09

    Updated Spanish translation

 po/es.po |   49 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit 377d0244d1f57830b7ea129d749b9ffe6b29cef7
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-09

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d4be1e7466a9afd9bbff54ba3c8f41f022c865b3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-09

    Release version 2.29.90

 NEWS         |   18 ++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 19 insertions(+), 1 deletions(-)

commit 15fee050b0b0239df3b1ecf027deb71bf8ba6580
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-09

    Add missing translatable files.

 po/POTFILES.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d7bb7333789ed849a9ecaec383f26cc9492f392a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-09

    [secret-store] Don't try to set credential attribute twice.

 pkcs11/secret-store/gck-secret-collection.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 849983f51c916c940aa8e78fbffaaa4defa4741f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-09

    Fix storage and testing problems.
    
     * Add object store before trying to set attributes.
     * Return correct code when non-key is passed to
       C_XxxxInit

 pkcs11/gck/gck-module.c             |   24 +++++++++++++++++++++---
 pkcs11/gck/gck-module.h             |   10 ++++++++--
 pkcs11/gck/gck-session.c            |   24 +++++++++++++++++-------
 pkcs11/user-store/gck-user-module.c |   20 +++++++++-----------
 4 files changed, 55 insertions(+), 23 deletions(-)

commit 6371b7af4700c2ea359ede49bfa4371195cdcc05
Author: Ray Strode <rstrode@redhat.com>
Date:   2010-02-07

    Quit when the session is disconnected.
    
    Bug #598494

 daemon/dbus/gkd-dbus-session.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 64f2a16fc07deadf81da15c50fba428004765ccb
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   2010-02-07

    [rpc] Use dynamically allocate socket path.
    
    GNU Hurd doesn't have a max path length. Fixes bug #604493

 pkcs11/rpc-layer/gck-rpc-dispatch.c |   23 +++++++++++++++------
 pkcs11/rpc-layer/gck-rpc-module.c   |   36 ++++++++++++++++++++++++----------
 2 files changed, 41 insertions(+), 18 deletions(-)

commit 461570351b6d5e7d48afeeeec4b4b9696772a7af
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2010-02-07

    Solaris CC doesn't allow return void
    
    Fixes bug #606710

 daemon/dbus/gkd-secret-objects.c            |    2 +-
 pkcs11/gck/gck-session.c                    |   15 +++++++---
 pkcs11/secret-store/gck-secret-collection.c |   36 ++++++++++++++++++---------
 3 files changed, 35 insertions(+), 18 deletions(-)

commit 79c195c6538a9440d04ea59ad3dbff5520fa8d0a
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2010-02-07

    Include missing header.
    
    Fixes build on Solaris. Bug #606713

 daemon/prompt/gkd-prompt.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4d7384b45dd80b5e81ed6222f788ea7dd9f48d30
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-07

    Updated Spanish translation

 po/es.po |  138 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 67 insertions(+), 71 deletions(-)

commit 5ef8a4ee2acbbeaf9920e4182b4cd8618d7d2f13
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    Fix some translation strings.
    
    Remove dot from end of options, unmark string as
    translatable.

 daemon/prompt/gkd-prompt.ui      |   12 ++++++------
 gcr/gcr-unlock-options-widget.ui |    4 ++--
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 7ba04c90ebd9fd7a1ccbf4b3d189621f458652dd
Author: Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com>
Date:   2010-02-07

    [daemon] Include sys/stat.h
    
    Fixes warnings: bug #607819

 daemon/control/gkd-control-client.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 18b360620e069d5e635378b89c1de519982f5e4c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    [ssh-store] Don't warn on SSHv1 keys.
    
    Fixes bug #584037. Don't print out any warning when
    encountering SSH v1 keys in ~/.ssh

 pkcs11/ssh-store/gck-ssh-module.c      |   10 ++++++----
 pkcs11/ssh-store/gck-ssh-openssh.c     |    7 +++++--
 pkcs11/ssh-store/gck-ssh-private-key.c |    6 ++++--
 3 files changed, 15 insertions(+), 8 deletions(-)

commit 5b57be54b68adb336920f539b29f8cdc693d29df
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    No longer depend on eggdbus.
    
    We used to use eggdbus, but haven't for a couple months, so
    remove this old dependency. Note that we still have a file
    called 'egg-dbus.c'

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b76506d2e401a6e91ffe816c14d4e26e60a0f7fd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    Use 'log in to' rather than 'log into'
    
    Fixed after heads up from the gnome-doc folks.

 daemon/dbus/gkd-secret-service.c     |    2 +-
 daemon/dbus/gkd-secret-unlock.c      |    2 +-
 daemon/ssh-agent/gkd-ssh-agent-ops.c |    2 +-
 gp11/gp11-session.c                  |    6 +++---
 4 files changed, 6 insertions(+), 6 deletions(-)

commit e588dbb870c985ae10151bf2428d497027bb90d3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    [daemon] Bring back feature to save password for keys.
    
    For encryption keys (like SSH) the feature to save their passwords
    in the login keyring was disabled. Reimplement that with the
    new prompt.

 daemon/dbus/gkd-secret-unlock.c |    8 +----
 daemon/login/gkd-login.c        |   14 +++++++--
 daemon/login/gkd-login.h        |    2 +-
 daemon/pkcs11/gkd-pkcs11-auth.c |   58 +++++++++++++++++++-------------------
 daemon/prompt/gkd-prompt.c      |    8 +++++
 daemon/prompt/gkd-prompt.h      |    2 +
 6 files changed, 53 insertions(+), 39 deletions(-)

commit aa548019df045b4085c088c84aec585ab0e62a98
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    [pkcs11] Set attributes on object before storing.
    
    Set attributes on new objects before storing them.

 pkcs11/gck/gck-session.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 185a475b81c57af7f48d1c7b8cb467b158bcdae4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    [pkcs11] Lookup the destruct after/idle attributes properly.
    
    When creating an object the attributes which controlled
    destruction timeouts weren't being looked up properly.

 pkcs11/gck/gck-object.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 263af0662a86969c133daeba5eefa11ab7597723
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    [pkcs11] Mark various destruct timeout attributes as used.
    
    Fixes warnings and assertions.

 pkcs11/gck/gck-object.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit d8c27671de495692816a9343dc03cb7ab7f3c87b
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    [prompt] Restore state of prompt dialog on bad password.
    
    When the user types a bad password, all the other state
    of the prompt dialog should remain as selected.

 daemon/dbus/gkd-secret-change.c |    9 +++++----
 daemon/dbus/gkd-secret-create.c |    2 +-
 daemon/dbus/gkd-secret-unlock.c |   29 +++++++++++++++--------------
 daemon/prompt/gkd-prompt-tool.c |   24 ++++++++++++++++++++++++
 daemon/prompt/gkd-prompt.c      |   32 +++++++++++++++++++++++++++++---
 daemon/prompt/gkd-prompt.h      |    3 ++-
 6 files changed, 76 insertions(+), 23 deletions(-)

commit 77e6291ab1671b9bad750a8fcc41fc9fee9faa2a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-07

    Updated Spanish translation

 po/es.po |  163 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 76 insertions(+), 87 deletions(-)

commit 99ac73aa6de3a3f019f44733791ff417024ce767
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-02-07

    Updating Estonian translation

 po/et.po |  100 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 65 insertions(+), 35 deletions(-)

commit 0524eba2829ecf47db762c53dfeef0086dc4f596
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-07

    Display different message when unlocking login keyring.
    
    Different messages and behavior when unlocking login keyring
    including no opportunity to save the keyring password etc...

 daemon/dbus/gkd-secret-unlock.c |  122 +++++++++++++++++++++++++++++++--------
 daemon/login/gkd-login.c        |   16 +++++
 daemon/login/gkd-login.h        |    2 +
 3 files changed, 116 insertions(+), 24 deletions(-)

commit a5f30e5edb4ff2b208092db09969530bfe4c74b4
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-06

    [secrets] Create unlock credentials with correct attributes.
    
    Some minor fixes for creating unlock credentials with the right
    attributes, such as making them available to all applications.

 daemon/prompt/gkd-prompt.c                  |    2 ++
 pkcs11/secret-store/gck-secret-collection.c |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 701cab2c3b40216c01bf1cda23fe15c9ff0d7caa
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-06

    [secrets] Fix problems with collection reloading.
    
    The module had a bug which would cause collections that were reloaded
    to appear as new collections

 pkcs11/secret-store/gck-secret-module.c |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 4d22df25dac5c051c04f8d957169ff5ba45b5020
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-06

    [dbus] Refresh and store the default keyring correctly.
    
    Although the default keyring was being loaded, it was not being
    used correctly by the path resolution code.

 daemon/dbus/gkd-secret-service.c |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit ec584f8253d4635d4e35a850da29faf44d52163b
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    [prompt] Don't show the lock and options areas by default

 daemon/dbus/gkd-secret-unlock.c |    1 +
 daemon/prompt/gkd-prompt.ui     |   10 ++++------
 2 files changed, 5 insertions(+), 6 deletions(-)

commit d1df7e7a1b9878aeef5557d2e3812c04386faca0
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    [gcr] Move the 'always unlock' option out of the unlock options widget.

 daemon/prompt/gkd-prompt-tool.c  |   27 +++++--
 daemon/prompt/gkd-prompt.ui      |   35 +++++++--
 gcr/gcr-unlock-options-widget.c  |   52 ++-----------
 gcr/gcr-unlock-options-widget.ui |  157 ++++++++++++++++----------------------
 4 files changed, 124 insertions(+), 147 deletions(-)

commit 7b645597071c776d0158bc4397c0ced351e4d21f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    [prompt] Fix broken setting of idle or after options.

 daemon/prompt/gkd-prompt.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 23194ec9551cc0a04f948bcb61fa59a2855d5a55
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    Remove incomplete unlock per application/session support.

 daemon/prompt/gkd-prompt-tool.c  |   14 ++------------
 daemon/prompt/gkd-prompt.c       |    8 --------
 gcr/gcr-unlock-options-widget.c  |   18 ------------------
 gcr/gcr-unlock-options-widget.ui |   12 ------------
 4 files changed, 2 insertions(+), 50 deletions(-)

commit 3aab72fc09aa0d70eb0915285d589e5a76d0a8f8
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    Implement support for prompting for unlock options

 daemon/dbus/gkd-secret-unlock.c |  151 ++++++++++++++++++++++++++++++--------
 daemon/prompt/Makefile.am       |    2 +
 daemon/prompt/gkd-prompt-tool.c |   76 ++++++++++++--------
 daemon/prompt/gkd-prompt.c      |   50 +++++++++++++
 daemon/prompt/gkd-prompt.h      |    8 ++
 daemon/prompt/gkd-prompt.ui     |  123 +-------------------------------
 6 files changed, 228 insertions(+), 182 deletions(-)

commit dbfc7003c830761722eea7831db6ddcf6680eb50
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    Implement collection storing lock on idle, and unlock timeout

 pkcs11/gck/gck-attributes.c                 |  114 ++++++++++++++++++++++++---
 pkcs11/gck/gck-attributes.h                 |   22 +++++-
 pkcs11/gck/tests/unit-test-attributes.c     |   49 ++++++++++++
 pkcs11/secret-store/gck-secret-binary.c     |   23 ++++--
 pkcs11/secret-store/gck-secret-collection.c |   69 ++++++++++++-----
 pkcs11/secret-store/gck-secret-collection.h |    5 +
 pkcs11/secret-store/gck-secret-textual.c    |   17 +++--
 7 files changed, 254 insertions(+), 45 deletions(-)

commit 1667dea769cc2a32d762be3ea38e5c8a36f8a098
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    [gcr] Add commun gcr unlock functionality.

 gcr/Makefile.am                  |    7 +-
 gcr/gcr-unlock-options-widget.c  |  299 ++++++++++++++++++++++++++++++++++++++
 gcr/gcr-unlock-options-widget.h  |   56 +++++++
 gcr/gcr-unlock-options-widget.ui |  136 +++++++++++++++++
 4 files changed, 496 insertions(+), 2 deletions(-)

commit 24bf6b8501eb9295f941ac06d87601e69ab3b85a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-02-01

    [gp11] Bug fixes to set and get template functionality.

 gp11/gp11-object.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit c23ef6d5ffef068e0055a3b3aca6be768df2c5ce
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-31

    Fix unit testing which recent commit broke on this branch.

 pkcs11/secret-store/gck-secret-collection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d6192caf4dad9a6166c7c6e248f3fb159f1d5ee1
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-20

    [pkcs11] Rework how credentials, and auto-destruct work.
    
    Add the concept of a CKA_CREDENTIAL_TEMPLATE from which
    credential objects for a given object take attributes.
    
    Change around the various auto-destruct attributes.

 daemon/ssh-agent/gkd-ssh-agent-ops.c               |   18 +--
 pkcs11/gck/gck-attributes.c                        |   42 +++++
 pkcs11/gck/gck-attributes.h                        |    4 +
 pkcs11/gck/gck-credential.c                        |  188 +++++++++++++------
 pkcs11/gck/gck-credential.h                        |   21 ++-
 pkcs11/gck/gck-object.c                            |  152 ++++++++++++----
 pkcs11/gck/gck-object.h                            |    2 +
 pkcs11/gck/gck-private-xsa-key.c                   |   19 +--
 pkcs11/gck/gck-session.c                           |   59 +------
 pkcs11/gck/gck-session.h                           |   11 +-
 pkcs11/gck/gck-timer.c                             |    7 +-
 pkcs11/gck/gck-timer.h                             |    2 +-
 pkcs11/gck/tests/unit-test-credential.c            |   67 +++-----
 pkcs11/gck/tests/unit-test-object.c                |   51 ++----
 pkcs11/gck/tests/unit-test-timer.c                 |   47 ++---
 pkcs11/pkcs11g.h                                   |   15 --
 pkcs11/pkcs11i.h                                   |   22 +++
 pkcs11/secret-store/gck-secret-binary.c            |   17 +-
 pkcs11/secret-store/gck-secret-collection.c        |  107 ++++++++---
 pkcs11/secret-store/gck-secret-collection.h        |   10 +-
 pkcs11/secret-store/gck-secret-item.c              |   13 +-
 pkcs11/secret-store/gck-secret-textual.c           |    5 +-
 .../tests/unit-test-secret-collection.c            |   18 ++-
 23 files changed, 521 insertions(+), 376 deletions(-)

commit ced76d4e91c35b31f7364464e53873f7e3d090b4
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-20

    [prompt] Move the 'Prompt for each application' checkbox.

 daemon/prompt/gkd-prompt.ui |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit 9c5056cc21d606cde304dcf12c17d9411168f3c5
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-20

    [gp11] Support for getting and setting object template style attrs.
    
    These are attributes like CKA_WRAP_TEMPLATE etc...

 gp11/gp11-object.c |  362 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 gp11/gp11.h        |   40 ++++++
 2 files changed, 398 insertions(+), 4 deletions(-)

commit c5e52c27c9dca54cba73b545050434616cf677f3
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-01-27

    Updated German translation

 po/de.po | 1084 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 538 insertions(+), 546 deletions(-)

commit a14759c5ea674626f7df745b79f8c019192e035f
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   2010-01-24

    Updated Bengali translation

 po/bn.po | 1056 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 488 insertions(+), 568 deletions(-)

commit 7407bcbbb0da9721c9ead7b9253b8dd90b12ccda
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-21

    Fix endless loop when looking for password in login keyring.
    
    If the password for an encryption key was stored in the login
    keyring in the 'old' way, there could be an endless loop if
    it was the wrong password.

 daemon/pkcs11/gkd-pkcs11-auth.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 3e3f9ceb3200fe07cee382a90ebae384d50b58b8
Author: vasudeven <agnihot3@gmail.com>
Date:   2010-01-21

    updated Tamil translation

 po/ta.po | 1168 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 585 insertions(+), 583 deletions(-)

commit 52b8907b461144fd6747e4d604ab3af8f9b93fec
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-01-14

    Updated Slovenian translation

 po/sl.po |  854 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 428 insertions(+), 426 deletions(-)

commit 3eb93976da14737cece717878deb923b4f598496
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-01-13

    Updated Norwegian bokmål translation

 po/nb.po |   34 +++++++++++++++++++---------------
 1 files changed, 19 insertions(+), 15 deletions(-)

commit 552207f410cd2cbd9cf660750439385f4741a582
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-11

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d10c4e42073d4345232cf53b3c820c635357b5d6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-11

    Release version 2.29.5

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 0d04824885f2b4b9c83e233b4562a1b0e7e4721b
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-11

    [daemon] Fix use of uninitialized memory.

 daemon/login/gkd-login.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fcb58709e3ddaf0dd20ff0234e6cba6c30a87853
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-06

    [login] Don't freak out during race condition to remove login secret.

 daemon/login/gkd-login.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 383ce1f36976640fb44af8b0f4067c7b687e4109
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-06

    [prompt] Hook up the various toggle options sensitivity.
    
    Disable certain lock options when others are selected.

 daemon/prompt/gkd-prompt-tool.c           |   39 +++++++++++++++++++++++++++++
 daemon/prompt/gkd-prompt.ui               |    3 +-
 daemon/prompt/tests/test-data/prompt-full |    3 +-
 3 files changed, 42 insertions(+), 3 deletions(-)

commit 667551e698c74a0e32a04e414f20f4ea9e028dc8
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-01-09

    Updated Swedish translation

 po/sv.po | 1017 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 532 insertions(+), 485 deletions(-)

commit dcb59b1f76177269a7806f027111b366bb65d21b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-01-07

    Updated Norwegian bokmål translation

 po/nb.po |  704 +++++++++++++++-----------------------------------------------
 1 files changed, 166 insertions(+), 538 deletions(-)

commit d99e95159c5446483be4daeb4c308e2fc43ac264
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-01-05

    Update Ukrainian translation

 po/uk.po | 1027 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 505 insertions(+), 522 deletions(-)

commit b9280d7cb14139444a7658d6be5aa6884ff10bf8
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-01-04

    Updated Thai translation.

 po/th.po | 1113 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 561 insertions(+), 552 deletions(-)

commit 4cc0280cf4f21ea81a868d6b67a3b8bba77a3bb5
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-04

    [secrets] Fix bug when setting schema attribute.

 pkcs11/secret-store/gck-secret-item.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2396fd528947f0e397d1eda82627e5c9b0ccbf1e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-04

    [pkcs11] Only store objects during set attributes if successful.

 pkcs11/gck/gck-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 99dbc776a216d8e6a0b215297e3e3189dd0ea3ed
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-04

    [dbus] Add item Type property to secret items.

 daemon/data/introspect-item.xml   |    1 +
 daemon/dbus/gkd-secret-objects.c  |    1 +
 daemon/dbus/gkd-secret-property.c |    8 ++++++++
 3 files changed, 10 insertions(+), 0 deletions(-)

commit 22169a0697cbcf600edf0c4aa8b1faf0d4d0b34a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-04

    [pkcs11] Add schema attribute to secret items.
    
    This will be used for the Type secret API property.

 pkcs11/pkcs11i.h                                   |    4 +
 pkcs11/secret-store/gck-secret-binary.c            |   10 ++--
 pkcs11/secret-store/gck-secret-compat.c            |   24 +++---
 pkcs11/secret-store/gck-secret-item.c              |   76 +++++++++++++++++++-
 pkcs11/secret-store/gck-secret-item.h              |    5 ++
 pkcs11/secret-store/gck-secret-textual.c           |   16 +----
 .../secret-store/tests/unit-test-secret-compat.c   |   26 ++++----
 7 files changed, 116 insertions(+), 45 deletions(-)

commit 79cb0fc9996958cc3b3d19183d2f8c1a8dc48fb1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [pkcs11] Store objects after any attribute change.
    
    Previously most token objects did not have modifiable attributes, or at
    least not those stored on the token. This changed with the addition
    of secret objects.

 pkcs11/gck/gck-module.c                 |    8 +++++---
 pkcs11/gck/gck-session.c                |    4 ++++
 pkcs11/secret-store/gck-secret-module.c |    4 ++--
 pkcs11/user-store/gck-user-module.c     |    9 +++++++++
 4 files changed, 20 insertions(+), 5 deletions(-)

commit 4388d315a40976fd9f79daa557c7496a4ba7758b
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [secrets] Fix problem showing password field when changing.
    
    When changing collection master field, password entry was not
    shown properly.

 daemon/dbus/gkd-secret-change.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9b8128b2fb3f9a9f3069f3be5bc368258968087c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [secrets] Fix prompt text when prompting for changing password.

 daemon/dbus/gkd-secret-change.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 5acd76ed966ac9aca81a99601f152a00a31fe856
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [secrets] Fix problem using ChangeLock() method.

 daemon/dbus/gkd-secret-service.c |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit 9981a23971d924294055d9a142cc2a8d7b448306
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [secrets] Implement lookup collection passwords in login keyring.
    
    Also add support for null passwords, and automatically unlocking
    collections with null passwords.

 daemon/dbus/gkd-secret-unlock.c |  100 ++++++++++++++++++++++++++++++++++++---
 daemon/dbus/gkd-secret-unlock.h |    5 ++
 2 files changed, 98 insertions(+), 7 deletions(-)

commit a68cf761f9fa2af1a692ca75dbf0ad4b048fafca
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [ssh-agent] Move into daemon component, rather than pkcs11.

 configure.in                                |    2 +-
 daemon/.gitignore                           |    2 +
 daemon/Makefile.am                          |    3 +-
 daemon/pkcs11/gkd-pkcs11.c                  |   15 +-
 daemon/ssh-agent/.gitignore                 |    4 +
 daemon/ssh-agent/Makefile.am                |   38 +
 daemon/ssh-agent/gkd-ssh-agent-ops.c        | 1317 +++++++++++++++++++++++++++
 daemon/ssh-agent/gkd-ssh-agent-private.h    |  180 ++++
 daemon/ssh-agent/gkd-ssh-agent-proto.c      |  512 +++++++++++
 daemon/ssh-agent/gkd-ssh-agent-standalone.c |  136 +++
 daemon/ssh-agent/gkd-ssh-agent.c            |  442 +++++++++
 daemon/ssh-agent/gkd-ssh-agent.h            |   40 +
 pkcs11/Makefile.am                          |    1 -
 pkcs11/ssh-agent/.gitignore                 |    4 -
 pkcs11/ssh-agent/Makefile.am                |   49 -
 pkcs11/ssh-agent/gck-ssh-agent-ops.c        | 1317 ---------------------------
 pkcs11/ssh-agent/gck-ssh-agent-private.h    |  180 ----
 pkcs11/ssh-agent/gck-ssh-agent-proto.c      |  513 -----------
 pkcs11/ssh-agent/gck-ssh-agent-standalone.c |  136 ---
 pkcs11/ssh-agent/gck-ssh-agent.c            |  442 ---------
 pkcs11/ssh-agent/gck-ssh-agent.h            |   18 -
 21 files changed, 2682 insertions(+), 2669 deletions(-)

commit 2a00634309d8dc6aa5afcff8dc0bb001da13982e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [pkcs11] Propogate errors retrieving value while wrapping secret.

 pkcs11/gck/gck-aes-mechanism.c  |   43 ++++++++++++++++++++----------------
 pkcs11/gck/gck-null-mechanism.c |   46 +++++++++++++++++++++-----------------
 2 files changed, 49 insertions(+), 40 deletions(-)

commit 2133c815b0800fd79da143aac2f6714e2f378c55
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-01-03

    Updating Estonian translation

 po/et.po |  918 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 458 insertions(+), 460 deletions(-)

commit d1462e25d158f141cacec7ba80c1d3d2d411ac19
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [dbus] Bug fixes for password lookup.
    
    Some bug fixes for unlocking keyrings, and password lookup.

 daemon/dbus/gkd-secret-prompt.c |    4 +++-
 daemon/dbus/gkd-secret-unlock.c |    3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 01ec5cbca2ed2b81573286455c1b83a74a66c53c
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-03

    [daemon] Pass correctly sized varargs in login code.

 daemon/login/gkd-login.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 31c447a44a26693c0f769938eaf736fb7fea5353
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-02

    [dbus] Fix issue with uninitialized variable being used.

 daemon/dbus/gkd-secret-service.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit cc5fe2692544aa54e009d395603dd5870a82f7d6
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2009-12-29

    Updated Spanish translation

 po/es.po |   64 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 25 insertions(+), 39 deletions(-)

commit b0ef873133605efc70a28a0de256b00e49ea5571
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2009-12-28

    Updated Spanish translation

 po/es.po | 1229 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 636 insertions(+), 593 deletions(-)

commit e31d7f08e33838782116e7649e90587622de75d1
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-21

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3a4608ec5eb05426cf9ba13c879da32f49a4fbf1
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-21

    Release version 2.29.4
    
    And do a bunch of distcheck fixes.

 NEWS                                           |   21 +++++++++++++++++++++
 autogen.sh                                     |    3 +--
 daemon/prompt/Makefile.am                      |    4 +++-
 pkcs11/gck/Makefile.am                         |    2 +-
 pkcs11/secret-store/tests/Makefile.am          |    3 +++
 pkcs11/secret-store/tests/test-secret-module.c |    4 +++-
 po/POTFILES.in                                 |    4 +++-
 po/POTFILES.skip                               |    4 +++-
 8 files changed, 38 insertions(+), 7 deletions(-)

commit 37d87d26ed9f017634a72b479c65582dcba34a0c
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [prompt] Add some border width.

 daemon/prompt/gkd-prompt.ui |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 087c7b561acd00f93e903fa3b7a9f2f26eddfba7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [daemon] Refactor the startup.
    
     * Add support for initializing seperate parts of daemon separately.
     * Add autostart files for various components.
     * Use simpler control protocol.

 configure.in                               |    7 +-
 daemon/.gitignore                          |   11 ++-
 daemon/Makefile.am                         |    7 +-
 daemon/control/gkd-control-client.c        |   20 ++--
 daemon/control/gkd-control-codes.h         |   52 ++------
 daemon/control/gkd-control-server.c        |   83 +++++-------
 daemon/control/gkd-control.h               |    1 +
 daemon/control/tests/Makefile.am           |   26 +++-
 daemon/control/tests/test-control-change   |  Bin 96222 -> 0 bytes
 daemon/control/tests/test-control-init.c   |   30 ++++
 daemon/control/tests/test-control-unlock   |  Bin 96149 -> 0 bytes
 daemon/data/gnome-keyring.schemas.in       |   32 +++--
 daemon/dbus/gkd-dbus-environment.c         |   94 +++++++-----
 daemon/dbus/gkd-dbus-secrets.c             |   38 ++++-
 daemon/dbus/gkd-dbus.h                     |    6 +-
 daemon/gkd-main.c                          |  213 ++++++++++++----------------
 daemon/gkd-main.h                          |    4 +-
 daemon/gkd-util.c                          |   28 ++++
 daemon/gkd-util.h                          |    7 +-
 daemon/gnome-keyring-daemon.desktop.in.in  |   12 --
 daemon/gnome-keyring-pkcs11.desktop.in.in  |   14 ++
 daemon/gnome-keyring-secrets.desktop.in.in |   14 ++
 daemon/gnome-keyring-ssh.desktop.in.in     |   14 ++
 daemon/org.gnome.keyring.service.in        |    2 +-
 pam/gkr-pam-client.c                       |   24 ++--
 pam/gkr-pam-module.c                       |   90 ++++---------
 26 files changed, 438 insertions(+), 391 deletions(-)

commit d4dc93486a05de3fbcec2fcb0e46add44c311046
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [po] Fix the translatable file list.

 po/POTFILES.in |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 387b5f2b7584134723ad0a5d22e11586a73dc12a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [pkcs11] Fix warning when running tests.

 pkcs11/gck/gck-session.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit fef95a8bc238d059f20bd51e667494749e9be993
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [gcr] Link tests to the right egg library file.

 gcr/tests/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a3b3c27b4ff14f2ae41056aa913644295334f617
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [daemon] Rename the dbus component library file.

 daemon/Makefile.am      |    2 +-
 daemon/dbus/Makefile.am |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9ea8eaa48fb22201e2f63d78ff4a331c1d3ce0ca
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [daemon] Large refactoring of prompting for pkcs11 logins.
    
     * Remove old ask code.
     * Remove old async code, location code daemon util code.
     * Move our custom GtkEntryBuffer into egg.
     * Remove old EggSecureEntry stuff.
     * Rework how threading works in pkcs11 daemon auth and prompting.
     * Use new prompting stuff for pkcs11 logins.
     * Make several fixes to the daemon/login code.

 configure.in                           |    3 -
 daemon/Makefile.am                     |    6 +-
 daemon/dbus/gkd-dbus-secrets.c         |    4 +-
 daemon/gkd-main.c                      |   19 +-
 daemon/login/gkd-login.c               |   30 +-
 daemon/pkcs11/Makefile.am              |   11 +-
 daemon/pkcs11/gkd-pkcs11-auth.c        | 1529 ++++++++++++++++++
 daemon/pkcs11/gkd-pkcs11-auth.h        |   33 +
 daemon/pkcs11/gkd-pkcs11-data.c        |  263 +++
 daemon/pkcs11/gkd-pkcs11-data.h        |   52 +
 daemon/pkcs11/gkd-pkcs11.c             |  199 +++
 daemon/pkcs11/gkd-pkcs11.h             |   39 +
 daemon/pkcs11/gkr-pkcs11-auth-ep.c     | 1135 -------------
 daemon/pkcs11/gkr-pkcs11-auth.c        |  657 --------
 daemon/pkcs11/gkr-pkcs11-auth.h        |   96 --
 daemon/pkcs11/gkr-pkcs11-daemon.c      |  253 ---
 daemon/pkcs11/gkr-pkcs11-daemon.h      |   39 -
 daemon/prompt/Makefile.am              |    2 +-
 daemon/prompt/gkd-prompt-buffer.c      |  199 ---
 daemon/prompt/gkd-prompt-buffer.h      |   59 -
 daemon/prompt/gkd-prompt-tool.c        |    4 +-
 daemon/prompt/gkd-prompt.c             |   55 +-
 daemon/prompt/gkd-prompt.h             |    7 +
 daemon/prompt/gkd-prompt.ui            |   13 +-
 daemon/ui/.gitignore                   |    7 -
 daemon/ui/Makefile.am                  |   48 -
 daemon/ui/gkr-ask-daemon.c             |  194 ---
 daemon/ui/gkr-ask-daemon.h             |   37 -
 daemon/ui/gkr-ask-marshal.list         |    1 -
 daemon/ui/gkr-ask-request.c            |  967 -----------
 daemon/ui/gkr-ask-request.h            |  145 --
 daemon/ui/gkr-ask-tool-widgets.c       |  201 ---
 daemon/ui/gkr-ask-tool.c               |  862 ----------
 daemon/ui/gkr-ask-tool.h               |   33 -
 daemon/ui/test-input.txt               |    8 -
 daemon/util/.gitignore                 |    5 -
 daemon/util/Makefile.am                |   31 -
 daemon/util/gkr-daemon-async.c         |  633 --------
 daemon/util/gkr-daemon-async.h         |  171 --
 daemon/util/gkr-daemon-util.c          |  230 ---
 daemon/util/gkr-daemon-util.h          |   70 -
 daemon/util/gkr-location.c             |  959 -----------
 daemon/util/gkr-location.h             |  130 --
 daemon/util/tests/.gitignore           |    7 -
 daemon/util/tests/Makefile.am          |   12 -
 daemon/util/tests/unit-test-async.c    |  222 ---
 daemon/util/tests/unit-test-location.c |  209 ---
 egg/Makefile.am                        |   14 +-
 egg/egg-entry-buffer.c                 |  198 +++
 egg/egg-entry-buffer.h                 |   59 +
 egg/egg-secure-entry.c                 | 2754 --------------------------------
 egg/egg-secure-entry.h                 |  187 ---
 gcr/Makefile.am                        |    2 +-
 gcr/gcr-certificate.c                  |    2 +-
 gcr/gcr-import-dialog.c                |   15 +-
 55 files changed, 2485 insertions(+), 10635 deletions(-)

commit 20408620d8f91848804f3dd5316ec2ce4e063675
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [prompt] Add the password strength indicator to new prompt.

 daemon/prompt/gkd-prompt-tool.c |   61 ++++++++++++++++++++++++++++++++++++++-
 daemon/prompt/gkd-prompt.ui     |   60 +++++++++++++++++++++++++++++++-------
 2 files changed, 109 insertions(+), 12 deletions(-)

commit 25c736bc2b0bd07bcb7508c9594c25117f736e1e
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [prompt] Implement password prompting, for blank, and mismatched.
    
    Also include warning area, so daemon can show an italicized
    warning.

 daemon/prompt/gkd-prompt-tool.c           |  119 +++++++++++++++++++++++++++--
 daemon/prompt/gkd-prompt.ui               |   10 ++-
 daemon/prompt/tests/test-data/prompt-full |    2 +-
 3 files changed, 123 insertions(+), 8 deletions(-)

commit 224ae44851c96f117dbc72c282998b6c200d7298
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [prompt] Use 'secure' memory for buffer for prompt password entries.

 daemon/prompt/Makefile.am         |    1 +
 daemon/prompt/gkd-prompt-buffer.c |  199 +++++++++++++++++++++++++++++++++++++
 daemon/prompt/gkd-prompt-buffer.h |   59 +++++++++++
 daemon/prompt/gkd-prompt-tool.c   |   26 +++++
 4 files changed, 285 insertions(+), 0 deletions(-)

commit 0b5445b8ebae0b76f5b0591e59fd26fc8540bdbe
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-19

    [prompt] Add original password area to prompter.

 daemon/prompt/gkd-prompt.ui |   38 ++++++++++++++++++++++++++++++++++++--
 1 files changed, 36 insertions(+), 2 deletions(-)

commit dad18054f95e9484071bad2b130a062729e662df
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-17

    [doc] Fix up documentation errors and warnings.

 gcr/gcr-certificate.c  |   18 +++++++++---------
 gp11/gp11-attributes.c |   46 ++++++++++++++++++++++++++++------------------
 gp11/gp11-misc.c       |   12 ++++++------
 gp11/gp11-module.c     |   21 +++++++++------------
 gp11/gp11-object.c     |    8 ++++----
 gp11/gp11-session.c    |    4 ++--
 gp11/gp11-slot.c       |    1 +
 gp11/gp11.h            |   43 ++++++++++++++++++-------------------------
 8 files changed, 77 insertions(+), 76 deletions(-)

commit da22a40250da283a502ecb35add5e6548c654c6b
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-17

    Remove old keyring socket, library and code support.
    
    After this commit, all callers must use the libgnome-keyring module
    to access secrets. The old socket method and included library
    no longer work.

 HACKING                                            |   13 -
 Makefile.am                                        |    2 -
 TODO                                               |   18 -
 configure.in                                       |    9 +-
 daemon/Makefile.am                                 |    7 +-
 daemon/control/Makefile.am                         |    3 +-
 daemon/control/gkd-control-client.c                |    2 +-
 daemon/control/gkd-control-codes.h                 |   71 +
 daemon/control/gkd-control-private.h               |   71 -
 daemon/control/gkd-control-server.c                |    2 +-
 daemon/control/tests/test-control-change           |  Bin 96222 -> 96222 bytes
 daemon/control/tests/test-control-unlock           |  Bin 96149 -> 96149 bytes
 daemon/dbus/gkd-dbus-service.c                     |   19 +-
 daemon/gkd-main.c                                  |    9 -
 daemon/gkd-util.c                                  |    1 -
 daemon/gkr-daemon-io.c                             |  441 --
 daemon/gkr-daemon-ops.c                            | 1779 --------
 daemon/gkr-daemon.h                                |   52 -
 daemon/keyrings/.gitignore                         |    6 -
 daemon/keyrings/Makefile.am                        |   36 -
 daemon/keyrings/file-format.txt                    |   69 -
 daemon/keyrings/gkr-keyring-binary.c               |  676 ---
 daemon/keyrings/gkr-keyring-item.c                 |  412 --
 daemon/keyrings/gkr-keyring-item.h                 |  111 -
 daemon/keyrings/gkr-keyring-login.c                |  325 --
 daemon/keyrings/gkr-keyring-login.h                |   50 -
 daemon/keyrings/gkr-keyring-textual.c              |  453 --
 daemon/keyrings/gkr-keyring.c                      |  624 ---
 daemon/keyrings/gkr-keyring.h                      |  145 -
 daemon/keyrings/gkr-keyrings.c                     |  406 --
 daemon/keyrings/gkr-keyrings.h                     |   53 -
 daemon/keyrings/tests/.gitignore                   |    5 -
 daemon/keyrings/tests/Makefile.am                  |   19 -
 daemon/keyrings/tests/test-data/encrypted.keyring  |  Bin 733 -> 0 bytes
 daemon/keyrings/tests/test-data/plain.keyring      |   55 -
 daemon/keyrings/tests/unit-test-keyring-file.c     |  248 --
 daemon/keyrings/tests/unit-test-keyring-login.c    |  157 -
 daemon/keyrings/tests/unit-test-login-prompt.c     |  128 -
 daemon/ui/gkr-ask-request.c                        |    5 +-
 daemon/util/Makefile.am                            |    5 +-
 daemon/util/gkr-location-watch.c                   |  365 --
 daemon/util/gkr-location-watch.h                   |   70 -
 daemon/util/tests/Makefile.am                      |    3 +-
 daemon/util/tests/unit-test-location-watch.c       |  245 --
 docs/reference/Makefile.am                         |    2 +-
 docs/reference/gnome-keyring/.gitignore            |   10 -
 docs/reference/gnome-keyring/Makefile.am           |   99 -
 .../gnome-keyring/gnome-keyring-docs.sgml          |   26 -
 .../gnome-keyring/gnome-keyring-sections.txt       |  183 -
 keyring-intro.txt                                  |  154 -
 library/.gitignore                                 |    8 -
 library/Makefile.am                                |   65 -
 library/gnome-keyring-1-uninstalled.pc.in          |   11 -
 library/gnome-keyring-1.pc.in                      |   11 -
 library/gnome-keyring-memory.c                     |  280 --
 library/gnome-keyring-memory.h                     |   66 -
 library/gnome-keyring-opcodes.h                    |   57 -
 library/gnome-keyring-private.h                    |   76 -
 library/gnome-keyring-proto.c                      | 1547 -------
 library/gnome-keyring-proto.h                      |  235 --
 library/gnome-keyring-result.h                     |   43 -
 library/gnome-keyring-socket.c                     |  248 --
 library/gnome-keyring-utils.c                      |  596 ---
 library/gnome-keyring.c                            | 4389 --------------------
 library/gnome-keyring.h                            |  523 ---
 library/tests/.gitignore                           |    4 -
 library/tests/Makefile.am                          |   17 -
 library/tests/unit-test-daemon-setup.c             |   81 -
 library/tests/unit-test-keyrings-prompt.c          |  273 --
 library/tests/unit-test-keyrings.c                 |  539 ---
 library/tests/unit-test-login-prompt.c             |  104 -
 library/tests/unit-test-memory.c                   |  128 -
 library/tests/unit-test-other.c                    |  105 -
 pam/gkr-pam-client.c                               |   17 +-
 pam/gkr-pam-module.c                               |   11 +-
 pam/gkr-pam.h                                      |    7 +-
 pkcs11/secret-store/file-format.txt                |   68 +
 po/POTFILES.in                                     |    4 -
 po/POTFILES.skip                                   |    6 -
 tests/Makefile.am                                  |   29 +-
 tests/list-keyrings.c                              |  225 -
 tests/test-keyrings.c                              |  524 ---
 82 files changed, 169 insertions(+), 17772 deletions(-)

commit e206707ce7d57ee60cd950e2e667bbb0ec2064ed
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-17

    [daemon] Rework control, and implement login keyring support.
    
    Implement support for unlocking and changing and storing secrets
    in the login keyring, based on the secret-store.
    
    Refactor how the control protocol hangs out, and implement some
    simple test utilities for it.

 configure.in                               |    2 +
 daemon/Makefile.am                         |    2 +
 daemon/control/Makefile.am                 |   17 +-
 daemon/control/gkd-control-client.c        |  280 ++++++++++++
 daemon/control/gkd-control-private.h       |   71 +++
 daemon/control/gkd-control-server.c        |  414 +++++++++++++++++
 daemon/control/gkd-control.c               |  649 --------------------------
 daemon/control/gkd-control.h               |   10 +-
 daemon/control/tests/Makefile.am           |   37 ++
 daemon/control/tests/test-control-change   |  Bin 0 -> 96222 bytes
 daemon/control/tests/test-control-change.c |   30 ++
 daemon/control/tests/test-control-unlock   |  Bin 0 -> 96149 bytes
 daemon/control/tests/test-control-unlock.c |   24 +
 daemon/gkd-main.c                          |   22 +-
 daemon/gkd-util.c                          |   10 +-
 daemon/login/Makefile.am                   |   24 +
 daemon/login/gkd-login.c                   |  678 ++++++++++++++++++++++++++++
 daemon/login/gkd-login.h                   |   50 ++
 daemon/pkcs11/gkr-pkcs11-auth.c            |   91 ++---
 daemon/pkcs11/gkr-pkcs11-daemon.c          |   16 +-
 daemon/pkcs11/gkr-pkcs11-daemon.h          |    2 +
 tests/gtest-helpers.c                      |   16 +-
 tests/prep-gtest.sh                        |   10 +
 23 files changed, 1712 insertions(+), 743 deletions(-)

commit cdb17597cee9936f0d91ac5238ef343a5a2a2c7c
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-16

    [gp11] gp11_object_get_data null terminates.
    
    Make gp11_object_get_data null terminate the data it returns
    for convenience and efficiency. This is especially nice when
    using a custom allocator such as secure memory.

 gp11/gp11-object.c |   33 +++++++++++++++++++++------------
 1 files changed, 21 insertions(+), 12 deletions(-)

commit 72fdb68afd13f424eb1ad73d62422940fdb3ed33
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-16

    [gp11] Implement C_InitPIN and C_SetPIN in gp11 library.

 gp11/gp11-session.c                 |  240 ++++++++++++++++++++++++++++++++++-
 gp11/gp11.h                         |   20 +++-
 gp11/tests/gp11-test-module.c       |   31 ++++-
 gp11/tests/unit-test-gp11-session.c |   34 +++++
 4 files changed, 317 insertions(+), 8 deletions(-)

commit 7468dada660d93eb07813527a20f2d6fca91e45e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2009-12-16

    Updated Norwegian bokmål translation.

 po/nb.po |  142 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 95 insertions(+), 47 deletions(-)

commit 8919b91a25d29bd74b079ab169d0fb174786a16d
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-16

    [daemon] Use new control protocol for daemon.
    
    Test new control protocol, and use in pam and startup. Refactor
    the names of some of the daemon files.

 daemon/Makefile.am                  |    4 +-
 daemon/control/Makefile.am          |    1 +
 daemon/control/gkd-control.c        |  267 ++++++++++-
 daemon/control/gkd-control.h        |    4 +-
 daemon/dbus/gkd-dbus-environment.c  |    5 +-
 daemon/dbus/gkd-dbus-service.c      |    5 +-
 daemon/dbus/gkd-dbus-session.c      |    7 +-
 daemon/gkd-main.c                   |  815 ++++++++++++++++++++++++++++++++
 daemon/gkd-main.h                   |   31 ++
 daemon/gkd-util.c                   |  209 +++++++++
 daemon/gkd-util.h                   |   46 ++
 daemon/gkr-daemon-io.c              |   14 +-
 daemon/gkr-daemon-ops.c             |    7 +-
 daemon/gkr-daemon.c                 |  884 -----------------------------------
 daemon/gkr-daemon.h                 |    4 -
 daemon/pkcs11/gkr-pkcs11-daemon.c   |    8 +-
 daemon/util/gkr-daemon-util.c       |  105 -----
 daemon/util/gkr-daemon-util.h       |    8 -
 pam/gkr-pam-client.c                |   51 +-
 pam/gkr-pam-module.c                |   58 ++--
 pam/tests/unit-test-pam.c           |    6 +-
 pkcs11/rpc-layer/gck-rpc-dispatch.c |    2 +-
 pkcs11/rpc-layer/gck-rpc-module.c   |    6 +-
 pkcs11/ssh-agent/gck-ssh-agent.c    |    2 +-
 24 files changed, 1435 insertions(+), 1114 deletions(-)

commit 955940b6d96c2ab900b2da5c3334b70a4b4388c5
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-15

    [control] Initial implementation of control socket.
    
    The control socket will be used by the pam module and the daemon
    when communicating with itself. Not tested.

 configure.in                 |    1 +
 daemon/Makefile.am           |    1 +
 daemon/control/Makefile.am   |   20 ++
 daemon/control/gkd-control.c |  428 ++++++++++++++++++++++++++++++++++++++++++
 daemon/control/gkd-control.h |   29 +++
 egg/egg-unix-credentials.c   |   14 ++
 egg/egg-unix-credentials.h   |   12 +-
 7 files changed, 501 insertions(+), 4 deletions(-)

commit 31dd65410484ae760d77725697b6708985391466
Merge: 9ea4667 cbb8aad
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Merge branch 'dbus-api'

commit 9ea4667cf8afc479a8619827fd622536d92e599d
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Bump version number to unstable

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a236f97d68c14db3240a365805fbd8357cf4f414
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Bump version number.

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ceb19792200471696b5e2b8bcbba6cec5bf0cb3a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    Release version 2.28.2

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit cbb8aaddd27041ec07eefb3193489d63abdab6e4
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    [pkcs11] Fix some shutdown ordering problems.

 pkcs11/gck/gck-object.c                 |   10 +++++-----
 pkcs11/secret-store/gck-secret-module.c |   13 ++++++++++++-
 2 files changed, 17 insertions(+), 6 deletions(-)

commit a7f3c50bfac5512ffa0a39325fa4dfe14d8bf879
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    [dbus] Update introspect xml data.

 daemon/data/introspect-collection.xml |    1 +
 daemon/data/introspect-item.xml       |    8 ++++-
 daemon/data/introspect-prompt.xml     |    2 +-
 daemon/data/introspect-service.xml    |   50 +++++++++++++++++++++-----------
 4 files changed, 42 insertions(+), 19 deletions(-)

commit 2cc28f94a1b172fe4556a93052feeb74ced99b28
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    [dbus] Use constants that come with dbus library.

 daemon/dbus/gkd-secret-objects.c |   12 ++++++------
 daemon/dbus/gkd-secret-service.c |   10 +++++-----
 daemon/dbus/gkd-secret-types.h   |    3 ---
 3 files changed, 11 insertions(+), 14 deletions(-)

commit 0e7a6268410a88a3d392ab3124df9229ba7f07b6
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    [dbus] Big rework of prompting, unlocking and change lock.
    
    Implement locking, unlocking, and changing of passwords.
    Rework how prompt secrets get sent to the pkcs11 layer.

 daemon/dbus/Makefile.am          |    2 +
 daemon/dbus/gkd-secret-change.c  |  313 ++++++++++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-change.h  |   56 +++++++
 daemon/dbus/gkd-secret-create.c  |  142 +++++-------------
 daemon/dbus/gkd-secret-create.h  |    7 +-
 daemon/dbus/gkd-secret-lock.c    |   67 ++++++++
 daemon/dbus/gkd-secret-lock.h    |   34 ++++
 daemon/dbus/gkd-secret-objects.c |   39 ++----
 daemon/dbus/gkd-secret-prompt.c  |  120 ++++++++++++++-
 daemon/dbus/gkd-secret-prompt.h  |   10 ++
 daemon/dbus/gkd-secret-secret.c  |   55 +++++--
 daemon/dbus/gkd-secret-secret.h  |   13 +-
 daemon/dbus/gkd-secret-service.c |  291 +++++++++++++++++++++++++++++------
 daemon/dbus/gkd-secret-session.c |  118 ++++++++++----
 daemon/dbus/gkd-secret-session.h |   18 ++-
 daemon/dbus/gkd-secret-types.h   |    4 +-
 daemon/dbus/gkd-secret-unlock.c  |  135 ++++++++++-------
 daemon/dbus/gkd-secret-unlock.h  |    4 +
 daemon/prompt/gkd-prompt-tool.c  |    2 +-
 daemon/prompt/gkd-prompt-util.c  |   52 ++++---
 daemon/prompt/gkd-prompt-util.h  |    8 +-
 daemon/prompt/gkd-prompt.c       |  229 ++++++++++++++++++----------
 daemon/prompt/gkd-prompt.h       |   18 +++
 23 files changed, 1323 insertions(+), 414 deletions(-)

commit c24fb556d959a8fd56c632afe5310b77e2701bc9
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    [secret-store] Fix assertion when parsing textual keyring.
    
    Use appropriate method call for null secret.

 pkcs11/secret-store/gck-secret-textual.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit bc2ce9762c5ac607763112169e46c7692236c9bc
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-14

    [secret-store] Implement changing of master credentials for collection.
    
    Use the credentials mechanism to allow changing master password
    for a collection.

 pkcs11/gck/gck-attributes.c                 |   16 +++++
 pkcs11/gck/gck-attributes.h                 |    3 +
 pkcs11/secret-store/gck-secret-collection.c |   94 ++++++++++++++++++++++++--
 3 files changed, 105 insertions(+), 8 deletions(-)

commit fe778375c74e1ed59c3abe9a7cf931cb6518a2e6
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    [egg] Move padding functionality into egg
    
    So other components can use it.

 egg/Makefile.am                 |    2 +
 egg/egg-asn1.h                  |    3 +
 egg/egg-padding.c               |  302 +++++++++++++++++++++++++++++++++++++++
 egg/egg-padding.h               |   88 +++++++++++
 egg/tests/Makefile.am           |    1 +
 egg/tests/test-padding.c        |  182 +++++++++++++++++++++++
 pkcs11/gck/Makefile.am          |    1 -
 pkcs11/gck/gck-aes-mechanism.c  |    8 +-
 pkcs11/gck/gck-crypto.c         |   18 ++--
 pkcs11/gck/gck-crypto.h         |    7 +-
 pkcs11/gck/gck-mechanism-rsa.c  |    8 +-
 pkcs11/gck/gck-mechanism-rsa.h  |    8 +-
 pkcs11/gck/gck-null-mechanism.c |    1 -
 pkcs11/gck/gck-padding.c        |  296 --------------------------------------
 pkcs11/gck/gck-padding.h        |   86 -----------
 pkcs11/gck/tests/Makefile.am    |    1 -
 pkcs11/gck/tests/test-padding.c |  182 -----------------------
 17 files changed, 603 insertions(+), 591 deletions(-)

commit d62b7cb7358b89c170850a052ba64066c6d280c7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    [dbus] Refactor error handling and session lookups.
    
    Cleaner dbus error handling and session lookups.
    Secrets are also redone, with less memory copies.

 daemon/dbus/Makefile.am          |    1 +
 daemon/dbus/gkd-secret-create.c  |   22 ++++++--------
 daemon/dbus/gkd-secret-error.c   |   48 ++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-error.h   |   34 +++++++++++++++++++++
 daemon/dbus/gkd-secret-objects.c |   50 +++++++++++--------------------
 daemon/dbus/gkd-secret-secret.c  |   60 +++++++++++++++++++++++++++----------
 daemon/dbus/gkd-secret-secret.h  |   10 +++++-
 daemon/dbus/gkd-secret-service.c |   19 +++++++++--
 daemon/dbus/gkd-secret-session.c |   47 ++++++++++++++++++++++++++---
 daemon/dbus/gkd-secret-session.h |   10 ++++++
 daemon/dbus/gkd-secret-util.c    |    8 -----
 daemon/dbus/gkd-secret-util.h    |    2 -
 12 files changed, 229 insertions(+), 82 deletions(-)

commit 6aee0b1973d4591d3e925b01289cc7b1e52bbd06
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    [dbus] Implement Service.GetSecrets().

 daemon/dbus/gkd-secret-objects.c |  115 ++++++++++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-objects.h |    7 ++
 daemon/dbus/gkd-secret-service.c |    4 +
 3 files changed, 126 insertions(+), 0 deletions(-)

commit 2da0597b595f7ac72cd8277da1ce25d5147aa98a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    [dbus] Separate SearchItems results into locked/unlocked.

 daemon/dbus/gkd-secret-objects.c |   44 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 43 insertions(+), 1 deletions(-)

commit 70e648061bd8dc2ced9980edae8172b0bf62521a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-13

    [secret-store] Implement always present 'session' keyring.

 pkcs11/secret-store/gck-secret-collection.c |    4 +++
 pkcs11/secret-store/gck-secret-module.c     |   38 ++++++++++++++++++++++++++-
 2 files changed, 41 insertions(+), 1 deletions(-)

commit b49c6468d130df949ae01172111bd88d2c1c7d27
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [dbus] Refactor collection creation.
    
    Reorganize things with more code reuse.

 daemon/dbus/gkd-secret-create.c  |   62 ++++++++++++++++++++++++--------------
 daemon/dbus/gkd-secret-create.h  |    5 +++
 daemon/dbus/gkd-secret-service.c |   16 +++-------
 3 files changed, 49 insertions(+), 34 deletions(-)

commit 69e08a3c4dab8ed77bcb5237a48cbd7e3d1d3ede
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [dbus] Fix the problem with SetSecret signature.

 daemon/dbus/gkd-secret-objects.c |    2 +-
 daemon/dbus/gkd-secret-secret.h  |    2 --
 2 files changed, 1 insertions(+), 3 deletions(-)

commit 13ffd442ae0c10d1017f57db45cacfbcabc45e67
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [dbus] Fix use of freed memory.

 daemon/dbus/gkd-secret-session.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 2d3dc9b843f2564c083aa8cb46fd322f52d4f9fc
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [dbus] Fix encoding of secret into dbus message.

 daemon/dbus/gkd-secret-secret.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit 8142993ebabdc620ac1dcce00d60684cb76b08ab
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [dbus] Reorganize path <-> object mapping.
    
    Needed to remove abstractions in order to properly support
    aliases. We use paths as much as possible, and try as little
    as possible to convert an object to a path. This gives us
    predictable behavior from the client side when accessed
    through an alias.

 daemon/dbus/gkd-secret-create.c  |   31 +++-
 daemon/dbus/gkd-secret-objects.c |  282 +++++++++++++++++++++++--------
 daemon/dbus/gkd-secret-objects.h |   23 ++-
 daemon/dbus/gkd-secret-prompt.c  |    9 +-
 daemon/dbus/gkd-secret-prompt.h  |    2 +
 daemon/dbus/gkd-secret-service.c |  129 ++++----------
 daemon/dbus/gkd-secret-service.h |   11 +-
 daemon/dbus/gkd-secret-session.c |   16 ++-
 daemon/dbus/gkd-secret-types.h   |    1 +
 daemon/dbus/gkd-secret-unlock.c  |   11 +-
 daemon/dbus/gkd-secret-util.c    |  351 ++++----------------------------------
 daemon/dbus/gkd-secret-util.h    |   27 +---
 12 files changed, 362 insertions(+), 531 deletions(-)

commit 45285893d83f5c80e7a4672cf6cbaf3538f8c476
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [dbus] Implement internal interface for creating collection with pass.
    
    Add an internal compatibility interface, so we can implement
    libgnome-keyring.

 daemon/dbus/gkd-secret-create.c  |  133 +++++++++++++---
 daemon/dbus/gkd-secret-create.h  |    5 +
 daemon/dbus/gkd-secret-service.c |   45 +++++
 daemon/dbus/gkd-secret-session.c |  341 ++++++++++++++++++--------------------
 daemon/dbus/gkd-secret-session.h |    5 +
 daemon/dbus/gkd-secret-types.h   |    2 +
 daemon/dbus/gkd-secret-util.c    |    1 +
 7 files changed, 332 insertions(+), 200 deletions(-)

commit b318b8a2d875ae0f4683a091784b38aa69bde202
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [pkcs11] Fix bugs in DH key generation.
    
    The public and private keys were accidentally interchanged.

 egg/egg-dh.c                  |   41 +++++++++++++++++++++--------------------
 pkcs11/gck/gck-dh-mechanism.c |    6 +++---
 2 files changed, 24 insertions(+), 23 deletions(-)

commit c406ca0ffdeee01c0210b6cb78eb8e6dd0dc6cdc
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    [pkcs11] Implement CKM_G_NULL mechanism and CKK_G_NULL key.
    
    These are used to wrap/unwrap keys in a plaintext way without
    any encryption. This allows callers to use the same code for
    AES based wrapping and plaintext wrapping.

 pkcs11/gck/Makefile.am          |    2 +
 pkcs11/gck/gck-crypto.c         |    7 ++
 pkcs11/gck/gck-dh-mechanism.c   |    7 +-
 pkcs11/gck/gck-module.c         |    9 ++
 pkcs11/gck/gck-null-key.c       |  130 +++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-null-key.h       |   52 +++++++++++++
 pkcs11/gck/gck-null-mechanism.c |  154 +++++++++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-null-mechanism.h |   55 ++++++++++++++
 pkcs11/gck/gck-types.h          |    1 +
 pkcs11/pkcs11g.h                |    8 +-
 pkcs11/pkcs11i.h                |    9 ++
 11 files changed, 429 insertions(+), 5 deletions(-)

commit 4fb2cfdc780f611429610eecda71d52a6cdaedb3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Cleanup the session implementation, remove unused code.
    
    Also update the introspection xml.

 daemon/data/introspect-session.xml |   18 ------------------
 daemon/dbus/gkd-secret-session.c   |   32 ++------------------------------
 2 files changed, 2 insertions(+), 48 deletions(-)

commit 2d9cd841e4d39f860740e5eacc4d78c8d1e41d5e
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Add declaration of session dbus interface.
    
    Fix dumb mistake.

 daemon/dbus/gkd-secret-types.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fe841e3e788da74b15ff72770a1da8692943f651
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-12

    Simplify creation of secret from DH negotiation.
    
    PKCS#11 says to use the low order bytes, and that's what we do
    here. This bears more research to make sure we're doing this
    in a standard way.

 daemon/prompt/gkd-prompt-tool.c      |   19 ++--
 daemon/prompt/gkd-prompt-util.c      |   30 -------
 daemon/prompt/gkd-prompt-util.h      |    2 -
 daemon/prompt/gkd-prompt.c           |   18 ++---
 daemon/prompt/tests/unit-test-util.c |   16 +---
 egg/egg-dh.c                         |  150 +++++++++++++--------------------
 egg/egg-dh.h                         |   19 +++--
 egg/tests/unit-test-dh.c             |   56 +++----------
 pkcs11/gck/gck-dh-mechanism.c        |   57 +++----------
 9 files changed, 116 insertions(+), 251 deletions(-)

commit 910e7507122dc290240323a4dbf2fc6b412726c5
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-11

    Fix methods that were accidentally implemented on wrong interfaces.
    
    Session.Close(), Item.GetSecret(), Item.SetSecret().

 daemon/dbus/gkd-secret-objects.c |    4 ++--
 daemon/dbus/gkd-secret-session.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 1d544c5692fd375eba88f3870a8c73e62420242f
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-11

    [dbus] Fix problems with CreateItem and secret transfer.
    
    Rework how CreateItem works and fix some problems with
    transferring of secrets.

 daemon/data/introspect-session.xml |    6 +-
 daemon/dbus/gkd-secret-objects.c   |  105 +++++++++++++++++++++++++-----------
 daemon/dbus/gkd-secret-secret.c    |    8 ++-
 3 files changed, 81 insertions(+), 38 deletions(-)

commit ba352630bcff945b99d2001a221dfb4e578be8cf
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-11

    [dbus] Do session negotiation in OpenSession.
    
    Bring session negotiate up to spec, which means to more Negotiate()
    method, and doing all negotiation in OpenSession.

 daemon/dbus/gkd-secret-service.c |   26 +++++----
 daemon/dbus/gkd-secret-session.c |  113 +++++++++++++++++++-------------------
 daemon/dbus/gkd-secret-session.h |    3 +
 3 files changed, 74 insertions(+), 68 deletions(-)

commit 875fd4f090398f30159b89a1dbba9eb5114b7606
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-11

    [gp11] Support same attrs passed for public/private to generate_key.
    
    Recognize that the same attribute set could be passed to public
    and private atribute arguments for gp11_session_generate_key_xxx().

 gp11/gp11-session.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 68a99f94bf65d211169785fd3540bd372206e4b3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    [dbus] Return proper '/' path when no prompt is needed on unlock.

 daemon/dbus/gkd-secret-service.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 319ac51ff3ff53f257b9157b1011dcb4b6c9c47c
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    [dbus] Implement support for aliases.
    
    Implement ReadAlias() and GetAlias() as well as the aliases
    dbus path.

 daemon/dbus/gkd-secret-objects.c |    9 ++
 daemon/dbus/gkd-secret-objects.h |    4 +
 daemon/dbus/gkd-secret-service.c |  183 +++++++++++++++++++++++++++++++-------
 daemon/dbus/gkd-secret-types.h   |    1 +
 daemon/dbus/gkd-secret-util.c    |    9 +-
 daemon/dbus/gkd-secret-util.h    |    3 +
 6 files changed, 173 insertions(+), 36 deletions(-)

commit 3b666b78987df448ef64b82d03390851dbdf4e0b
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    [dbus] Fix argument order for Completed event.
    
    The b:dismissed comes first.

 daemon/dbus/gkd-secret-prompt.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 3bbf5bca3cbb5b784587696c275ec290bf6c296f
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    [dbus] Use proper interface names, from spec.
    
    These have 'Secret' rather than 'Secrets' in them.

 daemon/dbus/gkd-secret-types.h |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit c3d0a04397b394c02206caa85268619d866c2f43
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-10

    [dbus] Return NoSuchObject when a bad collectiont or item path.

 daemon/dbus/gkd-dbus-util.c      |   23 +----------------------
 daemon/dbus/gkd-dbus-util.h      |    4 ----
 daemon/dbus/gkd-secret-objects.c |    2 +-
 daemon/dbus/gkd-secret-service.c |   11 ++++++++---
 daemon/dbus/gkd-secret-types.h   |    1 +
 daemon/dbus/gkd-secret-util.c    |    9 +++++++++
 daemon/dbus/gkd-secret-util.h    |    4 ++++
 7 files changed, 24 insertions(+), 30 deletions(-)

commit a019720b537c01441d555de293a141e0d840a19f
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-12-03

    Add license to reference documentation.
    
    Add a license to the reference documentation. Using the license
    from Glib.

 docs/reference/COPYING |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit f3e360f119c6361940d2e4aecbd93395973688c1
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-25

    [dbus] Implement getting and setting of secrets.
    
    This is not very well tested, but all basically speced out
    and implemented. We use wrapping and unwrapping to transfer
    secrets via the aes algorithm, or simple get/set attributes
    when transferring via plaintext.

 daemon/dbus/Makefile.am               |    1 +
 daemon/dbus/gkd-secret-objects.c      |   88 +++++++-
 daemon/dbus/gkd-secret-secret.c       |  122 ++++++++++
 daemon/dbus/gkd-secret-secret.h       |   54 +++++
 daemon/dbus/gkd-secret-service.c      |   16 ++
 daemon/dbus/gkd-secret-service.h      |    6 +-
 daemon/dbus/gkd-secret-session.c      |  407 +++++++++++++++++++++++++++++++-
 daemon/dbus/gkd-secret-session.h      |    9 +
 daemon/dbus/gkd-secret-types.h        |    1 +
 daemon/dbus/gkd-secret-util.c         |   24 ++
 daemon/dbus/gkd-secret-util.h         |    2 +
 pkcs11/secret-store/gck-secret-item.c |   13 +
 12 files changed, 726 insertions(+), 17 deletions(-)

commit 996db6eebd41f5aaf2da9bb272a76be33d45666f
Merge: ace62ca 1f22585
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-24

    Merge branch 'master' into dbus-api

commit 1f225859713c8fae6d5b58e4d61cfe442e93cc8a
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-24

    [daemon] Sent output of g_printerr to syslog.
    
    In order to catch assertion errors better, send the output of
    g_printerr to syslog as well as stderr.

 daemon/gkr-daemon.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 2bcaa443eeee7f2b4bd5ffc56d911d77bd6f9d70
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-24

    [daemon] No possibly fatal error when can't unlock login keyring.
    
    We were using g_warning to print a message when unlocking the
    login keyring failed. This would cause the daemon to exit in
    certain configurations. This isn't a critical error.

 daemon/gkr-daemon.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e06116ecceae745f1b9b609a5776a282005196ae
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-09

    Ignore anjuta project files.

 .gitignore |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 72db76cd8696192433f24b17cf0d76d5809aa6bf
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-09

    [pkcs11] Fix assertion when comparing attributes.
    
    When comparing attributes that both had zero lengths, but one
    had a null pointer, gck_attribute_equal() used to assert.

 pkcs11/gck/gck-attributes.c             |    4 +++-
 pkcs11/gck/tests/unit-test-attributes.c |    7 +++++++
 2 files changed, 10 insertions(+), 1 deletions(-)

commit ace62caa70c2ba2a8fe2a1aa8681f708704bc7ab
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-24

    Remove old secrets stuff, which is now in a freedesktop project.

 Makefile.am                              |    1 -
 configure.in                             |    2 -
 docs/reference/Makefile.am               |    2 +-
 docs/reference/secrets/.gitignore        |   12 -
 docs/reference/secrets/Makefile.am       |  104 --------
 docs/reference/secrets/empty/EMPTY       |    1 -
 docs/reference/secrets/secrets-docs.sgml |  410 ------------------------------
 secrets/.gitignore                       |    8 -
 secrets/Makefile.am                      |   22 --
 secrets/org.freedesktop.Secrets.xml      |  372 ---------------------------
 10 files changed, 1 insertions(+), 933 deletions(-)

commit 0f4a6795405ef02d7a7c84dbf43a95880fd8d86c
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-24

    Remove ui directory.

 ui/.gitignore |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit a3bce12d11b09e0a61da4d34dfeec59670d6c01e
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-24

    Fix build when p11-tests is not installed.

 tests/gtest-helpers.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 57fc0e53d22464202ebbe87e25906edefb137264
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-23

    [egg] Store DH groups in binary.
    
    We store them in binary so that we can access them directly in
    memory when a raw value is needed.

 egg/egg-dh.c             |  302 +++++++++++++++++++++++++++-------------------
 egg/egg-dh.h             |    6 +
 egg/tests/unit-test-dh.c |   22 +++-
 3 files changed, 203 insertions(+), 127 deletions(-)

commit e616479ba2976a9e58b02d11c379ed68919dbbf7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-20

    [gp11] Implement support for generate, wrap, unwrap, derive.
    
    Implement gp11_session_generate_key_pair...(),
    gp11_session_wrap_key...(), gp11_session_unwrap_key...(),
    and gp11_session_derive_key...().

 gp11/gp11-misc.c                   |   83 ++++
 gp11/gp11-session.c                |  852 +++++++++++++++++++++++++++++++++---
 gp11/gp11.h                        |  158 ++++---
 gp11/tests/Makefile.am             |    1 +
 gp11/tests/gp11-test-module.c      |  253 ++++++++++-
 gp11/tests/gp11-test.h             |   13 +
 gp11/tests/test-gp11-mechanism.c   |   60 +++
 gp11/tests/unit-test-gp11-crypto.c |  353 +++++++++++++--
 8 files changed, 1573 insertions(+), 200 deletions(-)

commit abc93b2ddbcfbc38cdbbfec209c189f1a14cf0d7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-19

    [pkcs11] Refactor object creation.
    
    Factories are now able to recycle objects, if they match the
    attributes in specific ways. Cleanup the factory function
    signature, and the semantics of pointer ownership.

 pkcs11/gck/gck-aes-key.c                           |   28 ++--
 pkcs11/gck/gck-aes-mechanism.c                     |   11 +-
 pkcs11/gck/gck-attributes.c                        |   49 ++++--
 pkcs11/gck/gck-attributes.h                        |    8 +
 pkcs11/gck/gck-certificate.c                       |   20 +-
 pkcs11/gck/gck-credential.c                        |   21 ++-
 pkcs11/gck/gck-dh-mechanism.c                      |  168 ++++++++++++++-----
 pkcs11/gck/gck-dh-private-key.c                    |   19 ++-
 pkcs11/gck/gck-dh-public-key.c                     |   19 ++-
 pkcs11/gck/gck-factory.h                           |    4 +-
 pkcs11/gck/gck-private-xsa-key.c                   |   15 +-
 pkcs11/gck/gck-public-xsa-key.c                    |   21 ++-
 pkcs11/gck/gck-session.c                           |  186 +++++++++++---------
 pkcs11/gck/gck-session.h                           |   18 ++-
 pkcs11/gck/gck-transaction.c                       |   14 ++
 pkcs11/gck/gck-transaction.h                       |    2 +
 pkcs11/gck/tests/test-module.c                     |   13 +-
 pkcs11/secret-store/gck-secret-collection.c        |   46 +++---
 pkcs11/secret-store/gck-secret-item.c              |   28 ++--
 pkcs11/secret-store/gck-secret-search.c            |   19 +-
 .../tests/unit-test-secret-collection.c            |   98 ++++++-----
 .../secret-store/tests/unit-test-secret-search.c   |   55 +++---
 pkcs11/user-store/gck-user-private-key.c           |   21 ++-
 pkcs11/user-store/gck-user-public-key.c            |   21 ++-
 24 files changed, 549 insertions(+), 355 deletions(-)

commit 7051e4fdced6bf4ce44285e11c9389e2f7ad91cf
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-19

    [pkcs11] Implement AES key wrapping.
    
    Implement CKM_AES_CBC_PAD mechanism for wrapping secret keys.
    Any key that has a simple CKA_VALUE can be wrapped.

 pkcs11/gck/Makefile.am         |    2 +-
 pkcs11/gck/gck-aes-key.c       |   62 +++++++++---
 pkcs11/gck/gck-aes-key.h       |    7 ++
 pkcs11/gck/gck-aes-mechanism.c |  223 ++++++++++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-aes-mechanism.h |   25 ++++-
 pkcs11/gck/gck-crypto.c        |   52 +++++++++-
 pkcs11/gck/gck-crypto.h        |   16 +++
 pkcs11/gck/gck-module.c        |    9 ++-
 pkcs11/gck/gck-session.c       |   69 ++++++++++--
 9 files changed, 434 insertions(+), 31 deletions(-)

commit 28f2ff8044477d2e3fe9e5b7b0269217c47eb925
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-18

    [pkcs11] Factor out padding functionality, and add pkcs7 padding.
    
    Factor out the padding stuff into its own file gck-padding.[ch]
    and implement pkcs7 padding which we'll need shortly.

 pkcs11/gck/Makefile.am          |    1 +
 pkcs11/gck/gck-crypto.c         |   46 ++++---
 pkcs11/gck/gck-crypto.h         |    9 +-
 pkcs11/gck/gck-mechanism-rsa.c  |  175 +----------------------
 pkcs11/gck/gck-mechanism-rsa.h  |   33 +----
 pkcs11/gck/gck-padding.c        |  296 +++++++++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-padding.h        |   86 +++++++++++
 pkcs11/gck/tests/Makefile.am    |    1 +
 pkcs11/gck/tests/test-padding.c |  182 ++++++++++++++++++++++++
 tests/gtest-helpers.h           |    5 +
 10 files changed, 608 insertions(+), 226 deletions(-)

commit 3e324f117fd8c1ae4c4cf9ebd8511737c3482d9b
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-18

    [pkcs11] Add support for AES secret keys and DH derive.
    
    Implement CKM_DH_PKCS_DERIVE and CKK_AES related stuff.

 pkcs11/gck/Makefile.am          |    3 +
 pkcs11/gck/gck-aes-key.c        |  226 +++++++++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-aes-key.h        |   50 +++++++++
 pkcs11/gck/gck-aes-mechanism.h  |   33 ++++++
 pkcs11/gck/gck-crypto.c         |   38 +++++++-
 pkcs11/gck/gck-crypto.h         |    9 ++
 pkcs11/gck/gck-dh-key.c         |    7 ++
 pkcs11/gck/gck-dh-key.h         |    2 +
 pkcs11/gck/gck-dh-mechanism.c   |   99 +++++++++++++++++
 pkcs11/gck/gck-dh-mechanism.h   |    7 ++
 pkcs11/gck/gck-dh-private-key.c |    7 ++
 pkcs11/gck/gck-dh-private-key.h |    2 +
 pkcs11/gck/gck-module.c         |    2 +
 pkcs11/gck/gck-object.c         |   40 +++++++
 pkcs11/gck/gck-object.h         |   10 ++
 pkcs11/gck/gck-secret-key.c     |  160 +++++++++++++++++++++++++++
 pkcs11/gck/gck-secret-key.h     |   51 +++++++++
 pkcs11/gck/gck-session.c        |   65 ++++++++++--
 pkcs11/gck/gck-session.h        |    5 +
 pkcs11/gck/gck-types.h          |    2 +
 20 files changed, 808 insertions(+), 10 deletions(-)

commit 56d26354ead3578d4186d7f0a25870bbf6554ce5
Author: Thomas Thurman <tthurman@gnome.org>
Date:   2009-11-16

    Shavian translation

 po/LINGUAS    |    1 +
 po/en@shaw.po | 1260 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1261 insertions(+), 0 deletions(-)

commit ad805c86202fd561fe6e9ae79ba8bf53c0471bf3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-16

    [pkcs11] Implement DH key pair generation.
    
    Also rework how the DH stuff works in the egg component.

 daemon/prompt/gkd-prompt-tool.c |    4 +-
 daemon/prompt/gkd-prompt.c      |    4 +-
 egg/egg-dh.c                    |   32 ++++--
 egg/egg-dh.h                    |    4 +-
 egg/tests/unit-test-dh.c        |   30 +++++-
 pkcs11/gck/Makefile.am          |    4 +
 pkcs11/gck/gck-crypto.c         |   21 ++++
 pkcs11/gck/gck-crypto.h         |    9 ++
 pkcs11/gck/gck-dh-key.c         |  148 ++++++++++++++++++++++++++++
 pkcs11/gck/gck-dh-key.h         |   57 +++++++++++
 pkcs11/gck/gck-dh-mechanism.c   |  113 +++++++++++++++++++++
 pkcs11/gck/gck-dh-mechanism.h   |   45 +++++++++
 pkcs11/gck/gck-dh-private-key.c |  207 +++++++++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-dh-private-key.h |   57 +++++++++++
 pkcs11/gck/gck-dh-public-key.c  |  186 +++++++++++++++++++++++++++++++++++
 pkcs11/gck/gck-dh-public-key.h  |   57 +++++++++++
 pkcs11/gck/gck-module.c         |   22 ++++-
 pkcs11/gck/gck-session.c        |  150 ++++++++++++++++++++---------
 pkcs11/gck/gck-types.h          |    3 +
 19 files changed, 1084 insertions(+), 69 deletions(-)

commit 626969db4fe2b8a1e16746d9383557d98cb1dfd7
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-16

    [pkcs11] Use p11-tests to test pkcs#11 modules.
    
    Work them in as 'external' tests, which run after the main
    glib based tests.

 configure.in                             |   25 ++++++++++
 pkcs11/roots-store/tests/Makefile.am     |   21 ++++++--
 pkcs11/roots-store/tests/test-module.c   |   34 +++++++++++++
 pkcs11/ssh-store/tests/Makefile.am       |    3 -
 pkcs11/ssh-store/tests/p11-tests.conf    |    2 +-
 pkcs11/ssh-store/tests/test-ssh-module.c |    8 +++
 pkcs11/user-store/Makefile.am            |    8 ++--
 pkcs11/user-store/tests/Makefile.am      |   21 ++++++--
 pkcs11/user-store/tests/test-module.c    |   34 +++++++++++++
 tests/gtest-helpers.c                    |   76 ++++++++++++++++++++++++++++++
 tests/gtest-helpers.h                    |   15 ++++++
 tests/gtest.make                         |   10 ++--
 tests/prep-gtest.sh                      |   12 ++++-
 13 files changed, 243 insertions(+), 26 deletions(-)

commit a448d02af2414291fb77890e1034620b475147e2
Merge: c0622ce c33349f
Author: Stefan Walter <stef@ws.local>
Date:   2009-11-15

    Merge branch 'master' into dbus-api

commit c0622ce0b626467e0a0dad393202aa0974650ab6
Author: Stefan Walter <stef@ws.local>
Date:   2009-11-15

    Ignore a bunch more built files

 .gitignore |   16 +++++-----------
 1 files changed, 5 insertions(+), 11 deletions(-)

commit 3ce33ddf90deaffe597dea314b4d1cdf5a20346d
Author: Stefan Walter <stef@ws.local>
Date:   2009-11-15

    Fix build warnings.

 daemon/dbus/gkd-secret-objects.c        |    4 +++-
 pkcs11/gck/tests/unit-test-attributes.c |    2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit c33349fbaf8a09104e0b1f208a9c2d7f87e28dfc
Author: Stefan Walter <stef@ws.local>
Date:   2009-11-15

    Ignore more built files

 .gitignore |   28 ++++++++++++++++++----------
 1 files changed, 18 insertions(+), 10 deletions(-)

commit e7326153a3241092c8df7f7aa4d8a59bddef8ee3
Author: Stefan Walter <stef@ws.local>
Date:   2009-11-15

    [pkcs11] Fix freeing of unallocated memory in test.

 pkcs11/gck/tests/unit-test-data-der.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 94abeee297914b50fa3f2f27f8ef4ad9e0b106c3
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-12

    [pkcs11] Refactor RSA and DSA mechanism support.
    
    This is so we can support other non PK algorithms like
    DH and AES (for the wrapping of secret items, eg).

 pkcs11/gck/Makefile.am                         |    4 +-
 pkcs11/gck/gck-certificate.c                   |    4 +-
 pkcs11/gck/gck-crypto.c                        |  786 ++++--------------------
 pkcs11/gck/gck-crypto.h                        |  177 +++----
 pkcs11/gck/gck-data-der.c                      |   50 +-
 pkcs11/gck/gck-key.c                           |  292 ---------
 pkcs11/gck/gck-key.h                           |   71 ---
 pkcs11/gck/gck-mechanism-dsa.c                 |  144 +++++
 pkcs11/gck/gck-mechanism-dsa.h                 |   49 ++
 pkcs11/gck/gck-mechanism-rsa.c                 |  387 ++++++++++++
 pkcs11/gck/gck-mechanism-rsa.h                 |   92 +++
 pkcs11/gck/gck-private-xsa-key.c               |   20 +-
 pkcs11/gck/gck-private-xsa-key.h               |    6 +-
 pkcs11/gck/gck-public-xsa-key.c                |   32 +-
 pkcs11/gck/gck-public-xsa-key.h                |    6 +-
 pkcs11/gck/gck-session.c                       |   60 ++-
 pkcs11/gck/gck-session.h                       |    6 +
 pkcs11/gck/gck-sexp-key.c                      |  261 ++++++++
 pkcs11/gck/gck-sexp-key.h                      |   71 +++
 pkcs11/gck/gck-sexp.c                          |  203 ++++++
 pkcs11/gck/gck-sexp.h                          |   20 +-
 pkcs11/gck/gck-types.h                         |    2 +-
 pkcs11/gck/tests/Makefile.am                   |    2 +-
 pkcs11/gck/tests/unit-test-crypto.c            |  131 ----
 pkcs11/gck/tests/unit-test-data-der.c          |    3 +-
 pkcs11/gck/tests/unit-test-sexp.c              |  132 ++++
 pkcs11/ssh-store/gck-ssh-private-key.c         |    4 +-
 pkcs11/ssh-store/tests/p11-tests.conf          |    6 +-
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.c |   10 +-
 pkcs11/user-store/gck-user-private-key.c       |   12 +-
 pkcs11/user-store/gck-user-public-key.c        |    4 +-
 31 files changed, 1671 insertions(+), 1376 deletions(-)

commit ae5fdc13a1ae81999a2f51c91b9e955605394f29
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-12

    [pkcs11] Rename current public and private key to 'xsa'
    
    Rename GckPublicKey to GckPublicXsaKey and GckPrivateKey to
    GckPrivateXsaKey to accomodate coming DH public and private
    keys.

 pkcs11/gck/Makefile.am                   |    4 +-
 pkcs11/gck/gck-certificate-key.c         |    2 +-
 pkcs11/gck/gck-certificate-key.h         |    6 +-
 pkcs11/gck/gck-module.c                  |    8 +-
 pkcs11/gck/gck-private-key.c             |  466 ------------------------------
 pkcs11/gck/gck-private-key.h             |   67 -----
 pkcs11/gck/gck-private-xsa-key.c         |  428 +++++++++++++++++++++++++++
 pkcs11/gck/gck-private-xsa-key.h         |   67 +++++
 pkcs11/gck/gck-public-key.c              |  360 -----------------------
 pkcs11/gck/gck-public-key.h              |   59 ----
 pkcs11/gck/gck-public-xsa-key.c          |  310 ++++++++++++++++++++
 pkcs11/gck/gck-public-xsa-key.h          |   60 ++++
 pkcs11/gck/gck-types.h                   |    4 +-
 pkcs11/ssh-store/gck-ssh-private-key.c   |   10 +-
 pkcs11/ssh-store/gck-ssh-private-key.h   |    4 +-
 pkcs11/ssh-store/gck-ssh-public-key.c    |    4 +-
 pkcs11/ssh-store/gck-ssh-public-key.h    |    4 +-
 pkcs11/user-store/gck-user-private-key.c |    8 +-
 pkcs11/user-store/gck-user-private-key.h |    4 +-
 pkcs11/user-store/gck-user-public-key.c  |    6 +-
 pkcs11/user-store/gck-user-public-key.h  |    4 +-
 21 files changed, 899 insertions(+), 986 deletions(-)

commit 92238de677f938652dbfb39e976fbf8e5e43a585
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-12

    [egg] Add IETF DH groups.
    
    These are the standard DH groups specified in RFC2409
    and RFC3526

 daemon/prompt/gkd-prompt.c |    2 +-
 egg/egg-dh.c               |  173 ++++++++++++++++++++++++++++++++++++++++++--
 egg/egg-dh.h               |    2 +-
 egg/tests/unit-test-dh.c   |   52 +++++++++++++-
 4 files changed, 216 insertions(+), 13 deletions(-)

commit 41e7dd756876fd3a33866703ad4739a7eac45fea
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-12

    [dbus] Implement Service.CreateCollection()
    
    Implement creating of collections, including prompting for
    the password.

 daemon/data/introspect-service.xml |    5 +-
 daemon/dbus/Makefile.am            |    1 +
 daemon/dbus/gkd-secret-create.c    |  267 ++++++++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-create.h    |   51 +++++++
 daemon/dbus/gkd-secret-prompt.c    |   24 ++--
 daemon/dbus/gkd-secret-prompt.h    |    3 -
 daemon/dbus/gkd-secret-service.c   |   58 ++++++++-
 daemon/dbus/gkd-secret-unlock.c    |   18 ++-
 8 files changed, 403 insertions(+), 24 deletions(-)

commit 583c4bd76993c4197ddae5ff57d0f4e907b8fba0
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-12

    [pkcs11] Add support for creating credentials without object.
    
    This is necessary for creating collections, which expect
    a credential when they are created. That credential is used
    to lock the items.

 pkcs11/gck/gck-credential.c                        |  105 ++++++++++++--------
 pkcs11/gck/gck-credential.h                        |    6 +-
 pkcs11/gck/gck-session.c                           |    4 +-
 pkcs11/gck/tests/unit-test-credential.c            |   35 ++++++-
 pkcs11/secret-store/gck-secret-collection.c        |   57 ++++++++---
 .../tests/unit-test-secret-collection.c            |   56 ++++++++---
 pkcs11/secret-store/tests/unit-test-secret-item.c  |    6 +-
 pkcs11/ssh-store/tests/unit-test-private-key.c     |    2 +-
 8 files changed, 189 insertions(+), 82 deletions(-)

commit d6af3eabb5d2e2285c78760059fb055eb450c2bd
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-12

    [dbus] Refactor property parsing.
    
    Seperate the code that parses property variants into pkcs11
    attributes.

 daemon/dbus/Makefile.am           |    1 +
 daemon/dbus/gkd-secret-objects.c  |  493 +--------------------------------
 daemon/dbus/gkd-secret-objects.h  |    4 -
 daemon/dbus/gkd-secret-prompt.h   |    4 +
 daemon/dbus/gkd-secret-property.c |  559 +++++++++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-property.h |   50 ++++
 6 files changed, 625 insertions(+), 486 deletions(-)

commit 52aac7a5a95ad19a24149f6b1f54c12d5f0f90a8
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-11

    [dbus] Refactor object to dbus path mapping.
    
    Put pkcs11 object to dbus path mapping of secret
    collections and items into its own file.

 daemon/dbus/Makefile.am          |    3 +-
 daemon/dbus/gkd-secret-objects.c |  402 +++++++------------------------------
 daemon/dbus/gkd-secret-objects.h |    8 +-
 daemon/dbus/gkd-secret-prompt.c  |   14 +-
 daemon/dbus/gkd-secret-prompt.h  |    2 +
 daemon/dbus/gkd-secret-types.h   |    1 +
 daemon/dbus/gkd-secret-util.c    |  411 ++++++++++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-util.h    |   45 ++++
 8 files changed, 542 insertions(+), 344 deletions(-)

commit 89db8a5da5ed24a94b7fa0e6bbba4727874bf9b0
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-11-11

    [dbus] Rename secrets service to secret service.
    
    This was discussed on authentication mailing list. Also
    cleans up some whitespace damage necessary to commit.

 daemon/dbus/Makefile.am           |   12 +-
 daemon/dbus/gkd-dbus-secrets.c    |   14 +-
 daemon/dbus/gkd-secret-objects.c  | 1653 +++++++++++++++++++++++++++++++++++++
 daemon/dbus/gkd-secret-objects.h  |   72 ++
